changelog
=============================
v2.22    2026.09.04
    GUI Improved: Improve error prompts when listening to port failures and provide more detailed reasons for failures
    GUI Improved: Automatically skip listening failed ports when generating random listening ports
    GUI Improved: Activate the minimized file manager window when opening the task download directory
    GUI Improved: Display progress bar when batch updating BT task tracker to avoid interface freezing
    GUI Improved: Add a sequence number column to the list of long-term seed files, long-term seed cache, and block cache under the expert node
    GUI Improved: Split the number of connections in the statistic page into TCP/UDP connections and display them separately
    GUI Improved: Connection limit row in the statistic page displays the number of connected, initiating, waiting to initiate, and global limit
    GUI Improved: Optimize the program exit process during task execution, display exit progress when necessary, and avoid the interface's prolonged lack of response when there are many running tasks
    GUI Improved: Improve the language menu in the main window
    Core Bugfix: Shortcut Ctrl+A does not work in peer list 
    Core Bugfix: When the long-term seed cache is 0 bytes, the statistics page error shows as unsupported
    Core Improved: Optimize the issue of high CPU usage in handling asynchronous disk read queues during BT task uploads
    Core Improved: Improved the long-term upload cache timeout recovery algorithm. When enabling the option "Automatically adjust cache size within the maximum and minimum range", release timeout cache in batches until the set minimum capacity limit for the long-term upload cache is reached
    Core Improved: If the remote connection service module recognizes that the WebUI video playback link is mistakenly identified as a tracker address, it will return 410 Gone
    Core Improved: The crash reporting program keeps the last 5 error report archive files in the local temporary directory
    Core Improved: Optimize stopping all task processes to reduce prolonged unresponsive interfaces when there are many tasks
    Core Bugfix: Expert node's block cache and persistent seed cache list show overflow when the total size exceeds 4 GiB
    Core Bugfix: UDP tracker connection timeout handling mechanism causes high CPU and memory usage when uploading a large number of uTP connections
    Core Bugfix: Enhance the stability of task lists sorted by speed
    Core Bugfix: Fix SYN flood protection false triggering caused by uTP half connection residue
    Core Bugfix: The number of connections continues to increase after enabling uTP, and the number of connections is not released after stopping the task
    Core Bugfix: Add timeout disconnect handling for TCP/uTP connections that have not completed BT protocol handshake to avoid residual connections after stopping the task
    Core Bugfix: Fixed the issue of DHT node statistics being inflated, resulting in a long-term accumulation of a large number of empty rows in the node list
    Core Bugfix: When the client filter subscription rule data file does not exist, it will load manual rules as subscription rules
    Core Bugfix: Inaccurate download speed control for Linux and macOS versions
    Core Bugfix: Even after disabling the DHT network, the DHT maintenance timer did not stop, and there is still DHT communication
    Core Bugfix: When BitComet Android edition is remotely connected to BitComet desktop edition, the "Filter by Name" function will become invalid after enabling automatic refresh of the Android task list
    Core Bugfix: BT task sequential download mode may fail when downloading through WebSeed/Long Term Seed
    Core Bugfix: After switching the BT task sequential download mode during runtime, WebSeed/Long lasting Seed may not continue to download in the new mode
    Core Bugfix: The BT task containing multi files cannot correctly download the second and subsequent files from a WebSeed that does not support HTTP resume
    Core Bugfix: Fix the issue of accessing released task objects when asynchronously stopping or deleting tasks
    WebUI: New mobile page layout to improve the display effect of WebUI on mobile phones
    WebUI: Add editing, updating, and deleting operations to the BT task tracker list, and add adding and deleting operations to the Peer list
    WebUI: TCP/UTP connection row in statistics page supports for expanding and collapsing
    WebUI: Use SVG resources for icons, remove font files, and reduce packaging size
    WebUI: Optimize compilation and packaging, remove invalid dependencies, and reduce package size
    WebUI: Fixed the issue where dialog boxes and option page input boxes cannot use Ctrl+A to select all text
    WebUI: Fixed the issue where the BT task settings in the WebUI options window did not take effect immediately after modification
    WebUI: Fix the issue where the IPFilter page in the options window cannot clear the manual list
    WebUI: Global log page flipping may result in duplicate display/misalignment
    WebUI: The unit prefix type used to display file size remains consistent with the ui.file_Size_prefix setting on the desktop
    WebUI: The header arrows of the sorted list are now displayed in themed blue to distinguish them from the gray arrows when unsorted
    WebUI: Fixed the issue where the table header still displays unsorted arrows even after canceling the list sorting in the desktop layout
    WebUI: Fixed the issue where the selection items may jump with the sorting position when the list is sorted and automatically refreshed
    Package: Linux version fixes compatibility issues between jemalloc and AppImage, restores AppImage installation package
    
v2.21    2026.06.23
    GUI Improved: Added advanced setting options: bittorrent.transfer_thread_pool, using worker threads for BT transmission encryption and decryption operations, disabled by default
    GUI Improved: Added advanced setting options: bittorrent. advertising. external. utp-port, which notifies the external uTP port through PEX in NAT1 environment, defaults to true
    GUI Improved: Added advanced setting options: dht.outbound_pps_imit, dht.outbound_pending_request_limit, dht.passive_reply_pps_limit, dht.passive_reply_pending_limit
    GUI Improved: Remove advanced setting option: dht.udc_send_queue_threshold
    GUI Improved: Added advanced settings option: network.udp_socket_buffer_size_mb, default to 8MB
    GUI Improved: The default value of  advanced settings option network.max_connecting_connections_per_tracker changed to 0 (automatic)
    GUI Improved: Added categories of "BT transmission thread", "DHT thread", and "uTP thread" to the CPU usage statistics in the traffic graph
    GUI Improved: Add uTP Port column to the peer list of BT task, hidden by default
    GUI Improved: The Add Peer dialog box in peer list of BT Task supports # and // inline comments
    GUI Improved: Improve the window dark mode switching mechanism
    GUI Improved: Added options in Remote Access Page: Local client bypass authentication, IP whitelist clients bypass authentication
    GUI Improved: Added command-line parameter --profile, which can specify the program configuration file directory for independent testing
    GUI Improved: The number of HTTP Tracker connections in the statistics page is divided into two categories: pending and half open
    GUI Improved: Add DHT packet status information to the UDP transmission status in the statistics page
    GUI Improved: Added uTP external port monitoring information to the statistics page
    GUI Improved: In expert mode, add the local external IP: utp-port obtained through PEX as a separate line to the peer list for diagnosis, but do not initiate a connection to oneself
    GUI Improved: When creating torrent files, prioritize using the DHT nodes filled in by the user, and later use the current active DHT nodes
    GUI Bugfix: After reconnecting to the remote desktop, the display position of the traffic map panel toolbar is misaligned
    GUI Bugfix: LSD countdown in tracker list is inaccurate when the number of tasks is large
    GUI Bugfix: In expert mode, the Infohash display in the value list of DHT network is incorrect
    GUI Bugfix: RSS auto downloader does not use the default download directory for task tags when using RSS feed titles as task tags
    Core Improved: Optimize the code for BT transmission encryption and decryption operations in worker threads, reducing CPU usage
    Core Improved: Optimize the scheduling algorithm for initiating TCP connections, improve the processing speed of transferring pending queues to half open queues, and balance the handling of different connection types
    Core Improved: Optimize the dynamic adjustment algorithm for the MTU of uTP packets at the sender end
    Core Improved: Optimize uTP LEDBAT congestion control algorithm, reduce CPU usage, and improve upload speed
    Core Improved: When BT task is connected to uTP, if there is no real interaction within 10 seconds after the complete metadata is sent, it will be disconnected
    Core Improved: The maximum interval for tracker announcements has been changed to 180 minutes, with jitter of ±3 minutes
    Core Improved: UDP tracker improves Connection ID timeout update and error handling
    Core Improved: Improve the IP filter disconnection handling of BT protocol and long-term seeding protocol for TCP and UDP connections
    Core Improved: Optimize DHT packet sending control to reduce the impact of high peak UDP packet rates and session counts on network devices
    Core Improved: BT Handshake Extension Protocol adds yourport field, which returns the observed external uTP port of the other party when receiving an incoming uTP connection
    Core Improved: After manually performing NAT type detection, record the detected external UDP ports for future use
    Core Improved: When replying to DHT announce_peer messages, refer to the BEP42 format and return the request source IP: port observed by this node in the top-level IP field
    Core Improved: When receiving DHT responses, process the locally visible UDP endpoint returned by the other party through the BEP42 IP field; Multiple DHT nodes need to cross confirm before acceptance, reducing the risk of a single malicious or erroneous node contaminating external uTP ports
    Core Improved: When announcing one's external uTP port through PEX, data sources from BitComet extended handshake Yourport, PEX backhaul, and trusted DHT BEP42 backhaul can be used
    Core Improved: When DHT replies to get_piers, attach nodes nodes
    Core Improved: When DHT receives a reply from get_piers, it ignores the node distance and performs an additional extended query on the attached nodes
    Core Improved: When DHT uses domain nodes for bootstrap, it immediately adds the node to the list after resolving the domain name, and then waits for the node to reply
    Core Bugfix: When BT task disk cache reaches its limit and uploads to multiple peers, the disk read speed is much faster than the upload speed
    Core Bugfix: When the number of TCP initiated connections is too high, there is packet loss on the TCP port
    Core Bugfix: HTTP Tracker avoids repeatedly initiating connections when they are pending
    Core Bugfix: Optimize DHT packet control and eliminate the delay of the first announcement when tasks start
    Core Bugfix: After UDP Tracker Domain DNS resolve, sends request only to the first record when there are multiple records
    Core Bugfix: DHT Tracker lacks the get_peers step when manually announcing
    Core Bugfix: DHT should not send announcements to nodes that have not received tokens
    WebUI: Optimizing pagination loading of task lists and file lists
    WebUI: CPU usage statistics in traffic graph add categories of "BT transmission thread", "DHT thread", and "uTP thread"
    WebUI: Add Options in Remote Access Page: Local client bypass authentication, whitelist clients bypass authentication
    WebUI: Fixed the issue where information cannot be copied to the system clipboard when accessing pages via HTTP+IP
    WebUI: Add the "Copy Download Link" command to the right-click menu of the file list
    WebUI: Add uTP Port column to the peer list of BT task, hidden by default

v2.20    2026.01.19
    GUI Improved: Add a filter input box to the file list page
    GUI Improved: Add a filter input box to the file list in the BT task properties dialog
    GUI Improved: After enabling the "Create subdirectory for torrents with only a single file" option in the BT task, the task name in the task list is also displayed using "subdirectory name"
    GUI Improved: Add advanced settings options: ui.copy_magnet_with_base32_infohash
    GUI Improved: Add advanced settings options: bittorrent.http_tracker
    GUI Improved: Add advanced settings options: network.rss_http_visit_interval, 100ms as default
    GUI Improved: When creating torrent files, support piece size of 128MB and 256MB
    GUI Improved: The default value for the minimum cache size in the advanced settings has been changed from 64MB to 256MB
    GUI Improved: When there are a large number of files in a BT task, the file download order list in the task properties dialog displays slowly
    Core Improved: When reducing the number of connections during HTTP task downloading, priority should be given to retaining connections with higher download speeds
    Core Bugfix: Loading fails when the size of the piece_part file exceeds 4GB
    Core Bugfix: When the header and tail pieces of video files cannot be downloaded, the sequential download request algorithm becomes ineffective
    WebUI: Add task name filtering function to the task list
    WebUI: Supports batch addition of BT download tasks with multiple lines of magnet links
    WebUI: The task list adopts paging loading to reduce network traffic
    WebUI: Add query items to the statistics page interface: G_TOTAL_DOWNLOAD_BYTE、G_TOTAL_UPLOAD_BYTE、G_SESSION_DOWNLOAD_BYTE、G_SESSION_UPLOAD_BYTE
    WebUI: Change the video file selection window to a fixed width
    WebUI: The issue of being unable to select files in the video file selection window has been fixed
    WebUI: The button list and task search box in the top menu bar automatically wrap and display according to the width of the window
    WebUI: When reloading the page, preserve the sorting status of the task list
    WebUI: Optimize the width of each column in the task list and video file list

v2.19    2025.12.15
    GUI Improved: Automatically triggers port detection after changing the listening port using command-line parameter ` -- bt_port `
    GUI Improved: Added advanced settings option: network.check_port_interval_hour, scheduled port status check
    GUI Improved: Remove browser bookmark page from left sidebar
    GUI Improved: Improved listening port error prompt
    GUI Improved: Flow graph increases CPU logic processor usage
    GUI Improved: In expert mode, the statistics page displays timer queue information
    GUI Improved: In expert mode, add message queue and timer queue sorting commands to the right-click menu of the statistics page
    GUI Bugfix: BT task peer list addition and ban peers unable to handle peers with port number 65535
    GUI Bugfix: When the transmission speed is high, the floating window displays abnormally
    Core Improved: Appropriately increase the upload connection limit for long-term uploads to non registered users
    Core Improved: Handling cookies during HTTP task redirection
    Core Improved: Upgrade OpenSSL to v3.5.4
    Core Improved: Optimize timer queue to reduce CPU usage
    Core Improved: Optimize TCP connection queue to reduce CPU usage
    Core Improved: Optimize real-time sorting of task lists to reduce CPU usage
    Core Improved: DNS query module optimization for program exiting
    Core Bugfix: Failed to move files to the preset folder after HTTP task download is complete
    Core Bugfix: When creating a new BT task, it will overwrite the task information file of the HTTP task with the same name
    WebUI: Fix input boxes in various dialog boxes Ctrl+A Select All
    WebUI: Use pagination to load file lists, reducing network traffic
    WebUI: The file list displays file priority and can be set through the right-click menu
    WebUI: Add file name filtering function to file list
    WebUI: Optimizing page scaling processing

v2.18    2025.11.03
    GUI Improved: Remove code related to IE browser plugins
    GUI Improved: Remove the TCP/IP connection limit page in options dialog for Windows XP and Vista
    GUI Improved: Add a 'Untagged' button to the label toolbar above the task list
    GUI Improved: The IP filter page in options dialog  has been changed to a tab layout
    GUI Improved: Added advanced setting: torrent_share.unload_memory_when_disabled
    GUI Bugfix: When the torrent list is disabled, clicking the corresponding item in the left tree list  should not load data
    GUI Bugfix: When the task list is sorted by health, tasks that are seeding are not sorted correctly.
    GUI Bugfix: After the system resumes from Sleep, the main window's tray minimized state behaves abnormally.
    Core Improved: Upgrade dependencies boost and rapidjson
    Core Bugfix: When WebUI bans a peer, operations fail for peers with unknown listening ports.
    Core Bugfix: Downloading files with special characters in their names from the WebUI file list will fail.
    Core Bugfix: Restore support for the Windows XP platform
    WebUI: Add Ctrl+A to select all items in the task list
    WebUI: Add BT task settings page in the options window
    WebUI: Add Long-Term seeding settings page in the options window
    WebUI: Add Tracker settings page in the options window
    WebUI: The IP filter page in options window has been changed to a tab layout
    WebUI: Add disk cache settings page in the options window
    WebUI: Add Scheduler settings page in the options window
    WebUI: Add up and down move buttons to the client filter page in options window
    WebUI: Playing video files supports calling the local player
    Package: Remove IE browser add-on options

v2.17    2025.09.28
    GUI Improved: The BT task properties dialog's advanced page adds a separate anti-leech option, which has a higher priority than the global settings.
    GUI Improved: The BT task properties dialog's advanced page adds a separate 'Enable tracker' option to control HTTP/UDP/WS trackers.
    GUI Improved: Added advanced setting: network.preferred_network_adapter
    GUI Improved: Add a rename shortcut F2 to the task list
    GUI Improved: For task lists and other sortable lists, add a 'Reset Sorting' feature to the header right-click menu.
    GUI Improved: After subscribing to the VIP membership in the Android app, the desktop version shows the VIP icon on the passport page at the bottom left corner. The progress bar bubble displays the points level, and the bubble with the level badge shows the valid level.
    WebUI: Add a video file preview button column and a file count column (hidden by default) to the task list
    WebUI: Add a video file preview button column to the file list
    WebUI: Add file download function to the file list context menu
    WebUI: Add online video playback function to the context menu of the file list
    WebUI: The video playback window supports loading subtitle files (vtt, srt, ass formats)
    WebUI: "About" dialog displays architecture information
    WebUI: Fix the issue where the task list selection is misaligned when there are too many tasks.
    Core Improved: WebUI connection adds ETag and Cache-Control caching mechanism
    Core Bugfix: DNS resolution issues are causing the program to fail to exit.
    Core Bugfix: When opening a torrent to create a BT task, the configuration file save location is incorrect.
    Core Bugfix: The HTTP server module returns incorrect data when handling a large number of concurrent short connections.

v2.16    2025.08.23
    GUI Improved: Add task type filter to the left sidebar.
    GUI Improved: Add ED2K hash information column to the file list.
    GUI Improved: The context menu of the file list allows to copy the ED2K link of the selected file.
    GUI Improved: Always display the global log, no need to enable expert mode to display it.
    GUI Improved: The options window tracker list is divided into two input fields: manual and subscription.
    GUI Improved: Add advanced settings options: system.config_autosave_interval_min
    GUI Improved: Add advanced settings options: bittorrent.enable_sequential_download_mode_for_new_task
    GUI Improved: The max limit of network.max_connecting_connections changed to 60000
    GUI Improved: When system.config_autosave_interval_min set to 0, the auto-save function is disabled.
    GUI Improved: The BT task properties dialog box adds an option to create a subdirectory for single file torrent.
    GUI Improved: The BT task page of options window adds an option to create a subdirectory for single file torrent when adding BT tasks.
    GUI Improved: Update the country/region flags in the peer list
    GUI Bugfix: The CPU usage in global statistics sometimes shows as "-".
    GUI Bugfix: Global statistics do not show the situation of DHT being disabled.
    GUI Bugfix: When exiting the Linux desktop version in full screen mode, the width of the left sidebar is incorrect on the next startup.
    GUI Bugfix: After the system resumes from Sleep, there is an issue with the Dark Mode toolbar display.
    WebUI: Add task type filter to the left sidebar.
    WebUI: In some cases, the height of the left sidebar display area is incorrect.
    WebUI: Add BT task page to the options window.
    WebUI: When creating a new BT task, disable the automatic renaming feature.
    WebUI: If a file with the same name already exists in the Docker version, it will not display a hash check prompt and will directly perform the hash check.
    WebUI: Fix the issue where the task is not refreshed in a timely manner after deletion.
    WebUI: support the request without all fields of connection configuration modification.
 	Core Improved: The WebUI connection uses Keep-Alive.
    Core Improved: Improve HTTP redirection handling
    Core Improved: Upgrade the boost version
    Core Improved: Upgrade sqlite version
    Core Improved: Adjust the TCP connection priority of the HTTP download task
    Core Improved: Handle the situation of memory allocation failure when loading the torrent market database.
    Core Improved: Enhance the stability of cloud service for remote connection.
    Core Bugfix: When the default action of the client filter's manual rule list is set to allow, the rules in the subscription list will be skipped.
    Core Bugfix: The metadata status in torrent history list and my shared list has incorrect information.
    Core Bugfix: The cumulative upload and download amounts on the statistics page are incorrect.
    Core Bugfix: Improve the detection of the server's resume capability for HTTP download tasks.
    Core Bugfix: The filtering of the task lists in the remote connection from Android App and the WebUI will affect each other.
    Core Bugfix: Improve the error handling of adding magnetic link from WebUI.

v2.15    2025.06.16
    GUI Improved: The options window adds a BT client filtering page, allowing manual editing of the list or automatic updates from a specified URL.
    GUI Improved: The client list button in the BT download page of the options window moves to the BT client filter page, adding client types aria2, BiglyBT, Deluge, Tixati.
    GUI Improved: Remove the advanced settings items bittorrent.anti_leech_banned_ports, bittorrent.anti_leech_banned_peer_ids, and bittorrent.anti_leech_banned_client_names, and instead implement the same functionality using client filters.
    GUI Improved: When switching the default directory in the dropdown list on the options window directory page, the directory list will also check the new default directory.
    GUI Bugfix: HTTP Task Properties dialog HiDPI Support
    WebUI: Add BT client filtering page to the options window
    WebUI: Add regular update settings in the IPFilter settings page of the options window
    WebUI: Fix the issue of being unable to upload torrent files to create BT tasks
    WebUI: Fix the issue where the options window does not correctly display the listener port number ending with 0
    WebUI: The new HTTP task window loads the default connection number
    WebUI: The new HTTP task window shows more options
    Core Improved: Apply client filters to peers from Tracker, DHT, user exchanges, and incoming connections
    Core Improved: When receiving connected BT connections and long-term download connections, apply the IP filter
    Core Improved: Update client identification information: aria2, BiglyBT, Free Download Manager, File Centipede
    Core Improved: The configuration file and task list file use transactional writing and versioned backups
    Core Improved: The task information file uses transactional writing
    Core Improved: When the IP filter subscribes to the IP list from multiple addresses, the replacement mode changes from keeping only the last received IP list to retaining the merged results of the same batch of download requests
    Core Improved: When saving the configuration file at regular intervals, update the accumulated upload and download volume
    Package: Restore the use of digital signature

v2.14    2025.05.15
    GUI Improved: Automatically detect IP information when the mobile app binding window is displayed.
    GUI Improved: The mobile app QR code binding window allows you to manually specify a domain name as the connection address.
    GUI Improved: The availability of the pieces in the BT task summary panel has changed to task health.
    GUI Improved: The piece map shows the piece number where the mouse hovers.
    GUI Improved: The peer list shows whether the connecting peers are in pending status.
    GUI Improved: The dialog for batch downloading magnetic links and RSS has added an option: whether to allow automatic renaming.
    GUI Improved: The flow graph on the Linux/macOS editions shows the memory usage.
    GUI Bugfix: In the HTTP task properties window, when querying the size of the bc link file, no cookie and user_agent information was sent.
    GUI Bugfix: Fix the title of add task page in remote access
    GUI Bugfix: The default size of the search box in the advanced settings of option window has issues in the Linux edition.
    GUI Bugfix: The SpinButton displays abnormally 
    WebUI: Task page in the options window
    WebUI: Directory page in the options window
    WebUI: You can customize the save path when adding a task.
    WebUI: Add right-click menu to the bottom status bar
    WebUI: Show notification list window
    WebUI: Add task tag filter to the left sidebar
    WebUI: Add copy command to the right-click menu of each list
    WebUI: The right-click menu of the task list adds commands such as start, stop, delete, clean, and copy information.
    WebUI: Add a right-click menu to the headers of the task list and peer list to select the columns to display.
    WebUI: The task list adds sharing rate and health columns, and the peer list adds a status column, which is not displayed by default.
    WebUI: The availability of the pieces in the BT task summary panel has changed to task health.
    Core Improved: Uses the jemalloc memory allocator in the Linux edition.
    Core Bugfix: The seed file creation has an error in handling multi-level directories in the Linux edition.
    Core Bugfix: The issue of closing the listening port code in the Linux edition

v2.13    2025.04.13
    GUI Improved: A prompt is added to the proxy server option to indicate that only IP addresses are supported, not domain names
    GUI Improved: A prompt message is added to the listening port on the remote access settings page
    WebUI: Implement task piece graphs
    WebUI: Implement flow graph
    WebUI: The bottom bar displays status information
    WebUI: Added CometID sign in dialog
    WebUI: Added mobile APP binding function
    WebUI: The console mode program does not allow disabling the WebUI
    WebUI: Fixed the issue of menu operation on touchscreen devices
    WebUI: Fixed task switch refresh when auto-refresh was disabled
    WebUI: Avoid legacy remote access page requests for favicon.ico
    Core Improved: Win32 editions supports file names including emoji characters
    Core Bugfix: The algorithm for blocking peers who transmit erroneous data multiple times has failed
    Core Bugfix: When moving BT task files to other directories on the same drive, the files of non-BT tasks in the folder will be moved together, regardless of whether selecting Move all files in the subfolder of the task
    Core Bugfix: The task list is sorted incorrectly by task size, and the BT task size should exclude the size of the padded area of the file boundary
    Package: Temporarily cancel the use of digital signature

v2.12    2025.01.14
    GUI Improved: Upgraded the UI library to fix cropping issues in scrolling windows on macOS 14+
    GUI Improved: If the task list has been sorted, when you click the task sort button in the toolbar, a prompt message will be displayed to unsort first
    GUI Improved: Added command line parameters --bt_port and --webui_port to set the listening port
    GUI Improved: The environment variables BITCOMET_BT_PORT and BITCOMET_WEBUI_PORT are read when the main program is started in command line mode and are used to set the listening port
    GUI Improved: Command-line mode reads environment variables WEBUI_USERNAME and WEBUI_PASSWORD when the main program starts, which is used to set the WEBUI username and password
    GUI Improved: Improved the layout of remote access page in options window
    GUI Bugfix: When dark mode is disabled, the webview still follows the system setting of dark mode
    GUI Bugfix: The list should scroll when dragging the task to reorder the task list
    GUI Bugfix: When dragging a task to reorder the task list, the page up/down key will change the dragged task
    GUI Bugfix: When dragging a task to reorder the task list, the target location indicator blinks
    WebUI: implements the server list and connection list for HTTP tasks
    WebUI: implements the task logs, global logs, and global statistics pages
    WebUI: The maximum number of rows displayed in the multi-line input box has been increased
    WebUI: fixed the issue that "Download Later" does not work when adding a HTTP task
    WebUI: fixed the error message after deleting a task
    Core Improved: Added advanced option network.exclude_remote_access_from_connection_restrictions that allows global rate limiting and TCP connection cap to exclude remote access connections, replacing the network.ignore_remote_access_in_speed_limit setting introduced in version 2.10
    Core Improved: The UDP packet timeout for DHT and UDP Tracker is adjusted to 10 sec
    Core Improved: The peer log in expert mode shows the Super Seed progress report log
    Core Improved: Added command line mode main program bitcometd.exe which has no graphical interface, and only supports web UI interface
    Core Improved: Added memory usage details to the Statistics page for macOS and Linux
    Core Improved: Adjusted the priority of TCP connections such as Tracker and RSS
    Core Improved: Added ALPN header for HTTPS downloads
    Core Bugfix: After switching the listening port, the CPU usage statistics of UDP are invalid
    Core Bugfix: The remaining memory of the system in Linux should include the memory occupied by cache and buffer
    Core Bugfix: The HTTP task handles the case where the original link redirects to different CDN addresses

v2.11    2024.11.12
    GUI Improved: add manual IP list in the IP filter page of Option dialog
    GUI Improved: new commands in context menu of peer list: ban IP permanently, unban all peers in task, unban all peers in all tasks
    GUI Improved: new option in Proxy settings page: use proxy to query long-term seeds
    GUI Improved: the default value of network.ignore_remote_access_in_speed_limit changed to true
    WebUI: adding IP list function changed to manual IP list in the IP filter page of Option dialog
    WebUI: add IP filter and max display count option in the context menu of peer list
    WebUI: add refresh interval option in View menu
    WebUI: add connection failed banner and retry button
    WebUI: peer list can choose group to display
    WebUI: peer list can unban specific IP in all tasks
    WebUI: peer list fix multiple-selection issue with shift key
    Core Improved: the file I/O module supports accessing the contentUri path in the Android system
    Core Bugfix: after enabling HTTPS mode for remote access, the Android app cannot connect to the desktop edition
    Core Bugfix: for BT tasks that are not piece aligned, when switching file priorities, the data of first and last piece may not be written correctly to the disk
    Core Bugfix: network.ignore_remote_access_in_speed_limit not applied to global download rate limiter
    Core Bugfix: the clients should re-login after changing username and password of Web UI
    Core Bugfix: no error message displayed when failed to listen on TCP port
    Core Bugfix: the manual IP list for IP filter is not loaded when the imported IP list is empty

v2.10    2024.10.9
    GUI Improved: improve layout of task summary panel
    GUI Improved: improve the prompt of download files larger than 4 GB in FAT32 file system
    GUI Improved: add IP filter settings page to the Options window, supporting import the IP address list file in CIDR format or automatically update it from the specified URL
    GUI Improved: improve the interface display of Trackers setting page in the Options window
    GUI Improved: Remote Download renamed to Remote Access
    WebUI: the install location of WebUI file changed from fav sub-dir to webui sub-dir
    WebUI: implement the task summary, file list, tracker list and peer list
    WebUI: add Connection, IP Filter and Remote Access pages in Options dialog
    WebUI: fix the high CPU usage issue of task list
    Core Improved: new advanced options network.ignore_remote_access_in_speed_limit
    Core Improved: BT tasks support IP address blacklist

v2.09    2024.8.20
    GUI Improved: new edition of WebUI (function incomplete and still under developing)
    GUI Improved: improve the remote download prompt information
    GUI Improved: the max connection number for HTTP download task changed from 200 to 2000
    GUI Improved: improve bc_bak file format error prompts
    GUI Bugfix: peerID not displayed in task page of Remote Download web page
    GUI Bugfix: the name of download files can be started with "."
    Core Improve: supports zstd compress for HTTP Tracker, torrent download and visit RSS feeds
    Core Improve: encode "+" in URL of HTTP task when sending to web server
    Core Improve: improve the block request algorithm when the progress of an HTTP download task is close to 100%

v2.08    2024.5.30
    GUI Improved: Add SHA512 checksum verification to HTTP task properties dialog
    GUI Improved: Update the IP2Location data version. The data version is displayed in the global log in Expert mode
    GUI Improved: Supplement country/regional flags to the peer list
    GUI Improved: Display the name of IP location in peer list
    GUI Improve: New advanced option: bittorrent.anti_leech_banned_client_names, ban peers by client name
    GUI Bugfix: If the window is set to be minimized at startup, but maximized when the program last exited, the favorites sidebar size is not restored gracefully
    GUI Bugfix: The program crashes when the number of rows in the task log list reaches the limit
    GUI Bugfix: When adding task by clipboard monitoring, task should not be added directly in silent mode
    GUI Bugfix: torrent maker dialog issue in dark mode
    Core Bugfix: Improved compatibility for parsing hybrid torrent files, handling cases where the last file is a padding file

v2.07    2024.3.5
    GUI Improve: When adding task by click a magnet link, holding down the Ctrl key will not display the new task dialog box and will directly create the task using default parameters
    GUI Improve: The date format of the CometID score history dialog is the same as that of the download list
    GUI Bugfix: When multiple BT tasks selected, the operation of setting long-term seeding in batches does not take effect in time
    Core Improve: Each HTTP task connection uses the original URL to initiate a connection to support redirecting to different CDN offload links
    Core Bugfix: program crash caused by long-term disk cache

v2.06    2024.1.18
    GUI Improve: Improve the task log list to prevent lagging when displaying a large number of logs
    GUI Improve: In expert mode, add the piece cache list and the long-term seeding cache list to the left fav bar
    GUI Improve: In expert mode, add the piece cache size, the long-term seeding cache size in the flow graph and the disk write buffer size
    GUI Improve: New advanced options in expert mode: bittorrent.cache.piece_cache_min_size_mb，bittorrent.cache.ltseed_cache_min_size_mb
    GUI Improve: new advanced options: network.enable_dl_limit_for_large_writing_buffer, network.large_writing_buffer_enter_size_mb, network.large_writing_buffer_leave_size_mb
    GUI Improve: Add a info tip icon to the disk cache page of the options dialog
    GUI Improve: The health of BT tasks in seeding state counts unconnected seeds
    GUI Improve: When adding a magnet link task, holding down the Ctrl key will not display the new task dialog box and will directly create the task using default parameters
    GUI Bugfix: The help link to the support us page of the options window is broken
    GUI Bugfix: If English is not included in the UI language list of macOS, the UI language fo BitComet cannot be switched to a non-English language
    Core Improve: When the disk cache reaches its maximum limit and the allocation of reading cache fails, the data is read based on the upload request size, and the entire piece data is no longer read from the disk at once
    Core Improve: Optimize long-term seed disk cache to avoid reading too much data from the disk at once
    GUI Improve: When the disk write buffer is too large, change from task speed limit to global speed limit

v2.05    2023.11.28
    GUI Improve: The traffic graph displays the disk read and write speed
    GUI Improve: Added advanced options related to disk write cache too large prompts: ui.disk_writing_buffer_warning 以及 ui.disk_writing_buffer_warning_size_mb
    GUI Improve: Each task can be individually set in the properties dialog box to enable proxies
    GUI Improve: After selecting multiple tasks, the right-click menu allows you to batch set whether to enable proxies
    GUI Improve: New proxy server option: Use proxy to connect to CometID
    GUI Improve: Handle the situation of cloud service not started in the AppBind Dialog
    GUI Bugfix: Batch download dialog sorting fails
    GUI Bugfix: Install package of v2.04 didn't copy app icon file for toast notification of Win 10/11 action center
    GUI Bugfix: When sorting the task list by the number of BT task seeds, the program crashes in some cases
    GUI Bugfix: After deleting the RSS feed, the corresponding download filter should also be deleted
    Core Improve: Torrent History, Share，Collection list and RSS Torrents list support torrent files in v2 and hybrid format. DHT Torrents and Tracker Torrents list cannot support it due to protocol limit.
    Core Improve: Change the HTTP task stop operation to asynchronous mode and add a new task status of 'Stopping' to avoid interface lag caused by saving cached data
    Core Improve: You can use the right-click menu to move downloaded files while the task is running, which will automatically pause the task and resume the task after the move is completed
    Core Bugfix: When importing and exporting tasks across platforms, the file path separator is not automatically converted
    Core Bugfix: Cannot save items acquired from BitComet task list RSS Feed.

v2.04    2023.10.15
    GUI Improve: Added alert that the disk write cache is too large
    GUI Improve: The remaining size of BT tasks in the task list, task summary, and task disk information no longer includes the size of the piece boundary padding area
    GUI Improve: Add the Clear All command to the user name drop-down list in the Passport login window
    GUI Improve: The Global option adds an option to automatically move all files in subdirectories after the task is completed
    GUI Improve: Improved Fluent-style skin icon coloring
    GUI Improve: When a single BT task is selected in the task list, the copy infohash command in the right-click menu is grayed out according to the torrent file version
    GUI Improve: add advanced options log.bt_peer in Expert Mode for beta version. View the peer log from the right-click menu of the peer list.
    GUI Improve: For torrent files of v2 or hybrid format, the peer list status column displays the piece hash download progress
    GUI Improve: The file list shows the piece layer hash status for Torrent v2 task
    GUI Improve: Display app icon in toast notification of Win 10/11 action center
    GUI Bugfix: When the instant version uses a configuration file in the APP_DATA directory, the Fluent skin fails to load
    Core Improve: For torrent files of v2 or hybrid format, increase the queue length of hash requests
    Core Bugfix: Improved compatibility for parsing hybrid torrent files, handling cases where the last file is a padding file
    Core Bugfix: The Hybrid torrent task does not accept connections from tasks created by infohash v2
    Core Bugfix: After the Hybrid torrent task is created using infohash v2, the metadata download fails
    Core Bugfix: The torrent v2 task should not initiate download from long-term seeds and eMule sources before obtaining the piece layer hashes

v2.03    2023.8.22
    GUI Improve: The Remote Download page of the Options window allows you to set the RSS feed password to access the local task list
    GUI Improve: The torrent maker window displays the number of files the task contains
    GUI Improve: Change the size of the BT task in the task list, task summary, and task disk information to the total file size without file boundary padding
    GUI Improve: Optimized the behavior of automatically hiding tabs when switching tasks when "Always show all tabs" is not selected in the Tab bar in the lower right panel
    GUI Improve: The server list of HTTP tasks and the tracker list of BT tasks are always displayed in the same position as the tab bar in the lower right corner
    GUI Improve: The Connections list of HTTP tasks and the Peers list of BT tasks are always displayed in the same position as the Tab bar in the lower right corner
    GUI Improve: support usernames and passwords in HTTP links of RSS feeds
    GUI Improve: In the option, the eMule TCP and UDP listening port can be set separately
    GUI Bugfix: When the tracker list is all selected, the right-click menu Update Tracker command is grayed out
    Core Improve: Ignore .DS_Store files when making torrent files

v2.02    2023.8.9
    GUI Improve: The right-click context menu when selecting multiple tasks can set the task speed limit in batches
    GUI Improve: Added option: When updating the tracker list from a URL, merge or replace the original tracker list
    GUI Improve: New option to move all files in the directory when move a task to new folder
    GUI Improve: After you click to enlarge the task screenshot, you can toggle whether it is displayed in full screen
    GUI Improve: The Global Options window automatically remembers the window size
    GUI Improve: Adds the option to not prompt again for the dialog of moving task download files to the directory associated with the tag displayed when adding a tag to a task
    GUI Improve: Improved peer list freeze status prompt
    GUI Bugfix: After setting tag for tasks, there is a problem refreshing the list of tags in the toolbar and left pane
    GUI Bugfix: When "Tray Balloon" is not enabled, the task completion message in the notification list is empty
    GUI Bugfix: When BT task seeding, the peer list does not display the user's upload speed
    GUI Bugfix: Individual translation errors
    Core Bugfix: When move a task folder, undownloaded tasks cannot be moved to a different directory with the same drive letter

v2.01    2023.6.16
    GUI Improve: New Option in BT Task of Option Window: Delete torrent file after adding task
    GUI Improve: Add a scroll bar to the page on the right side of the options window
    GUI Improve: Floating window supports dragging and dropping infohash to initiate BT download
    GUI Improve: Add a notification prompt window in the bottom right corner of the main window, and display performance limit prompts when running 32-bit programs on a 64 bit system
    GUI Improve: display performance limit prompts when running 32-bit programs on a 64 bit system
    GUI Improve: Fluent style icons, can be enabled by Skins submenu of View menu (thanks to Aira Sakuranomiya)
    GUI Improve: improve the batch download dialog box to prevent stuttering when displaying a large number of links
    GUI Improve: support multiple lines of input when adding a peer to a BT task
    GUI Bugfix: enhance the accuracy of clipboard recognition for infohash
    GUI Bugfix: Fix local recorded cometID score data error
    GUI Bugfix: When copying a task link, there is an extra line break at the end
    GUI Bugfix: misjudgment of file association check
    Core Improve: Add advanced settings: ui.preview_program_detection After disabling, use the system default program to open video files
    Core Improve: Add task list rss feed to webui in expert mode
    Core Improve: When moving task download folder, the Torrent file in the folder is also moved
    Core Bugfix: if enabled moving files after download complete, the sound prompt for task complete fails
    Core Bugfix: supports FUSE-rclone partitions

v2.00    2023.5.15
    GUI Improve: the clipboard monitoring feature supports Infohash string recognition
    GUI Improve: when monitoring links in the clipboard, malformed magnet links are ignored
    GUI Improve: a prompt is displayed when the number of online devices for the same account reaches the limit
    GUI Improve: new advanced setting network.enable_open_dns
    GUI Improve: in the RSS page of Options window, the delete button is replaced with an add button for RSS list
    GUI Improve: in the RSS page of Options window, double-click the RSS list to open the editing window
    GUI Improve: the x2 high-scoring images are always loaded when the DPI scale is greater than 100%
    GUI Improve: supports 64MB piece size when making torrents
    GUI Improve: command line parameters can specify the piece size when making a torrent file
    GUI Improve: when making torrent files in silent mode with command-line arguments, the default trackers are used
    GUI Improve: display a introduction window when click the Subscriber tag in the passport pane
    GUI Improve: display Support Us page of Options window when click the Supporter tag in the passport pane
    GUI Improve: list grid lines are not displayed in dark mode
    GUI Improve: improved pane splitter color in dark mode
    GUI Bugfix: RSS sidebar reverts to borderless display style
    GUI Bugfix: in the absence of any tasks, the status bar will still show preparing for long-term seeding
    GUI Bugfix: the disk write statistics in the remote download web interface are displayed incorrectly
    Core Improve: when exchange the magnet links, the proportion of content from Torrent Collection has increased
    Core Improve: supports FUSE-rclone partitions
    Core Bugfix: an error occurred when moving the downloaded file in the tasks in which only part of files are selected to download
    Core Bugfix: program cannot start in Windows XP

v1.99    2023.4.5
    GUI Improve: Add dark mode, follow system settings by default, can be switched in the main window view menu (requires Win10 1809 or later)
    GUI Improve: Task snapshots and task comments changed to WebView2 (requires Win7 or later, needs install necessary component for early Windows versions)
    GUI Improve: The CometID pane in the left bottom corner changed to WebView2
    GUI Improve: Add advanced option system.disable_edge_backend
    GUI Improve: Add "submit snapshot" to context menu of task list in expert mode
    GUI Bugfix: Task snapshots not shown for magnet links
    GUI Bugfix: After clicking on the magnet link in the browser to start the main comet program, the main window becomes unresponsive
    GUI Bugfix: When DPI is selected for 150% scaling, the toolbar's icons do not display correctly
    GUI Bugfix: When dragging a URL from a browser page to a floating window, there is an additional underscore character at the end of the URL
    Core Improve: Task snapshots and task comments switched to new transport protocol
    Core Improve: Add local cache to task screenshots to avoid re-downloading each time when they are displayed
    Core Improve: the cloud service for remote connection now available for all CometID users
    Core Bugfix: The UDP tracker cache data is not cleaned up in time, causing the program to freeze when exiting
    Core Bugfix: When the RSS Auto Downloader keyword is empty, downloads should be allowed
    Core Bugfix: The downloaded file will not be deleted when deletes BT task immediately after moving the downloaded files
    Core Bugfix: For a single-file BT task, the movement of the downloaded file will fail if the task is not completed
    Core Bugfix: After an HTTP task stops downloading due to insufficient disk space, the downloaded files are not deleted when the task is deleted
    Core Bugfix: No progress is displayed when moving files across partitions for HTTP task
    Core Bugfix: The RSS auto-update interval setting does not take effect
    Core Bugfix: fix incorrect reconnection algorithm when updating CometID score info

v1.98    2022.12.8
    GUI Improve: Remember whether to add to blacklist when remove torrent entries
    GUI Bugfix: The status of UDP port in the global statistics is inaccurate
    Core Bugfix: When the long-term upload cache is insufficient, the program may crash

v1.97    2022.11.22
    GUI Improve: RSS automatic download filter supports regular expressions
    GUI Improve: The status icon when the task is moving is changed from orange to blue
    GUI Improve: Improve the speed of batch adding tasks
    GUI Improve: Save torrent list auto refresh option
    GUI Improve: When deleting an entry from the torrent list, you can choose to add its infohash to the blocklist
    GUI Improve: Settings menu from torrent list toolbar can clear infohash blocklist
    GUI Improve: Infohash blocklist can be selected when importing and exporting backup files
    GUI Improve: The statistics page shows the length of the torrent list infohash blocklist
    GUI Improve: The maximum number of torrent lists supports customization
    Core Bugfix: When the long-term upload cache is insufficient, the program may crash

v1.96    2022.11.15
    GUI Improve: when multiple BT tasks are selected in the task list, the right-click menu adds a command for batch setting long-term seeding
    GUI Improve: add cache statistics reset command to the right-click menu of the statistics list
    GUI Improve: associate the bc_bak file, double click to display the data import dialog
    GUI Improve: new advanced option: ui.file_size_prefix, set unit prefixes of file size to a multiple of 1000 or 1024 (keep 1024 for memory size)
    GUI Improve: the maximum length of task tag has been changed from 30 characters to 50 characters
    GUI Improve: new advanced option: network.max_connecting_connections_per_tracker with default value 6
    GUI Improve: add background tasks icons to the status bar, including torrent list loading, importing, and long-term seed preparation
    GUI Improve: exit the program when the background task of torrent list import is not completed, and a prompt dialog box will be displayed
    GUI Improve: in expert mode, the statistics page shows the number of HTTP trackers that are initiating connections
    GUI Improve: in expert mode, the statistics page displays the message queue length
    GUI Improve: add options menu to the search box in task list and torrent list, supports regular expressions
    GUI Improve: supports regular expressions in blocklist of Torrent Collection
    GUI Improve: updates the packages files of browser extension for Chrome and Edge in tools folder, fixes the problem that the onDeterminingFilename interface may conflict with other extensions
    GUI Improve: peer list of BT task no longer shows eMule sources for files that are forbidden to download
    GUI Bugfix: input focus should not be set when task completes
    GUI Bugfix: when command line parameters --silent --url used together, BC links of HTTP type are not supported
    GUI Bugfix: when RSS auto download creates tasks, the function of adding the RSS feed title as a tag fails
    GUI Bugfix: after RSS auto download creates tasks, the number of tasks on the left fav bar is not refreshed
    GUI Bugfix: when a large number of tasks are started and stopped, the message processing time of UI refresh is long and network transmission is delayed
    Core Improve: optimize the long-term seeding disk caching strategy, improve the hit rate, and reduce the number of disk reads
    Core Improve: supports filtering and sorting the task list for Remote Connection from Android APP
    Core Improve: save the setting file regularly and record the cumulative upload and download amount
    Core Improve: when the disk writing buffer of BT task is too large, the download request will no longer be suspended. Instead, the task will automatically limit the speed when the available memory is insufficient.
    Core Bugfix: exiting the program when a large number of tasks are running will delay for a long time
    Core Bugfix: fix the issue that the uTP initiation mode option when manually adding peer and the advanced option utp_after_holepunch didn't work
    Core Bugfix: when separate_sources_for_failed_piece is enabled, after the piece hash verification fails, the entire piece cannot be re-downloaded separately from long-term seeds in some cases

v1.95    2022.10.17
    GUI Improve: new command in context menu of RSS list: Rename feed
    GUI Improve: enhance RSS download filter in Option dialog: rename and set task tag for each feed
    GUI Improve: after enable the expert mode, the BT task peer list shows the uTP MTU size
    GUI Improve: new advanced option: bittorrent.private_torrent_peer_hole_punch, supports UDP port hole_punch for private torrent without PEX
    GUI Improve: CPU usage of long-term seeding thread can be displayed in flow graph
    GUI Improve: at program startup, maximized window possibly not restored on the monitor when it was last exited
    GUI Improve: the max value of network.max_udp_pkt_per_sec changed to 1000000 from 10000
    GUI Improve: display CPU usage and storage usage in Statistics list
    GUI Improve: web interface of remote download shows the full statistics list
    GUI Improve: change moving files for stopped task to asynchronous operation in background thread
    GUI Improve: the BT disk cache and long-term upload cache limit in option window increased to 1TB for 64-bit version
    GUI Improve: the peer status in the BT task peer list shows the failure count of TCP, uTP, and UDP hole punching respectively.
    GUI Bugfix: main window close button set to minimize to tray sometimes fails
    Core Improve: automatically adjust the MTU size after uTP connection established
    Core Improve: when connecting to uTP peers, prefer to use the previously connected remote port
    Core Improve: BT task sends the PEX message as soon as possible after connecting to a peer
    Core Improve: when advanced option bittorrent.utp_after_holepunch is set to auto, initiate uTP connection first, then try UDP hole punching after failure
    Core Bugfix: disconnect websocket connections when timeout
    Core Bugfix: data verify error for web seed downloading if there are files of the same size in the BT task
    
v1.94    2022.9.11
    New Feature: support the cloud service for remote connection, to let BitComet Mobile APP connects to the desktop edition of BitComet behind NAT/Firewall with end-to-end encryption. (requires BitComet Mobile App v1.8.0)
    GUI Improve: select direct mode or cloud service mode when bind APP with QR code
    GUI Improve: merge devices dialog into bind App dialog
    GUI Improve: support multiple selection and rename in devices dialog
    GUI Improve: display status icon of cloud service for remote connection in bottom status bar
    GUI Improve: add option to enable cloud service for remote connection in Option window
    Core Bugfix: websocket disconnect by remote not handled correctly

v1.93    2022.8.22
    GUI Improve: new advanced option: torrent_share.metadata_log_retention_period
    GUI Bugfix: memory usage details display problem in Statistics list
    Core Improve: optimize sqlite data loading speed for torrent lists
    Core Bugfix: fix the issue of downloading the metadata of a magnet link from RSS torrent list while downloading the metadata of a DHT torrent with the same infohash
    Core Bugfix: the torrent list is easy to freeze and crash when sorting by comments, screenshots, or popular
    Core Bugfix: enhanced torrent list sqlite database operation stability
    Core Bugfix: The operation may fail when creating a long path file

v1.92    2022.7.18
    GUI Improve: add toolbar to the Graph pane. Add torrent list data to memory usage graph
    GUI Improve: set the main window to foreground if BitComet already running when open BitComet from browser extension
    GUI Improve: when install Firefox extension in installer, open the plugin web in Firefox even if it's not the default browser
    GUI Improve: add task logs, metadata download and reserved regions to memory usage graph
    GUI Improve: save the options of flow graphs
    GUI Improve: add the size of reserved memory regions to Statistics pane
    GUI Improve: new advanced option: bittorrent.multi_peers_same_ip, allow multiple peers connected from same IP by default
    GUI Improve: refine the reason why the peer is banned
    GUI Improve: optimize the operation of BT tasks with huge number of files
    GUI Bugfix: should not show the task finish notification if the tray ballon disabled in the context menu of tray icon
    Core Improve: improve program crash error reporting
    Core Bugfix: when the number of metadata caches is large, the number of downloaded metadata displayed in the left favorites is inaccurate
    Core Bugfix: when DHT is turned off, the task stops early when downloading the metadata of magnet link only from the peers returned from trackers

v1.91    2022.7.4
    GUI Improve: new option in HTTP task properties dialog: send custom HTTP headers to mirror addresses
    GUI Improve: new option in add HTTP task page of Remote Download: send custom HTTP headers to mirror addresses
    GUI Improve: add RSS feeds option in export and import dialog
    GUI Improve: display metadata cache info in Statistics pane
    GUI Improve: supports custom_headers_for_mirrors parameter in BC link
    GUI Improve: new peers banned reason in the BT task peer list: connection_limit
    GUI Improve: new button in integration page of Option dialog: Install Edge Extension
    GUI Bugfix: the file list below the torrent list supports non-utf8 encoded non-standard torrent files
    GUI Bugfix: snapshot icon should be displayed in torrent list for all torrents knowing infohash
    GUI Bugfix: the metadata status in torrent list is not always accurate
    GUI Bugfix: during the sorting of the torrent list, setting search keywords has no effect
    GUI Bugfix: after adding a task, the selected status of the task tag in the left favorites bar is lost
    Core Improve: remove the passkey parameter in tracker URL when save private torrent from Magnet Link to Torrent History
    Core Improve: new BitComet Extension for Edge
    Core Improve: update BitComet Extension for Firefox
    Core Improve: reduce the waiting time to initiate a connection after receiving a new peer
    Core Improve: when copying the magnet link of a private torrent, remove the passkey parameter in the tracker link
    Core Bugfix: abnormal data may cause memory access violation in IP2Location module

v1.90    2022.6.12
    GUI Improve: file names in torrent can be renamed in task properties dialog when task stopped
    GUI Improve: file names in torrent can be renamed in file list pane when task stopped
    GUI Improve: add advanced option: http.max_mirror_count
    GUI Improve: add advanced option: ui.show_all_tasks_after_add_task
    GUI Improve: the file list below torrent list supports torrent v2
    GUI Improve: when display the files below torrent list, auto update missing information for this torrent
    GUI Bugfix: when the peer list is sorted by client type, the banned peers have no effect
    GUI Bugfix: there is a a blank line in the save directory drop-down box of BT task properties dialog
    Core Improve: limit the length of data received from the HTTP tracker
    Core Bugfix: some information not updated for RSS torrents
    Core Bugfix: improve stability of downloading from Long-Term Seeds

v1.89    2022.6.1
    GUI Improve: support multiple update URLs for trackerslist in Tracker page of option window
    GUI Improve: torrent size estimation supports torrent v2
    GUI Improve: improve the condition to show the enable DHT prompt for magnet URI
    GUI Improve: add file switch buttons in snapshot page
    GUI Bugfix: should not display the task properties dialog after creating a new torrent file
    Core Improve: improve crash report
    Core Bugfix: bug when downloading torrent v2 larger than 4GB
    Core Bugfix: advanced option bittorrent.enable_v1_upgrade_to_v2 does not work

v1.88    2022.5.24
    GUI Improve: add format option in torrent maker dialog, including v1, v2 and hybrid format
    GUI Improve: display Infohash v1 and Infohash v2 separately in BitTorrent task summary pane
    GUI Improve: display the number of piece hashes obtained for torrent v2
    GUI Improve: display the protocol version of BitTorrent peers in the peer list of BT task
    GUI Improve: add advanced option: bittorrent.enable_v1_upgrade_to_v2, to allow peer protocol upgrade for hybrid torrent
    GUI Improve: copy the infohash v1, v2 and name of BT task from context menu
    GUI Improve: supports mirror, user_agent and cookie parameters in BC link
    GUI Bugfix: always using default save folder for magnet URI if torrent can be found in Torrent History
    GUI Bugfix: do not select the URL text when displays the task Properties dialog of HTTP task
    GUI Bugfix: the TAB key doesn't works with the save folder edit box in task Properties dialog
    GUI Bugfix: handle the case of taskbar on top of screen when restore main window position
    GUI Bugfix: the restored main window position is invalid after secondary monitor removed
    Core Improve: support creating torrent of v2 format, which includes metadata of v2, and the piece hashes of v2
    Core Improve: support creating torrent of hybrid format, which includes metadata of v1 & v2, and the piece hashes of v2
    Core Improve: when exporting torrent from BT task of v2 format, a full v2 torrent file will be exported if all piece hashes of v2 are obtained, or a compact torrent file will be exported which only contains metadata
    Core Improve: support open torrent of v2 format and hybrid format, in which the piece hashes of v2 are optional
    Core Improve: support download the magnet URI of v2 format and hybrid format, whose metadata size are much smaller than magnet URI of v1 format
    Core Improve: support hash request commands of BitTorrent v2 protocol in peer connections, to download the piece hashes of v2 format and the leaf hashes of file hash tree
    Core Improve: support upgrade the peer connections to BitTorrent v2 protocol for hybrid torrent
    Core Improve: when the leaf hashes of file hash tree are obtained, the file data can be verified in 16KB blocks
    Core Bugfix: can't handle the Content-Disposition HTTP response header if filename and filename* attributes appear together
    Core Bugfix: can not fetch Cookies from Chrome and Edge of new version

v1.87    2022.3.27
    GUI Improve: add super seed option to task list right-click menu
    GUI Improve: add copy Infohash command to task list right-click menu
    GUI Improve: add context menu with copy command to the task summary pane
    GUI Improve: added a sequential download mode option to the Download Order page of the BitTorrent task properties dialog
    GUI Improve: new proxy server option: enable proxy server for RSS feeds
    GUI Improve: when no port listening, the port status in the lower right corner of the main window is changed from "not detected" to "not listening"
    GUI Improve: if the task list is sorted, display a prompt to cancel the sorting first when using the shortcut keys to adjust the download order
    GUI Improve: add translation of RSS update time
    GUI Improve: the language menu item displays the native language name for each language
    GUI Improve: after selecting the user group title such as "Connected" in the BT task peer list, you can directly ban or delete all users in the group
    GUI Improve: peers which are banned in the BT task peer list will display the reason for the ban
    GUI Improve: add advanced option: torrent_share.load_lists_at_startup
    GUI Improve: add advanced option: bittorrent.separate_sources_for_failed_piece
    GUI Improve: update Chrome extension file in install package
    GUI Bugfix: The background color of the input box in some dialog boxes is abnormal
    GUI Bugfix: after modifies the save directory in the HTTP task properties dialog several times, the disk space is displayed in the wrong color
    GUI Bugfix: zero size file in the file list below torrent list should not be shown as a directory
    Core Improve: after the downloaded piece has an error in the hash check, try to re-download the entire piece from different peers
    Core Improve: support GBK encoding when parsing RSS XML data
    Core Improve: if the parameters submitted from remote download are incomplete, use the default save path and number of connections
    Core Bugfix: SNI should not be sent when the HTTPS connection hostname is an IP address
    Core Bugfix: In some cases, the magnet URI task fails to complete the metadata download
    Core Bugfix: the connections to web seed for HTTP resume detection are not closed in time

v1.86    2022.2.28
    GUI Improve: display task tags in left favorites bar
    GUI Improve: add copy LAN IP command to the context menu of listen port detect light
    GUI Improve: new proxy options: use proxy for HTTP, webpage or other network traffic
    GUI Improve: specify file save name, User-Agent, Cookie and mirror URLs when adding HTTP task in remote download webpage
    GUI Improve: new advanced option: task.stop_task_after_get_metadata
    GUI Bugfix: folder choose button not work in BitTorrent task properties dialog while downloading metadata
    GUI Bugfix: full URL of mirror servers added by user for HTTP task not displayed in Servers pane
    GUI Bugfix: RSS update countdown log info displayed repeatedly
    GUI Bugfix: settings of global download/upload speed limit displayed incorrectly in remote download webpage
    Core Bugfix: metadata request not sent to incoming peers sometimes when downloading magnet URI
    Core Bugfix: program may crash if super seeding enabled

v1.85    2022.1.18
    GUI Improve: display my download progress as a super seed in peer list if super seeding enabled
    GUI Improve: remember the last peer address added to peer list manually
    GUI Improve: add web_seed category in the connection detail list in Statistics pane
    GUI Improve: add option of sorting for memory detail info in the context menu of Statistics pane
    GUI Improve: improve the Dump Memory Info command in help menu if expert mode enabled
    GUI Improve: Chrome extension will choose correct main program edition either of x64/x86 from non-install folder
    GUI Improve: server list of HTTP/FTP task will display the number of active connections
    GUI Improve: add remove button for RSS auto-downloader filters
    Core Improve: optimize the super seed piece selection algorithm, transmit the most rare block first
    Core Improve: decrease the CPU usage for the DHT network
    Core Improve: do not pre-allocate disk cache for HTTP task
    Core Bugfix: the size of TCP transfer buffer in Statistics pane is incomplete
    Core Bugfix: failed to allocate piece cache for uploading if the disk cache of BT task reaches max value
    Core Bugfix: failed to download files from root directory of FTP server
    Core Bugfix: HTTP/FTP task should stop only when all connections failed

v1.84    2021.11.29
    GUI Improve: save the list header width and order of flat list and tree list of files separately
    GUI Improve: the cache size of HTTP task in Statistics pane is divided into receiving cache and disk writing cache
    GUI Improve: display the TCP transfer buffer size in statistics pane, and sort the memory size list by size
    GUI Improve: allow to use the clipboard keyboard shortcuts in embedded web pages
    GUI Improve: display the number of opened files of BT task in Summary if expert mode enabled
    GUI Improve: rename the Task Statistics dialog in context menu for multiple tasks to Disk Info dialog, also available for single task now
    GUI Improve: display the detail info for the number of TCP connections in Statistics pane
    GUI Bugfix: sometimes the piece size display in Torrent Maker dialog is incorrect if auto piece size is chosen
    Core Improve: the trigger condition of download rate auto-limit for HTTP task changed from the size of disk flushing size to size of available memory size
    Core Improve: the redirect URL in remote download web page is changed to relative path, to support reverse proxy
    Core Improve: add a new DHT bootstrap node
    Core Bugfix: program may crash when downloading metadata

v1.83    2021.11.20
    GUI Improve: allow to modify download URL of HTTP task when task stopped
    GUI Improve: add User-Agent and Cookie settings in HTTP task properties dialog
    GUI Improve: new advanced option: http.auto_import_cookie
    GUI Improve: the limit of HTTP connection cache size changed to 32MB in Option Dialog
    GUI Improve: new Torrent Exchange page in Option Dialog
    GUI Improve: new setting of custom save folder for torrent cache files in Torrent Exchange page of Option Dialog
    GUI Improve: new setting of save in multi-level directories for torrent cache files in Torrent Exchange page of Option Dialog
    GUI Improve: show status indication in toolbar of torrent list when filtering or sorting
    GUI Improve: new option for Torrent Collect and RSS Torrents: Only show torrents with metadata
    GUI Improve: show the memory size used for file list and metadata download in Statistics pane
    GUI Improve: improve check-box display in file list when scaling in unequal multiples of DPI
    GUI Improve: tag toolbar supports auto-wrap
    GUI Improve: auto resize the width of file-name column in the file list of BT task properties dialog
    GUI Improve: the Chrome extension supports capture the file download invoked by JavaScript
    GUI Improve: Capture download file option in Chrome extension no longer affected by the main program
    GUI Bugfix: the Chrome extension can not get correct referrer URL when download links from Downloads Tab of Chrome
    GUI Bugfix: fix refresh issues in task Summary pane
    GUI Bugfix: do not show the UDP upload rate limit for long-term seeding if not enabled in Statistics pane
    GUI Bugfix: do not reset the size of BT task properties dialog after metadata downloaded
    GUI Bugfix: the text in the headers of file list not refreshed after switch UI language
    GUI Bugfix: status bar will display incorrect DHT state if DHT disabled while DHT startup delay enabled
    Core Improve: offer peer version info with Mac of Android suffix to other BitTorrent peers
    Core Improve: try to retrieve cookie info from Chrome/Edge browser when download HTTP URL directly
    Core Improve: support the filename* attribute in Content-Disposition info of HTTP response headers
    Core Improve: user can suspend all active tasks and manually resumes them after program restart
    Core Improve: decrease the CPU usage of torrent list when no sort applied
    Core Improve: reduce the UI lag when operate the BT tasks with large number of files
    Core Improve: reduce CPU usage for adding torrent records to torrent list
    Core Bugfix: disk boost service is not invoked for HTTP task when the setting of allocate space before downloading disabled
    Core Bugfix: key word filter for torrent list works incorrectly for non-Latin characters
    Core Bugfix: program crash if export backup file while torrent list is loading from database file
    Core Bugfix: when search mirror for HTTP task enabled, download may still failed after changing original URL 
    Core Bugfix: memory not released after metadata download finished in some cases
    Core Bugfix: the disk boost service set file size incorrectly in some cases

v1.82    2021.10.26
    GUI Improve: add HTTP servers pane below the task list
    GUI Improve: the Files pane can display the downloaded file of HTTP task now
    GUI Improve: improve the switching relationship for panes below the task list when switching between BT task and HTTP task
    GUI Improve: display updating status in RSS list pane in the left of main window
    GUI Improve: display the size of all files and the size of file boundary padding in tooltip of task size in BT task summary pane
    GUI Improve: decode UTF8 failure info received from HTTP tracker
    GUI Improve: display icons in menu of macOS edition
    GUI Improve: hide notifications automatically after 5 seconds in macOS edition
    GUI Bugfix: mistaken of uTP packets recv number in the Statistics pane
    GUI Bugfix: the tooltip display incorrectly after the header of peer list reordered
    GUI Bugfix: the size of selected files in BT task dialog is incorrect for tree list
    GUI Bugfix: failed to load passport pane under Windows 11 in certain case
    Core Bugfix: the mirror URL added manually not used when restart HTTP task, if the option of search for mirror is disabled
    Core Bugfix: fix error handling for IPv6 UDP trackers
    Core Bugfix: improve the stability of DHT modular
    Core Bugfix: improve the stability of hash calculating for BitTorrent task

v1.81    2021.10.1
    GUI Improve: add blocklist for Torrent Collection. Blocking keywords can be added from menu of setting button in toolbar
    GUI Improve: display tooltip for headers of peer list
    GUI Improve: new setting in Advanced Options: task.add_to_top add new task to the top of download list
    GUI Bugfix: program version definition mistake in v1.80
    Core Bugfix: fix bugs in task disk space cleanup
    Core Bugfix: improve stability of uTP transfer

v1.80    2021.9.23
    GUI Improve: new setting in Advanced Options: network.dns_query_thread_count and network.dns_query_cache_ttl
    GUI Improve: new setting in Advanced Options: bittorrent.peer_dual_ip whether connect to the peer's IPv4/IPv6 address reported by itself
    GUI Improve: change the default value of advanced options bittorrent.utp_after_holepunch to auto, initiate uTP directly after try UDP hole punching
    GUI Improve: add Connect Pending state for HTTP/UDP/WSS trackers
    GUI Improve: display connecting timeout info of UDP trackers
    GUI Improve: display the number of received peers from PEX in peer list
    GUI Bugfix: the protocol info in peer list is inaccurate sometimes
    GUI Bugfix: mistaken in help info of NAT type detect dialog
    Core Improve: query DNS using multiple threads
    Core Improve: support binding IP address for UDP transfer
    Core Improve: filter invalid peer IP returned from Tracker
    Core Improve: fix reconnect issue of second request packet to UDP tracker
    Core Improve: support implied_port parameter in DHT protocol to help improve uTP transport via NAT
    Core Improve: use UDP source port instead of listening port for uTP peers when sending peer list through PEX
    Core Improve: optimize the number of uTP packet resend to improve UDP hole punching
    Core Improve: CPU usage of UDP transfer in graph pane includes DHT and uTP threads
    Core Bugfix: improve timeout handle of hole punching
    Core Bugfix: improve stability of uTP transfer
    Core Bugfix: timeout process missing for stop event of WSS tracker
    Core Bugfix: incoming uTP connections should be excluded for TCP listening port forwards status detection

v1.79    2021.8.25
    GUI Improve: add NAT type detect dialog in Tools menu
    GUI Improved: support Windows 11
    GUI Bugfix: cached info not cleared when detect port status again in the green light state
    GUI Bugfix: can not input IPv6 address in Add Peer dialog due to the length limit
    GUI Bugfix: should not display the number of Long-Term Seeds for private task in task list
    Core Improve: support NAT type detection for UDP packets
    Core Bugfix: should not connect to the peer's IPv4/IPv6 address reported by itself if PEX disabled for the task
    Core Bugfix: handle the case of folder name contains tailing space in torrent file
    Core Bugfix: handle the case of file name contains emoji characters in torrent file
    Core Bugfix: improve stability of uTP transfer
    Core Improve: support uTP protocol in macOS edition
    Core Bugfix: message handle bug when displaying modal dialog in macOS edition
    Core Bugfix: UPnP crash when Remote Download enabled in macOS edition
    Core Bugfix: IPv6 TCP port not listening in macOS edition
    Core Bugfix: failed to send UDP packet after change listening port in macOS edition

v1.78    2021.7.27
    GUI Improve: new setting in Options Dialog: enable uTP for peer connection. Disabled by default.
    GUI Improve: new setting in Advanced Options: bittorrent.peer_hole_punch. Enabled by default.
    GUI Improve: new setting in Advanced Options: bittorrent.utp_after_holepunch. Enabled by default.
    GUI Improve: display uTP status, protocol, encryption and flags in peer list of BitTorrent tasks
    GUI Improve: add uTP initiation options in Add Peer Dialog
    GUI Improve: add sub menu of uTP initiation mode in context menu of peer list of BitTorrent tasks
    GUI Improve: display uTP packets info in Statistics pane
    GUI Improve: display piece size when auto size selected in torrent maker dialog
    GUI Improve: supports Ctrl+A in tracker list of BitTorrent task and Tracker Torrent list
    GUI Improve: add command in context menu of tracker list: remove all unreachable trackers
    GUI Bugfix: the tracker list of Tracker Torrent list can not sort by status
    GUI Bugfix: piece index in file list is incorrect for zero size files
    GUI Bugfix: display app exception of Windows Firewall in Statistics pane
    GUI Bugfix: hide proxy setting page in Option dialog in macOS edition
    Core Improve: supports connecting to other BitTorrent peers using uTP protocol
    Core Improve: supports UDP hole punch via other BitTorrent peers to establish uTP connections
    Core Improve: prevent Sonic Studio 3 DLL injection, enhance program stability
    Core Bugfix: the total size of Long-Tern Seeding not loaded correctly when program starts
    Core Bugfix: support UDP transfer via IPv6 in macOS edition

v1.77    2021.5.3
    GUI Improve: add file list to the bottom of torrent list, displaying the content of metadata
    GUI Improve: display task remove info in Global Logs when Export mode enabled
    GUI Improve: add memory usage details about metadata buffer size
    GUI Improve: check Windows firewall rules when program starts, display fix notification if not allowed
    GUI Improve: add empty input check for magnet URI dialog
    GUI Bugfix: number of tasks in tag toolbar not refreshed after task added or removed
    GUI Bugfix: the video preview icon not displayed for HTTP task in certain case
    Core Bugfix: fix the UDP sending thread stuck after changing listening port
    Core Bugfix: program may crash if torrent containing incorrect piece-alignment padding files
    Core Bugfix: program may crash due to unsupported IPv6 address

v1.76    2021.4.8
    GUI Improve: new Tracker Torrents list displays Magnet URI fetched from tracker scrape
    GUI Improve: tracker scrape URL can be added to the tracker list below tracker torrents list with the context menu
    GUI Improve: add copy IP and port command to the context menu of peer list
    GUI Improve: display loading progress for torrent lists
    GUI Improve: display Time Received info in torrent list
    GUI Improve: display memory used by torrent list in Statistics page
    GUI Improve: do not switch to all task list when add new task from RSS feeds automatically
    GUI Improve: display progress of folder in file list of BitTorrent task
    GUI Improve: support xs parameter in magnet URI for specifying the URL of torrent file
    GUI Improve: display the time left of Long-Term Seeds querying in Tracker list of BitTorrent task
    GUI Improve: add "Downloads\BitComet" to default download folders for new installation
    GUI Bugfix: the metadata icon not refreshed in time after metadata downloaded
    GUI Bugfix: fix sort bug for title column of DHT and Tracker torrent list
    GUI Bugfix: do not ask to enable DHT network when batch download torrents with torrent download URL
    GUI Bugfix: the option of max item count of torrents list can not set to 100000
    GUI Bugfix: when the floating window is enlarged, the ordinate display is abnormal in some cases
    Core Improve: support arm64 instruction set for Apple M1 in Mac edition
    Core Improve: support fetch torrent infohash list from HTTP/HTTPS tracker scrape URL or stats page
    Core Improve: support fetch torrent infohash list from WS/WSS tracker with scrape action
    Core Improve: improve parsing speed for JSON data
    Core Improve: improve compatibility with MiniUPnPd/2.2.0
    Core Improve: upgrade OpenSSL to v1.1.1k
    Core Improve: enable BitTorrent encryption protocol by default
    Core Bugfix: BitTorrent task can not finish downloading if torrent containing incorrect piece-alignment padding files
    Core Bugfix: BitTorrent task will scan files to calculate hash after starting even if Long-Term Seeds and eMule plugin not enabled
    Core Bugfix: upnp.exe invoked repeatedly in system with multiple networks
    Core Bugfix: can not handle long packet of websocket
    Core Bugfix: network.tcp_connection_timeout break long connection of websocket
    Core Bugfix: remove .piece_part.bc! when remove tasks without deleting downloaded files

v1.75    2021.2.18
    GUI Improve: add Display Score History item in CometID menu
    GUI Improve: display CometID score update info in Global Log pane if expert mode enabled
    GUI Improve: add an icon to the download metadata item in the content menu of torrent list
    GUI Improve: support any DPI scale in Windows edition
    GUI Improve: support open iso files after task downloaded
    GUI Improve: add UDP packets rate info in Statistics page
    GUI Improve: improve text in Add Peer dialog of BitTorrent task
    GUI Improve: display file count and alignment in summary pane of BitTorrent task
    GUI Improve: display piece index of files in file list of BitTorrent task
    GUI Improve: support WS/WSS trackers in TrackerList of Option dialog
    GUI Improve: support globle hotkey for hide/unhide main window in Mac edition
    GUI Improve: improve initial size of Option window in Mac edition
    GUI Bugfix: grid line in download list not shown when enabled from View menu
    GUI Bugfix: do not create shortcut in start menu in systems other than Windows 10
    GUI Bugfix: the prompt of existing in Torrent History not displayed if re-download Magnet link after task deleted
    GUI Bugfix: Windows Library folder not handled in task batch download dialog from torrent list
    GUI Bugfix: display tracker return 0 peer in status column of tracker list
    Core Improve: the CometID score renewal cycle is shortened from one day to no more than one hour
    Core Improve: store CometID score daily history in local file
    Core Improve: improve database access performance
    Core Bugfix: program may crash if error occurs when loading data from database
    Core Bugfix: program may crash if force quit when task properties window display in Mac edition

v1.74    2021.1.15
    GUI Improve: display number of Long-Term Seeds in task list
    GUI Improve: add the detection and repair of improper disk boost service permissions
    GUI Improve: new advanced option: bittorrent.enable_lsd
    GUI Improve: add listening port, remote port and peer source columns in Peer list of BitTorrent task
    GUI Improve: display LSD status info in Tracker list of BitTorrent task
    GUI Improve: display LSD listening port status in Statistics page
    GUI Improve: display listening port forwards status for Remote Download in Statistics page
    GUI Improve: display detailed network speed info of protocol payload in Statistics page
    GUI Improve: display host name of Web Seed in peer list
    GUI Improve: display system notification when task download finish in Mac edition
    GUI Bugfix: invalid path prompt when import/export tasks and settings in Mac edition
    Core Improve: support Local Service Discovery, to search BT peers in local network using UDP multicast
    Core Improve: support ws parameter in Magnet URI, to add web seed
    Core Improve: upgrade OpenSSL to v1.1.1i
    Core Improve: decrease CPU usage in Mac edition
    Core Bugfix: fail to preview video files of huge size
    Core Bugfix: fix bugs when auto add a suffix to default saving file/folder name automatically for BitTorrent task
    Core Bugfix: fix bug in auto-rename when re-download HTTP tasks
    Core Bugfix: When detect UDP listen port forwards status, UDP packets from local network should be ignored

v1.73    2020.11.27
    GUI Improve: new Replace Trackers command in context menu of task list, when multiple BitTorrent tasks selected
    GUI Improve: new Update Tracker command in context menu of tracker list
    GUI Improve: advanced option to enable UDP Tracker support: bittorrent.udp_tracker
    GUI Improve: display TCP/UDP Upload Speed and Cache Size in Long-Term Seeding list for Export Mode
    GUI Improve: support sorting items in Long-Term Seeding list for Export Mode
    GUI Improve: display Total Row in Long-Term Seeding list for Export Mode
    GUI Improve: auto add a suffix to default saving file/folder name automatically for BitTorrent task only when creating tasks quietly
    GUI Improve: display DHT announce list in Export Mode
    GUI Improve: add a new limit of MAX 100000 for torrent list
    GUI Bugfix: torrent size estimation error in torrent make dialog if only single file selected
    GUI Bugfix: when batch download multiple torrents with metadata in torrent list, the task will be created one by one
    GUI Bugfix: the listen port setting in Remote Download option page should not be disabled if web interface disabled and APP interface enabled
    GUI Bugfix: fix mistake of query file size in HTTP task properties window
    GUI Bugfix: fix mistake of torrent list statusbar refresh
    Core Improve: support WS/WSS Trackers (WebTorrent is unsupported yet)
    Core Improve: use worker thread to read files for Long-Term Seeding to reduce UI lag
    Core Improve: use worker thread to read files for video file remote playback in APP
    Core Improve: optimization for Long-Term Seeding with torrents containing a lot of files
    Core Improve: improve torrent list loading, reduce UI lag
    Core Improve: support downloading metadata directly in Add New Task window in Android APP
    Core Improve: support selecting part of files in torrent to download in Android APP
    Core Improve: support download files from finished task in desktop version in computer to Android APP in mobile phone
    Core Improve: improve sqlite save operation, reduce disk drive activity
    Core Bugfix: files are not deleted when removing tasks which haven't been started yet
    Core Bugfix: avoid send duplicate UDP request to DHT nodes
    Core Bugfix: cache not released after disable Long-Term Seeding
    Core Bugfix: program crash when creating torrent file, if DHT disabled or pending startup
    Core Bugfix: fix bug in auto-rename for the task with duplicated save folder when creating BitTorrent task in batch
    Core Bugfix: program cannot start in Windows XP
    Core Bugfix: task queue operation incorrectly if task progress dropped from 100% due to file missing detection

v1.72    2020.10.21
    GUI Improve: add a suffix to default saving file/folder name automatically for BitTorrent task if a file/folder has the same name exists
    GUI Improve: stop time-out counting when click any option check-box in duplicate files prompt dialog for BitTorrent task
    GUI Improve: auto switch unit for upload/download size in peer list of BitTorrent task
    GUI Improve: display memory info in graph pane
    GUI Improve: auto layout positions of legends in graph pane
    GUI Improve: torrent size estimation handle the piece-alignment option in torrent make dialog
    GUI Improve: remove advanced option dht.udp_sessions_threshold, add new advanced option dht.udp_send_queue_threshold
    GUI Improve: display number of dropped DHT requires
    GUI Improve: show CPU usage in flow graph in macOS version
    GUI Bugfix: fix crash when click download eMule plugin button in Option window
    GUI Bugfix: creation date in task summary not refreshed after metadata downloaded for BitTorrent task
    GUI Bugfix: metadata icon in torrent list not refreshed after metadata downloaded
    Core Improve: use worker thread for Long-Term Seeding to reduce UI lag
    Core Improve: add support of Long-Term Seeding for files smaller than 1MB
    Core Improve: when UDP send queue threshold of DHT reached, incoming DHT requires are dropped
    Core Improve: able to identify Shareaza client
    Core Bugfix: task queue operation incorrectly if choose seeding directly using exist files after opening torrent
    Core Bugfix: if the DHT network startup delay is enabled, the auto-started tasks will not announce to DHT any more
    Core Bugfix: crash when DNS querying

v1.71    2020.9.7
    GUI Improve: add new advanced option: ui.copy_magnet_with_tracker
    GUI Improve: add new advanced option: dht.startup_delay_sec
    GUI Improve: add new advanced option: dht.udp_sessions_threshold 
    GUI Improve: add Long-Term Seeding list to left channel list when expert_mode enabled
    GUI Improve: display number of files for Long-Term Seeding in flow graph
    GUI Improve: display number of DHT nodes and sessions by type in flow graph
    GUI Improve: display CPU usage in flow graph
    GUI Improve: display flow graph pane under torrent list also
    GUI Improve: display UDP sending queue length for separate category in Statistics pane
    GUI Improve: display number of DNS cache in Statistics pane
    GUI Improve: tracker list supports sorting
    GUI Improve: do not switch to download list after add new BitTorrent task from RSS page
    GUI Improve: display banned peers of BitTorrent task in separate group
    GUI Bugfix: binding IP address in advanced option can not be modified
    GUI Bugfix: update time of RSS feeds not changed after manual refresh
    GUI Bugfix: tooltip displayed incorrectly when the column order of peer list adjusted
    Core Improve: UDP sending queue changed to multiple queues
    Core Improve: prevent Sonic Studio 3 DLL injection, enhance program stability
    Core Improve: BitTorrent task start Long-Term Seeding automatically if become 100% completed after hash checking
    Core Improve: add cache for DNS query
    Core Improve: UDP Tracker connect will retry later if length of sending queue reached limit
    Core Improve: reduce unnecessary DHT transmission if reached the threshold of UDP sessions
    Core Improve: increase the priority of connection for passport login
    Core Bugfix: empty folder left after moving downloaded files for finished task

v1.70    2020.8.9
    GUI Improve: add option to start seeding after generating torrent file
    GUI Improve: advanced option system.show_debug_info renamed to system.enable_expert_mode
    GUI Improve: add DHT network node list to left channel list when expert_mode enabled
    GUI Improve: add flow graph for download speed, upload speed, DHT transfer
    GUI Improve: display location code if no location image in peer list
    GUI Improve: Add HTTP download in batch window support paste HTTP URL list
    GUI Improve: "Remember my settings" in Auto Shutdown menu changed to "Remember Shutdown Condition"
    GUI Bugfix: number of Torrent History not refreshed after generating torrent file
    GUI Bugfix: peer download progress not displayed in peer list
    GUI Bugfix: IP location icon display bug when using 150% DPI
    GUI Bugfix: download speed display bug in floating window
    GUI Bugfix: binding IP address in advanced option can not be set to unassigned
    Core Bugfix: data save failure due to zero-size file in torrent
    Core Bugfix: program may crash when downloading pieces containing file boundary in v1.69
    Core Bugfix: initial seeding option can not be saved due to asynchronous modification operation of BT task properties (v1.68 - 1.69)

v1.69    2020.7.8
    GUI Improve: display Mobile APP traffic in the info-tips of upload size and upload speed in task summary pane
    GUI Improve: display detailed failure info of download torrent in BT task log pane
    GUI Improve: display IP location in peer list of BitTorrent task
    GUI Bugfix: the main window should not be restored by relaunch program if entered lock mode while the main window minimized
    GUI Bugfix: can't change the default download directory for a task tag in the Option window
    GUI Bugfix: handle the situation of LAN IP is the same with WAN IP in Remote Download page of Options window
    Core Improve: improve error handling after piece hash check failure of BT task
    Core Improve: part of the file operation is moved to the worker thread to reduce UI freeze
    Core Improve: improve torrent share data processing and reduce UI freeze
    Core Improve: supports brotli compress for HTTP Tracker, torrent download and visit RSS feeds
    Core Improve: apply advanced option http.user_agent to all HTTP connections besides HTTP file download
    Core Improve: remove HTTP request header: Pragma/Cache-Control: no-cache
    Core Bugfix: occasionally crash when starting BT task asynchronously

v1.68.1  2020.6.28 (macOS)
    GUI Bugfix: disk space display error in task properties dialog in Mac edition
    GUI Bugfix: check box display error in file list of BT tasks in Mac edition

v1.68    2020.6.15
    GUI Improve: add Bind App button for BitComet Android edition in toolbar and tools menu
    GUI Improve: add enable BitComet App option in Remote Download page of Options window
    GUI Improve: add Bind App button in Remote Download page of Options window
    GUI Improve: add Devices button in Remote Download page of Options window
    GUI Improve: add force HTTPS option in Remote Download page of Options window
    GUI Improve: display Remote Download info in Statistics pane
    GUI Improve: allow piece alignment option when creating private torrent file
    GUI Improve: new advanced option: system.process_io_priority
    GUI Improve: display long-term seeds info in Tracker list
    GUI Improve: add auto refresh option in torrent list toolbar
    GUI Improve: add refresh button in torrent list toolbar
    GUI Improve: keep selection state of focused item in torrent list when auto refresh
    GUI Improve: filter RSS torrent list by RSS feed name
    GUI Improve: new option in RSS torrent list: auto download meta-data
    GUI Improve: new option in torrent collect list: auto download meta-data
    GUI Improve: keep multiple selection in torrent list when auto-refresh disabled
    GUI Improve: new column in torrent list: has metadata
    GUI Improve: display Long-Term Seeding info in Summary pane when system.show_debug_info turned on
    GUI Improve: remember show/hide state of task tags toolbar when program restart
    GUI Improve: display UDP transfer info in Statistics pane
    GUI Improve: display DNS failure info of UDP transfer in Statistics pane
    GUI Bugfix: sort bug for first column of torrent list
    GUI Bugfix: the downloaded icon in torrent list does not refresh in time
    GUI Bugfix: Option window may display incorrectly when opened for second time in Mac edition
    GUI Bugfix: program may crash when drag and drop multiple HTTP links to main windows or floating window
    Core Improve: selecting files to download for BitTorrent task changes to asynchronous operation, to reduce the UI lag
    Core Improve: clean up unfinished files for BitTorrent task changes to asynchronous operation, to reduce the UI lag
    Core Improve: when sharing torrents in Torrent Exchange, give higher priority to the torrents whose content have been downloaded
    Core Improve: assign padding attribute to padding files according to BEP47 when creating torrent file
    Core Improve: handling padding file attribute when opening torrent file
    Core Improve: enhance security for Remote Download
    Core Improve: supports view task info from BitComet Android edition
    Core Improve: supports add, start, stop task from BitComet Android edition
    Core Improve: supports play completed mp4, mkv video files from BitComet Android edition
    Core Improve: do not retry within 1 minute after DNS failure for UDP transfer
    Core Bugfix: the piece containing file boundary can not be downloaded in individual cases

v1.67    2020.5.6
    GUI Improve: new command in context menu of task list: search online for the task name
    GUI Improve: new global option: save the torrent file to download folder
    GUI Improve: display the number of DHT torrents with metadata in left channel pane if show torrents with metadata option enabled
    GUI Improve: reduce UI lag of BitTorrent task properties dialog when use network folder as download folder
    GUI Improve: new command in context menu of torrent list: search online for the torrent name
    GUI Improve: new advanced option: system.check_bcagent, disable check OCX control status for browser extensions at startup
    GUI Improve: new settings in tasks page of option window: start queued task if the download speed of slowest task is lower than
    GUI Improve: display UPNP port mapping info in global log
    GUI Bugfix: the upload limit can not be set to 1, 2, 3...9MB/s in Option dialog
    GUI Bugfix: magnet URI tasks not displayed in Uncompleted task list after program restart
    Core Improve: the format of data file of torrent history list changed from xml to sqlite, conversation will be performed automatically when program launch
    Core Improve: improve algorithm of removing items in torrent list, reduce UI lag
    Core Improve: increase sorting speed for snapshot and post column in torrent list
    Core Improve: improve algorithm of long-term seeding, reduce UI lag
    Core Improve: starting BT task changes to asynchronous operation, to reduce the UI lag
    Core Improve: reduce process time for stopping BT task
    Core Improve: reduce process time for removing BT tasks without deleting downloaded files
    Core Improve: reduce UI lag due to long-term seeding
    Core Bugfix: BT task may stop unexpectedly due to file not found if yellow blocks appear in piece map
    Core Bugfix: program may crash when sorting torrent list
    Core Bugfix: disk boost service not utilized when allocate disk space before downloading option disabled
    Core Bugfix: metadata download task not removed when removing items in torrent list

v1.66    2020.4.13
    GUI Improve: improve icons in toolbar and download list for HiDPI display
    GUI Improve: add settings button in toolbar of torrent list
    GUI Improve: new option for DHT torrents: Only show torrents with metadata
    GUI Improve: add Feed Name in RSS torrent list
    GUI Improve: display number of piece in torrent maker dialog
    GUI Improve: display metadata downloading info in Statistics pane
    GUI Improve: do not display listen port of peer if unknown for BT peers
    GUI Improve: "Preview Download Mode" renamed to "Sequential Download Mode" in context menu of BT task
    GUI Improve: add Compact Database command in settings menu of torrent list
    GUI Improve: new advanced option: bittorrent.dht_torrent_refresh_interval, 5 sec as default to decrease disk activity time
    GUI Improve: new advanced option: system.compact_memory_interval
    GUI Improve: display configuration file folder in Global Log pane
    GUI Improve: display Long-Term Seeding status in Statistics Pane
    GUI Improve: add copy command to context menu of settings list in advanced option page
    GUI Improve: improve HiDPI support for Batch download dialog
    GUI Improve: new option in Proxy setting page: DNS query using proxy server
    GUI Improve: add unit choice for Speed limit in Option dialog
    GUI Improve: support add batch-download by drag and drop multiple URL links to floating window or main window
    GUI Improve: support add batch-download by clipboard monitor
    GUI Improve: new advanced option: bittorrent.hash_check_for_ltseed
    GUI Improve: add memory usage details about process heap size and disk write buffer size
    GUI Improve: new settings in advanced option page to select IP address to bind to when initiate a connection
    GUI Improve: show pending DNS number in Statistics pane
    GUI Bugfix: the number of torrents in the left channel list is not refreshed in time
    GUI Bugfix: sort bug for first column of Torrent History list
    GUI Bugfix: task summary panel text alignment
    GUI Bugfix: level progress display error when progress is 0% in the lower left corner
    GUI Bugfix: incorrect configuration file folder used in certain case
    GUI Bugfix: UI lag when select all by Ctrl+A in torrent list
    Core Improve: DHT Tracker use worker thread to reduce the UI lag
    Core Improve: support initiate a connection using preferred network adapter if multiple network adapters exist in system
    Core Improve: support IPv6 connection through SOCKS5 proxy server
    Core Improve: support UTF8 BOM when improve URL list from text file in Batch download dialog
    Core Improve: support extract URL links containing Chinese characters from html page segment dropped to BitComet from web page
    Core Improve: improve memory allocation, decrease memory usage for UDP buffer and log buffer
    Core Improve: optimize UDP packet sending efficiency，default value of network.max_udp_pkt_per_sec changed to 1000 from 500
    Core Improve: avoid program crash caused by IE component damage
    Core Improve: improve Preview download mode for BT task
    Core Improve: reduce memory usage when downloading metadata for DHT torrent list
    Core Bugfix: the global option "allocation disk space before download" works even when disabled
    Core Bugfix: empty files should not be created when performs hash-check
    Core Bugfix: connection error retry issue when download from long-term seed
    Core Bugfix: fix speed limit deviation
    Core Bugfix: "Sequential Download Mode" does not work if "Optimize download strategy for preview" disabled in Option dialog

v1.65    2020.3.16
    GUI Improve: Display left time in torrent making dialog
    GUI Improve: add more items to backup in Import/Export dialog from File menu
    GUI Improve: display torrent creation time and RSS article publication time in Summary page of torrent list separately
    GUI Improve: the publish time in torrent list changed from torrent creation time to RSS article publication time
    GUI Improve: add new commands to context menu of RSS list: Copy title
    GUI Improve: the publish time in torrent list can be updated by click Reload command in context menu of RSS torrent node in Channel list
    GUI Improve: improve port mapping error message
    GUI Improve: the start time of task renamed to added time
    GUI Improve: LT Seed number in file list of BT task changed to "connected/total"
    GUI Improve: new advanced option to set HTTP retry max number and interval for downloading torrent in BT task
    GUI Improve: new advanced option: network.tcp_connection_timeout
    GUI Improve: new advanced option: bittorrent.max_connections_per_ltseed
    GUI Improve: default setting of UDP packets sent per second changed from 100 to 500 in advanced option page
    GUI Improve: display task logs about downloading torrent file from HTTP link for BT task
    GUI Improve: add memory usage details in Statistics pane
    GUI Bugfix: task delete button in toolbar should not be grayed out when task is running
    Core Improve: support import and export Torrent History, Torrent Exchange, RSS Torrents, DHT Torrents via backup file
    Core Improve: improve DNS resolution for UDP packet to prevent sending congestion
    Core Improve: add error retry for BT task when downloading torrent file from HTTP link
    Core Improve: add TCP connecting timeout for automatic disconnection
    Core Bugfix: after one file downloaded from a LT Seed, no requests for downloading other file are sent
    Core Bugfix: out of memory due to huge number of peer requests to running BT task
    Core Bugfix: while proxy server enabled, the program may crash when exiting
    Core Bugfix: the max TCP connection setting should be cons considered when initiating a long-term download connection
    Core Bugfix: fix improper operation in executable file name safety checking

v1.64    2020.1.13
    GUI Improve: add new advanced option: Use toast notifications in action center under Windows 10 (Need to create shortcut in start menu)
    GUI Improve: the max connection number for HTTP download task changed from 20 to 200 in HTTP task properties window
    GUI Improve: the max default connection number for HTTP download task changed from 20 to 200 in option window
    GUI Improve: show notification when the paging file is too small for memory allocation
    GUI Improve: add info-tip for peer count, health and share ratio column in task download list
    GUI Improve: improve display for HiDPI
    GUI Bugfix: the display name parameter in the magnetic link caused the default save name of the downloaded file to be incorrect
    GUI Bugfix: issues on sorting torrent list by snapshot or comments
    GUI Bugfix: the speed graph not cleared after perform disk cleanup for HTTP task
    GUI Bugfix: the queuing state icon not displayed if the task is in error state
    GUI Bugfix: the function of sorting by task state not working for queuing tasks
    Core Improve: enhanced the ability of HTTP download tasks to detect server support for download resume
    Core Improve: reduce memory usage for torrent metadata download
    Core Improve: improve video file snapshot, support thumbnail, decrease loading time
    Core Improve: disable extra disk writing verify to decrease disk usage
    Core Bugfix: if auto file moving launched after hash check when BitTorrent download finished, the files been moved will bot be removed
    Core Bugfix: HTTP download should stop immediately after failure of creating file
    Core Bugfix: program may crash at exit

v1.63    2019.12.20
    GUI Improve: new RSS Torrents list in Torrent Exchange, to collect torrent info from RSS feeds
    GUI Improve: new DHT Torrents list in Torrent Exchange, to collect torrent info in peer request from DHT network
    GUI Improve: add Download Metadata command to context menu of torrent list, to obtain torrent meta-data without creating download task
    GUI Improve: add Logs pane to torrent list, to display logs when obtaining torrent meta-data
    GUI Improve: decrease displaying time of waiting state when loading web page of task comments and snapshots
    GUI Improve: new settings in Proxy option page: do not use proxy for long-term seeding and port forward detection
    GUI Improve: display RSS update logs when advanced option system.show_debug_info enabled
    GUI Improve: new option in context menu of DHT torrents in left channel pane: auto download meta-data
    GUI Improve: new advanced options: Max number of concurrent downloading meta-data, Timeout seconds of downloading meta-data
    GUI Bugfix: the default connection number in HTTP batch download window changed from 1 to the setting value in Option window
    GUI Bugfix: the speed graph not cleared after perform disk cleanup for BitTorrent task
    GUI Bugfix: when click the blank area in piece map scroll bar out of the thumb, page up or page down not triggered.
    GUI Bugfix: the status bar of main window flickers when refresh
    Core Improve: improve identification code of BitTorrent client name and version
    Core Improve: do not detect IPv6 port forward status if global IPv6 address not found in system
    Core Bugfix: fix moving operations of configuration files when switch use_app_data advanced option
    Core Bugfix: program may crash when force stop tasks in stopping state
    Core Bugfix: the option of clear Torrent Collection list at program exit does not work
    Core Bugfix: the passkey parameter in tracker URL for private torrent should not be removed for non-MagnetURI torrents received from RSS feed
    Core Bugfix: if no data received from RSS feed, the reconnection will not be preformed in certain case
    Core Bugfix: if the torrent turned out private after meta-data received, no trackers should be added automatically from trackers-list

v1.62    2019.11.26
    GUI Improve: a new option to seed using existing files when create task by torrent file, check piece hash until uploading the piece
    GUI Improve: improve refresh algorithm of piece map to decrease CPU usage
    GUI Improve: display a piece in yellow if the piece is unchecked in the piece map pane of BitTorrent task
    GUI Improve: improve display refreshing code of torrent share list, reduce the UI lag when display large amounts of torrents
    GUI Improve: a new prompt to choose download one by one or in batches when select multiple magnet links in torrent share list
    GUI Improve: add tooltip to display peer_id when mouse hover on client name of peer list
    GUI Improve: the default allowed max size of torrent file changed from 10MB to 20MB, and a new advanced option added: bittorrent.max_torrent_size_mb
    GUI Improve: boss key renamed to lock / unlock main window hot-key. password will be needed when unlock if startup password is set.
    GUI Improve: new advanced option: bittorrent.anti_leech_banned_peer_ids
    GUI Improve: new advanced option: bittorrent.anti_leech_private_torrent, disabled by default 
    GUI Improve: show notification when out of memory
    GUI Improve: Task disk space cleanup can only be invoked when task stopped
    Core Improve: BT stop changes to asynchronous operation with new task Stopping state, to reduce the UI lag when stopping tasks
    Core Improve: improve processing flow to reduce the UI lag when task finishes downloading
    Core Improve: improve processing flow to reduce the UI lag when deleting running tasks
    Core Improve: discard cache data in running BitTorrent tasks when quit BitComet to reduce the UI lag
    Core Improve: improve processing flow of task start to reduce the UI lag
    Core Improve: improve processing flow of task progress auto save to reduce the UI lag 
    Core Improve: the format of data file of torrent share list changed from xml to sqlite, conversation will be performed automatically when program launch
    Core Improve: reduce the memory consume for loading torrent share list, to avoid program crash due to large amounts of torrents
    Core Improve: use worker thread to save data file of torrent share list incrementally, to avoid UI lag caused by saving data file at program exit
    Core Improve: decrease CPU usage when uploading in high speed
    Core Improve: increase the max allowed length of request queue for BitTorrent task
    Core Improve: update BitTorrent client identification code for Tixati
    Core Improve: support retrieve peer client name and version from extension protocol, on the basis of the identification from peer_id
    Core Improve: auto fix mistaken creation date format in torrent file
    Core Bugfix: when completed task list selected in left pane, Magnet tasks downloading meta data should not be displayed
    Core Bugfix: fix data error from uploading disk cache in rare cases

v1.61    2019.11.14
    GUI Improve: improve filter for auto torrent download from RSS feed
    GUI Improve: do not display unknown as name for tasks created from HTTP URL of torrent file 
    GUI Improve: new command in context menu of RSS article list: copy torrent link
    GUI Improve: show tooltip when mouse hover on status column of peer list
    GUI Improve: check disk boost service when program starts, display fix notification if not installed
    GUI Improve: task finish popup changed to toast notification of Action Center in Windows 10
    GUI Improve: auto update interval of RSS feed changed to the shorter one of user setting and feed setting
    GUI Improve: add new setting bittorrent.anti_leech_banned_ports in Advanced page of Options window
    GUI Improve: The option window automatically adjusts the window size according to the minimum size of the page when switching pages
    GUI Improve: add search options box in Advanced page of Options window
    GUI Bugfix: the setting of max number of RSS article works incorrectly
    GUI Bugfix: refresh task properties dialog after meta-data downloaded right away
    GUI Bugfix: fix display problem of floating window with HiDPI scale
    GUI Bugfix: remove obsoleted option: display task properties dialog after meta-data downloaded for Magnet link
    GUI Bugfix: publisher info not displayed in BitTorrent task properties dialog
    GUI Bugfix: copy RSS feed URL will get RSS feed web-page URL
    Core Improve: Improve compatibility with XML file formats returned by RSS feeds
    Core Improve: for the option that start a new task from waiting queue when total download speed lower than setting value, also stop a slowest task at the same time
    Core Improve: switch to IE11 render mode for RSS web-page in Window 10
    Core Bugfix: The Magnet link task addition time is changed from the time of torrent file downloaded to the time of task created.
    Core Bugfix: problem about the auto refresh interval for RSS feeds

v1.60    2019.10.17
    GUI Improve: add new command to File menu: add torrents from RSS feed
    GUI Improve: add RSS page in Option window, to configure RSS feed auto refresh and RSS torrent auto download
    GUI Improve: new setting in RSS page of Option window: add tag to task using feed title when auto download torrent from RSS feed
    GUI Improve: new setting in RSS page of Option window: pause download when auto download torrent from RSS feed
    GUI Improve: new setting in RSS page of Option window: filters for RSS torrent auto download
    GUI Improve: add new commands to context menu of RSS list: Copy RSS feed URL, Open page in Browser
    GUI Improve: able to download torrents using multiple-selection in RSS article list
    GUI Improve: add toolbar to web page pane of RSS article
    GUI Improve: new column in task list: number of task files
    GUI Improve: improve display speed of opening Option windows
    GUI Improve: support copy text in multiple lines of Statistics pane
    Core Improve: add RSS feed auto refresh and RSS torrent auto download function
    Core Improve: display corresponding RSS article title in task log when add torrent from RSS feed
    Core Improve: improve disk reading cache for BitTorrent uploading, decrease UI lag
    Core Bugfix: fix memory leakage when connecting to trackers using HTTPS protocol
    Core Bugfix: fix bug in task merging when one task downloaded a torrent from HTTP having the same infohash as another task

v1.59    2019.9.17
    GUI Improved: revert task remove window, add Cleanup command to task context menu
    GUI Improved: improve Torrent Share list refresh
    GUI Improved: the max value of advanced setting network.max_connecting_connections changed from 1000 to 10000
    GUI Improved: add advanced option log.tracker_limit to set the max number of logs for tracker
    GUI Improved: add advanced option log.task_limit to set the max number of logs for task
    GUI Improved: add Clear Log command to context menu of Tracker list, available when system.show_debug_info enabled
    GUI Improved: add Clear Log command to context menu of task log list, available when system.show_debug_info enabled
    GUI Improved: display number of pending TCP connections in Statistics pane
    GUI Improved: add indicator for private torrent in summary pane of BitTorrent task
    Core Improve: improve memory allocation strategy, decrease memory fragment 
    Core Improve: decrease interval of creating new TCP connections, and increase network throughput
    Core Improve: remove passkey parameter from tracker URL for private torrent received from Magnet Link
    Core Improve: active Long-Term seeding after task downloading finished immediately
    Core Improve: do not retry when failed to send STOP action to tracker
    Core Bugfix: improve peer connection request algorithm, avoid new added peers not been connected for a long time

v1.58    2019.7.6
    GUI Improved: support 32MB piece size when creating torrent file, and show estimated size of torrent
    GUI Improved: add fit column size command in context menu of list view header
    GUI Improved: add 2 new options in task remove window: delete unfinished download files only, delete all downloaded files
    GUI Improved: display torrent creator info in task summary page
    GUI Improved: improve floating window display for HiDPI
    GUI Improved: allow up to 10 new task windows to be displayed simultaneously
    GUI Improved: display flag for registered BitComet users of IPv6 in peers list of BitTorrent task
    GUI Improved: display tracker returned leechers amount in tracker list of BitTorrent task
    GUI Bugfix: display issue of item group fold/unfold in Statistics pane
    GUI Bugfix: max upload rate per BitTorrent task in Option window does not take effect immediately when changed
    GUI Bugfix: Long-Term seeding upload speed not displayed in tooltip of BitTorrent task summary pane when task stopped
    Core Improve: improve peer connection request algorithm: assign high priority for new added peers, and cleanup dead peers with failures
    Core Improve: enable Long-Term seeding immediately after new torrent created
    Core Improve: max allowed connection interval of tracker changed to 120 minutes
    Core Improve: add advanced option: bittorrent.save_connected_peers_only
    Core Bugfix: when select part of files in torrent to download, the left size sent to tracker should include all uncompleted files
    Core Bugfix: the upload, download size in first announce to tracker is incorrect when task restart after stop
    Core Bugfix: announcement not sent to tracker when task restart immediately after stop
    Core Bugfix: no DHT nodes should be written into torrent when DHT Network option unselected in torrent maker window
    Core Bugfix: connection error after first announce to HTTPS tracker
    Core Bugfix: HTTP download fails when URL contains IPv6 address host
    Core Bugfix: improve stability of Long-Term Seeding disk cache

v1.57    2019.5.8
    GUI Improved: choose only KB/s or MB/s as speed unit automatically, excluding B/s
    GUI Improved: do not allow reentrancy of new task creating window to avoid stack overflow
    GUI Bugfix: program may crash at exit triggered by Windows shutdown/restart/logoff
    Core Improve: support TLS v1.3 for HTTPS
    Core Improve: support Server Name Indication for multiple domains hosted HTTPS sever
    Core Bugfix: Long-Term Seeding does not work for certain torrents

v1.56    2019.3.13
    GUI Bugfix: mistake in UI translations
    Core Bugfix: disk cache setting for Long-Term Seeding does not take effect
    Core Bugfix: improve stability of Long-Term Seeding
    Core Bugfix: Long-Term Seeding does not work in pure IPv6 network
    Core Bugfix: after all trackers in private torrent been replaced, no tracker will be connected when task downloading

v1.55    2019.1.14
    GUI Improved: add new task categories "Uncompleted" and more in left Channel pane, which can be switch by context menu
    GUI Improved: add RSS feeds in left Channel pane
    GUI Improved: Statistics pane displays listening port status of IPv4, IPv6, TCP, UDP separately
    GUI Improved: Trackers pane displays peer number from PEX
    GUI Improved: Peers pane displays downloaded and uploaded size of disconnected peers
    GUI Improved: new Long-Term Seeding disk cache setting in Option window
    GUI Improved: Statistics pane displays disk cache info of BitTorrent transfer, HTTP download and Long-Term Seeding separately
    GUI Improved: choose KB/s or MB/s as speed unit automatically
    GUI Improved: when sort task by time, display tasks of unknown time as earliest
    GUI Improved: identify video file type of .webm and .ogv
    GUI Bugfix: toolbar display incorrectly after change Windows UI theme
    GUI Bugfix: tooltip of task summary will show up even when window not in foreground
    GUI Bugfix: occasionally crash when display popup window of task download progress
    Core Improve: support Long-Term Seeding in IPv6 network
    Core Improve: optimize the disk cache for Long-Term Seeding 
    Core Improve: add UDP incoming status detect for listening port
    Core Improve: report IPv4, IPv6 address to other peer in dual-stack network, to establish double way connections
    Core Bugfix:  decrease UI lag when executable file download finished
    Core Bugfix:  too many tracker connections when multiple BitTorrent tasks download at the same time
    Core Bugfix:  improve stability of Long-Term Seeding

v1.54    2018.12.6
    GUI Improved: add log out action when all task finished
    GUI Improved: increase disk cache max limit for 64 bits system
    GUI Improved: add option to disable peer exchange globally in advanced page of Option window
    GUI Improved: update translations
    GUI Bugfix: crash when remove task if file list pane tab reordered
    GUI Bugfix: should not use index.html as default file name if no name found in Magnet URI dragged from web page
    Core Improve: decrease disk cache size when page file insufficient
    Core Bugfix:  incoming connection should be disconnected immediately when invalid encryption BitTorrent protocol detected

v1.53    2018.10.26
    GUI Improved: support add BitTorrent task using 32-byte Base32 encoded infohash of magnet link directly in "Open torrent from URL" dialog
    GUI Improved: increase maximum text length of input box in "Open torrent from URL" dialog
    GUI Improved: add resize ability to "Open torrent from URL" dialog
    GUI Improved: improve support for high-DPI monitor of statistic information dialog of multiple tasks
    GUI Changed: remove VIP Acceleration page from Channels in left pane
    GUI Changed: remove VIP Acceleration tab from BitTorrent task properties dialog
    GUI Bugfix: dialog display will be deferred while high-speed downloading
    Core Improve: the max value of network.max_connecting_connections in advanced options changed from 200 to 1000
    Core Bugfix:  the default value of network.start_connect_interval_ms in advanced options changed from 200 to 100
    Core Improve: support IPv6 address when detecting listening port status
    Core Changed: remove VIP Acceleration and Anonymous Download for BitTorrent task

v1.52    2018.7.18
    GUI Improved: HTTP(S)/FTP download support IPv6 URL link
    GUI Improved: Peer list and Tracker list support display IPv6 address
    GUI Improved: IPv6 address of LAN/WAN displayed in Statistics pane
    GUI Improved: DHT network node info of IPv4 and IPv6 displayed in Statistics pane
    GUI Improved: add SHA256 checksum verification to HTTP task properties dialog
    GUI Improved: add DNS resolve error info for UDP Tracker
    GUI Improved: upgrade UI text translation website https://bbcomet.com/projects/bitcomet/
    GUI Bugfix: unable to add HTTPS URL as Web Seed in torrent file maker window
    GUI Bugfix: errors when displaying new version upgrade window
    Core Improve: support IPv6 network (Windows XP SP1 or later required)
    Core Improve: support IPv6 HTTP Tracker
    Core Improve: support IPv6 UDP Tracker
    Core Improve: support IPv6 DHT Tracker
    Core Improve: allow upload pieces containing file boundary when part of files in torrent selected for download
    Core Bugfix:  data not saved into piece_part file correctly in a few particular situations when part of files in torrent selected for download

v1.51    2018.6.12
    GUI Improved: new settings in Tracker page of option window, automatically add trackers when start BitTorrent download
    GUI Improved: new settings in Tracker page of option window, automatically update trackers list every day
    GUI Improved: increase max value for global rate limit, task rate limit and scheduler rate limit from 9999kB/s to 100MB/s
    GUI Improved: improve support for high-DPI monitor
    GUI Bugfix: unsupport download torrent file from HTTPS link
    GUI Bugfix: remove P2PCache function from Advanced page of Option window, which was out-of-service for a long time
    Core Improve: improve download speed stability of BitTorrent downloading
    Core Improve: increase max download speed of single connection of BitTorrent downloading
    Core Improve: refine Crash Report program
    Core Bugfix:  fix problems when exit program while high-speed downloading

v1.50    2018.5.3
    GUI Improved: the file list in BitTorrent task properties dialog can switch between simple list and tree list 
    GUI Bugfix: background color of URL input box displayed incorrectly when create new HTTP task
    GUI Bugfix: speed graph displayed incorrectly when high speed downloading
    Core Improve: refine Crash Report program
    Core Improve: update BitTorrent client identification code
    Core Bugfix:  certain file name displayed incorrectly in BitTorrent task

v1.49    2018.2.6
    GUI Improved: improve context menu of Torrent History list, Torrent Share list and Torrent Collection list
    GUI Improved: add Transmission to allowed client list in Option window
    GUI Improved: improve support for high-DPI monitor
    GUI Bugfix: order disordered when collapse or expand sorted file list of BitTorrent task
    GUI Bugfix: when open directory of a file in sub-directory from the file list of BitTorrent task, incorrect directory opened
    Core Improve: update BitTorrent client identification code
    Core Improve: decrease piece_part file size for BitTorrent task with only part files selected to download

v1.48    2017.12.28
    GUI Improved: enhance webpage security
    GUI Improved: minor UI improvement

v1.47    2017.8.28
    GUI Improved: minor UI improvement

v1.46    2017.7.6
    GUI Improved: enhance webpage security
    Core Improve: improve HTTPS download ability

v1.45    2017.1.17
    GUI Improved: support login account using email
    GUI Improved: client IP address moved from status bar to context menu
    GUI Bugfix: task size not displayed when opening torrent

v1.44    2016.11.11
    GUI Bugfix: dialog layout mistake in high-DPI monitor
    GUI Bugfix: the column width of some list not saved properly

v1.43    2016.10.19
    GUI Bugfix: the setting of download part of files in torrent may lost after BitComet restart
    GUI Bugfix: fix icon display in high-DPI monitor

v1.42    2016.07.04
    GUI Improved: improve support for high-DPI monitor

v1.41    2016.05.24
    GUI Improved: display Batch Download window when open multiple torrent files in File Explorer
    GUI Improved: merge 32bit/64bit editions into one install package
    Core Improve: increase default disk cache limit from 50 MB to half of total memory, up to 1GB 
    Core Improve: add peer software version recognition

v1.40    2015.09.06
    GUI Improved: support Windows 10
    GUI Bugfix:   Torrent make dialog not displayed when drag-n-drop files to the web-view pane in main window
    Core Bugfix:  when delete download task and its files together, sometimes certain sub-directories are not removed

v1.39    2015.06.29
    GUI Bugfix:   fix the expired code signing certificate

v1.38    2015.03.30
    GUI Improved: add open-folder button in download finish pop-up window
    GUI Improved: display download speed and progress together when floating window re-sized large enough
    GUI Improved: change the option of auto-stop seeding time from minutes to day-hour-minute
    GUI Bugfix:   fix the floating window display problem when using multiple monitors
    Core Improve: improve file read/write performance, reduce UI stuck
    Core Improve: support ReFS disk volume
    Core Improve: support Chrome browser extension
    Core Bugfix:  the minimize value of network.max_connecting_connections in advanced options changed to 8
    Core Bugfix:  fix bugs in IE extension

v1.37    2013.12.31
    GUI Improved: add download speed/progress graph in task summary pane
    GUI Improved: add download size in total, upload size in total, torrent create time in task list, hidden by default
    GUI Improved: display new finished tasks in bold
    GUI Improved: display proxy server connection errors in task log
    GUI Improved: after hash checking, mark the banned and removed files in piece map as empty
    GUI Improved: improve the operation of open file, open folder and invoke anti-virus software, avoid UI not response
    GUI Improved: add new language: Kurdish
    GUI Bugfix:   fix the bug of missing file extension name when start download by Magnet URI
    GUI Bugfix:   fix the bug of not keeping selection state when switch between task list and torrent exchange list 
    GUI Bugfix:   install package supports Windows 8.1
    Core Improve: improve Firefox extension to support multiple Firefox versions
    Core Bugfix:  fix the bug in Firefox extension that unable to start BitComet from Save As dialog
    Core Bugfix:  fix the bug of the save folder of HTTP/FTP file is not set to the desired one from remote download webpage

v1.36    2013.05.02
    GUI Bugfix:   program crash occasionally when delete task
    Core Improve: support Firefox 20

v1.35    2013.02.19
    GUI Improved: show the "Saving data" tip when shut down computer while BitComet running (Vista or later)
    GUI Improved: max seeding time changes from 1000min to 99999min. max share ratio changes from 2000% to 9999%
    GUI Improved: do not show right-bottom corner popup tips by default
    GUI Improved: changes some text in UI
    Core Improve: support Firefox 18
    Other Change: switch to new translation site: www.bbcomet.com

v1.33    2012.09.18
    GUI Improved: improve Remote Download web page
    GUI Bugfix:   the torrent file creation time in UTC is not displayed correctly
    GUI Bugfix:   support jump list of taskbar in Windows 8
    Core Improve: support Firefox 15
    Core Improve: add queuing state to VIP Acceleration, which can be canceled anytime while queuing or preparing.
    Core Bugfix:  cannot finish hash check for torrents with 16MB piece size
    Core Bugfix:  the proxy settings cannot be saved when the IE proxy setting is empty

v1.33    2012.07.31
    GUI Improved: update comment info in torrent list when torrent comment page loaded
    GUI Improved: remember export folder when selecting multiple tasks to save torrent files
    GUI Improved: store the settings of Socks and HTTP proxy server separately
    GUI Bugfix:   after clear all in Torrent Collection list, the corresponding number in left Fav bar not cleared
    GUI Bugfix:   remove the space at the beginning of the first column in each line of Tracker list
    GUI Bugfix:   in BitTorrent task properties dialog, the selection size is always 0 when the folder collapsed
    GUI Bugfix:   certain language names displayed in Tools menu incorrectly
    GUI Bugfix:   using Tab key to navigate among panels of main window
    Core Improve: support Firefox 14
    Core Bugfix:  program crashes when connect to proxy server with authentication info

v1.32    2012.03.13
    GUI Improved: improve the snapshot icon display in task list
    GUI Improved: when resize the main window, keep the width of left fav bar unchanged
    GUI Improved: when load a URL list file to do a batch download, show a message if duplicated URLs detected
    GUI Bugfix:   after sort task list, the sort state will not be restored when program restart
    GUI Bugfix:   when download a Magnet URI, the default save folder is not filled in the new task dialog
    GUI Bugfix:   when multiple URL links are selected in IE9 web page, they cannot be drag&drop to the floating window
    GUI Bugfix:   the sort state of task list will be broken when modify the task filter
    GUI Bugfix:   if the multiple-monitor configuration of Windows changed during program running, some dialog will be displayed in invalid position
    GUI Bugfix:   when multiple tasks are selected, the refresh of task number in status bar will flicker
    GUI Bugfix:   fix the program icon of 256x256
    Core Improve: support Firefox 10
    Core Bugfix:  program may crash if failed to load detail file of any task
    
v1.31    2011.12.12
    GUI Improved: save the heights of task list pane and Torrent History pane separately
    GUI Improved: keep the tasks which occur downloading error together when sort task list by state
    GUI Improved: add confirm dialog when restore the display of hidden torrents in Peer Share list
    GUI Bugfix:   Auto-Shutdown at specified time does not work
    GUI Bugfix:   open URL using system default browser instead of IE
    GUI Bugfix:   torrent file icon should not use the program icon
    GUI Bugfix:   when adding new Torrent, all files will be downloaded instead of only selected
    GUI Bugfix:   task position in the task list should not be changed when press Home/End
    GUI Bugfix:   the setting of View - Task list - Show filter does not work when program starts
    Core Bugfix:  handle torrent file not using UTF-8 encoding

v1.30    2011.11.11
    GUI Improved: cleaned up and improved a lot of code, reduce program size
    GUI Improved: add VIP download list button in task list toolbar
    GUI Improved: do not allow hide the title column of task list
    GUI Improved: new command in View menu: Find Task (Ctrl+F)
    GUI Improved: switch file list to Simple List or Tree List, from context menu
    GUI Improved: display the tree list of files correctly when the files in Torrent are not sorted by directories
    Core Improve: support Firefox 7
    Core Improve: the file size limit of Torrent changed to 10MB
    Core Improve: support torrents whose piece size is not the integral multiple of 16 KB

v1.29    2011.09.23
    GUI Improved: display prompt message when UI no response while writing piece_part file
    GUI Improved: new option in advance page of BitTorrent task properties dialog: Bypass task seeding rules, keeps active
    GUI Improved: change the health value of task displayed on the right of availability graph in task summary to the availability value
    GUI Improved: display the download size/rate from VIP Acceleration in the tooltip of task summary 
    GUI Improved: after click the prompt balloon of task finish, the corresponding task will be highlighted in the list
    GUI Bugfix:   task list failed to sort by download/upload size
    GUI Bugfix:   tracker setting not saved after remove a tracker from the context menu of tracker list
    Core Improve: Web seeding supports HTTP servers which do not accept range request
    Core Improve: improve connection request algorithm, decrease unnecessary connection number
    Core Improve: disable eMule plugin for Anonymous Download
    Core Improve: support Firefox 6
    Core Bugfix:  BitTorrent download containing too many files can not launch VIP Acceleration
    Core Bugfix:  failed to auto-shutdown after all download finished if any queued seeding task exists

v1.28    2011.06.28
    GUI Improved: move VIP Acceleration window into BitTorrent task properties dialog
    GUI Improved: new option in VIP Acceleration tab of BitTorrent task properties dialog: Anonymous Download
    GUI Improved: add Anonymous Download state to VIP icon in task list
    GUI Improved: bookmark list in left favorites bar recovered
    GUI Improved: remember the position and size of task properties dialog
    GUI Improved: add Folder and Private columns in task list, hidden by default
    GUI Improved: display a balloon tip when accessing network share folder leads to UI no response
    GUI Improved: 32/64 bit editions use separate install packages
    GUI Improved: auto update identify 32/64 bit editions correctly
    GUI Improved: the language list uses the language names provided by Windows
    GUI Improved: add icons to the main menu and context menu of floating window
    GUI Improved: display a balloon tip when launch a new instance of BitComet while another is exiting
    GUI Improved: the default action of minimize button of main window changed to minimize to task bar under Win 7
    GUI Improved: remove the AutoRefresh option in Torrent Collection toolbar. new torrents are appended to the bottom directly
    GUI Improved: when the display number of Torrent Collection list reaches max value, a info bar will be displayed
    GUI Improved: add Remove command to Torrent Collection list
    GUI Improved: decrease start-up delay of Torrent Collection by loading torrents information asynchronously
    GUI Improved: display a balloon tip when sorting the list of Torrent Collection leads to UI no response
    GUI Improved: add a icon for "Properties" in the context menu of task list
    GUI Improved: improve the thumbnail task list for system tray icon and floating window when mouse hovering
    GUI Improved: add "reset to default layout" the context menu of detailed tabs of Torrent Share and Torrent History
    GUI Improved: the option of "show detailed info" in View menu works for Torrent Share and Torrent History
    GUI Improved: display free memory of BitComet process in Statistics pane
    GUI Bugfix:   disable task operation buttons in toolbar when display VIP download list
    GUI Bugfix:   the setting of show toolbar and show status bar in View menu not remembered
    GUI Bugfix:   failed to read cookie from Firefox 4 when add HTTP download
    GUI Bugfix:   support saving files larger than 4G in volume of HFS+/HFSJ/HFSX
    GUI Bugfix:   v1.27 failed to start under Win2000
    GUI Bugfix:   the text of weekday in Schedule setting page misplace in certain display setting condition
    GUI Bugfix:   batch adding torrents have Chinese file name will fail under English Windows XP
    Core Improve: support Anonymous Download for tasks enabled VIP Acceleration, preventing any direct connection to trackers or BitTorrent peers
    Core Improve: update BitTorrent client identification code
    Core Bugfix:  memory access violation leading to program crash

v1.27    2011.04.22
    GUI Improved: display Batch Download window when drag&drop multiple torrent files to main window or floating window
    GUI Improved: remove the drop-down menu from the delete button in toolbar of Torrent History or Torrent Share list
    GUI Improved: add "Show Detailed Info" option in View menu
    GUI Improved: new setting in option dialog: add to Torrent Share when opening torrent
    GUI Improved: display translation text of "Day" and "Hour" in task left time
    GUI Improved: display recovered and dropped data size by hash-checking in task log list
    GUI Improved: display used memory size in Statistics pane
    GUI Improved: new setting in Advanced Option page: max number of UDP packets sent per second
    GUI Improved: display upload/download speed in the left of main window's title bar
    GUI Improved: display more accurate error info when opening Magnet URI of unsupported types
    GUI Improved: display preview window of task downloading progress when mouse hovers on floating window or system tray icon
    GUI Improved: display Batch Download window when open multiple torrent files from File menu
    GUI Improved: display confirm window if tasks need hash-check when started
    GUI Improved: add new global option: display hash-check confirm window
    GUI Improved: enhance video file capture ability of Firefox extension
    GUI Improved: max cache size in global options page up to 16 GB under 64-bit system
    GUI Improved: display download/upload size of this session in Statistics pane
    GUI Improved: drop-down menu of remove button in toolbar is removed. click remove button with shift key can remove download task and files together
    GUI Improved: decrease the context menu level of floating window and system tray icon
    GUI Improved: available space can be displayed correctly even if the save folder is a symbol link to other volume
    GUI Improved: improve the crash report program
    GUI Improved: new task list of VIP Downloads
    GUI Improved: "delete task and files" removed from task context menu. click "delete task" menu command with shift key to delete download task and files together.
    GUI Improved: support context menu of IE 9 to download using BitComet
    GUI Improved: modify the size of BT task properties dialog, compatible with 1024x600 resolution
    GUI Improved: display navigation pane of Windows Explorer when open task download folder under Windows XP
    GUI Improved: the text of task status in summary pane can't be displayed completely when it's too long
    GUI Improved: new button in toolbar: add Magnet URI
    GUI Improved: BitComet video download extension for Firefox supports Firefox 4
    GUI Improved: BitComet plugin for Firefox supports Firefox 4
    GUI Improved: un-installation program will notify running BitComet to exit
    GUI Changed:  update check for popular software removed totally
    GUI Changed:  remove the "Don't show again" option in task remove confirm window
    GUI Bugfix:   "Open Forum" button in toolbar become invalid when file list is showing
    GUI Bugfix:   after remote connection established, the network status light turns green, but the tooltip of the light and the listening port status in Statistics pane not refreshed
    GUI Bugfix:   in v1.26, certain settings in Proxy page can't be saved
    GUI Bugfix:   in v1.26, unable to create new tag from Task Tag option page
    GUI Bugfix:   in v1.26, the seed number not displayed in task summary pane
    GUI Bugfix:   the option "add to Torrent Share when opening torrent" doesn't work
    GUI Bugfix:   when mouse hovers on the system tray icon, the preview window of task downloading progress displayed in incorrect position
    GUI Bugfix:   the detail info windows of download/upload size in task summary pane couldn't be able to shown up after program running for a long time
    GUI Bugfix:   the task state icon displayed as warning if only download part of files of a BitTorrent and choose "Download Later"
    GUI Bugfix:   after increase text size of Windows (DPI setting), the layouts of certain windows went wrong
    GUI Bugfix:   the function of shutdown computer after all task download finished ignores tasks in queue
    Core Improve: native support for 64-bit system
    Core Improve: read file in working thread after disk cache of BitComet used up, to avoid UI responding slowly while high-speed seeding
    Core Improve: slow down download speed when disk writing speed can not catch up, to avoid UI responding slowly while high-speed downloading
    Core Improve: improve uploading queue handing, to boost uploading speed in LAN
    Core Improve: if the the download drive not accessible when task starts, hash-check will be skipped to avoid download progress be reset
    Core Bugfix:  stop and restart BT task containing 0 size files will lead to unnecessary hash-checking
    Core Bugfix:  drop incoming peers whose listening port is unknown when their connection disconnected
    Core Bugfix:  files not closed after task stopped as disk space full, making those files locked for moving or removing
    Core Bugfix:  if only select part of files in a BitTorrent download, the task progress may fall back after hash-checking
    Core Bugfix:  when the setting of allocate space before downloading enabled, only the space of the first 50 files is allocated
    Core Bugfix:  if the save folder is a junction of directory, the download will fail
    Core Bugfix:  download rate limit for single BT task not applied to downloading from Long-Term Seeds

v1.26    2011.01.27
    GUI Improved: improve text information displayed in VIP acceleration dialog
    GUI Improved: improve progress bar of disk space in task properties dialog
    GUI Improved: new setting in advanced option page to enable/disable auto hash check after downloaded file changed
    GUI Improved: new setting in advanced option page to enable/disable disk boost service (only Vista and later)
    GUI Improved: display the status of disk boost service in statistical tab (only Vista and later)
    GUI Improved: tasks in queue will be displayed in Active task list
    GUI Improved: improve re-connection timers displayed in tracker list
    GUI Improved: do not display torrent downloading prompt dialog when open a magnet link
    GUI Improved: improve GUI font when choosing Traditional Chinese in non-Traditional Chinese Windows
    GUI Improved: simplify torrent status icon in torrent history and torrent share list
    GUI Improved: do not fix the width of date column in torrent history and torrent share list
    GUI Improved: improve display refreshing code of torrent history and torrent share list, reduce CPU usage
    GUI Improved: display the default command in context menu of torrent history and torrent share list as bold
    GUI Improved: new command in context menu of Torrent Collect list: Add to Torrent Share
    GUI Improved: add openbittorrent and publicbt as default trackers when creating torrents
    GUI Improved: green light appears after incoming connection established from a remote peer
    GUI Improved: add large icon of 256*256 for Vista/Win7
    GUI Improved: add new column to Torrent History list: private torrent
    GUI Improved: do not lock the width of preview column in task list
    GUI Improved: display total download time in task summary tab
    GUI Improved: display the number of days in case of downloading left time is more than 24 hours
    GUI Improved: check downloaded files at program startup, and display warning icon on task if file missing. It can be disabled in advanced option page.
    GUI Changed:  Long-Time Seeding renamed to Long-Term Seeding
    GUI Bugfix:   the downloaded size in task statistical dialog when selecting multiple tasks is invalid
    GUI Bugfix:   when mouse cursor hovering on system tray icon in XP, the task running info balloon can not be shown
    GUI Bugfix:   the delete button in toolbar grayed out when pressing Ctrl to select multiple items in Torrent History and Torrent Share
    GUI Bugfix:   in the global option dialog, the max value of cache size for each connection of HTTP download should be 2MB
    GUI Bugfix:   after torrent downloaded for Magnet URI, the hidden options in advanced page of task properties dialog is not shown right away
    GUI Bugfix:   the error message of failure to listen on UDP port is not accurate
    Core Improve: using disk boost service to create large files when start downloading, to speed up disk operation, avoid UI no response (only Vista and later)
    Core Improve: improve kernel to reduce CPU usage for UI refreshing when downloading BitTorrent task
    Core Improve: connect to one only tracker at a time when downloading private torrent, and clear all peers when switching tracker
    Core Improve: improve crash report program
    Core Improve: improve transport interval of peer exchange
    Core Improve: use worker thread to process socket message, thereby reduce message handling in UI thread
    Core Bugfix:  do not connect to tracker when remove a tracker from tracker list (thanks to kluelos)
    Core Bugfix:  when listening port disabled in option dialog, program will dead-loop when exit

v1.25    2010.12.08
    GUI Improved: new global option: customize actions of mouse double-click on task list
    GUI Improved: show log of trackers from tracker list
    GUI Improved: display progress bar of disk space in task properties dialog
    GUI Improved: add Torrent History button to toolbar of task list
    GUI Improved: add task list button to toolbars of Torrent History ad Torrent Share
    GUI Improved: remember sort state of task list after program restart
    GUI Improved: new icon for Torrent History
    GUI Improved: VIP Acceleration can be canceled if a task can not complete for a long time
    GUI Bugfix:   UNC path can not be set as default download folder in option dialog
    Core Bugfix:  improve kernel stability
    Core Bugfix:  improve stability of BHO

v1.24    2010.11.11
    GUI Improved: add "VIP Accelerate" for BitTorrent download, enable from the VIP icon in task list 
    GUI Improved: new global settings: move downloaded files to specified folder after task finished
    GUI Improved: add task filter on the top of task list, filter tasks by states, tags and keywords
    GUI Improved: move task tag list from the favorites bar at left to the task filter bar above task list
    GUI Improved: add keyboard shortcut Ctrl+F to find task
    GUI Improved: show batch download dialog when open multiple magnet links using Ctrl+U
    GUI Improved: change the text of preview/open in task list to icon
    GUI Improved: remove the upper limit of the peer number displayed in peer list of BitTorrent task and display all
    GUI Improved: display a yellow warning icon for tasks that failed to move/rename files after download finished
    GUI Improved: improve the "Search ED2K links" dialog launched from the file list of BitTorrent task
    GUI Improved: add thumbnail picture for task bar button in Windows 7, to display downloading task information
    GUI Improved: display download progress on task bar button in Windows 7
    GUI Improved: add frequent used operations to context menu of task bar button in Windows 7
    GUI Improved: new global settings to specify main window action when program starts, minimized or closed
    GUI Improved: new option for auto-shutdown, to action once or forever
    GUI Improved: OpenDir, Properties and Delete buttons in toolbar available when switched to Torrent History list
    Core Improve: support "VIP Accelerate" for BitTorrent download
    Core Improve: keep original creator name of torrent file when save torrent as
    Core Bugfix:  connect to peers returned from DHT network using encryption protocol by force (thanks to Ori)
    Core Bugfix:  VideoSnapshot.exe can not exit normally when processing abnormal video files
    Core Bugfix:  change the limit of disk cache up to 2GB

v1.23    2010.08.31
    GUI Improved: add Summary tab to Torrent History and Torrent Share list
    GUI Improved: open Torrent from URL dialog supports multiple URLs
    GUI Improved: export all torrents in one time by selecting multiple tasks in task list, Torrent History or Torrent Share list
    GUI Improved: display "click to add" in file list when BitTorrent task missing ED2K links
    GUI Improved: add Snapshot and Comment tab to Torrent History and Torrent Share list
    GUI Improved: new command in context menu of Torrent History: "add to task list"
    GUI Improved: support import unfinished download files with any extension name
    GUI Improved: new advanced option: allow preview program to open files of any type from file list (thanks to greywizard)
    GUI Improved: enhance video file capture ability of Firefox extension
    GUI Change:   CometPassport renamed to CometID
    GUI Bugfix:   percent of score bar for CometID level up displays invalid for level 50+ (v1.22)
    GUI Bugfix:   after modifying save path in task properties dialog and selecting moving files, the downloaded files are copied to new folder, not moved
    GUI Bugfix:   no beeps after download completed (v1.22)
    GUI Bugfix:   after changing torrent file encoding in task properties dialog, the task name in Torrent History is not refreshed
    GUI Bugfix:   cannot send crash report under XP
    GUI Bugfix:   after switched to Torrent History, some buttons in toolbar should disabled
    Core Improve: supports HTTP 301/302 redirecting for Web Seed
    Core Improve: eMule plugin Xtreme Mod upgraded to v8.0 (eMule v0.50a)
    Core Improve: after error code received from Tracker, increase retry interval and re-connect later
    Core Improve: increase priority of HTTP tracker connection
    Core Improve: improve piece request algorithm for BitTorrent task, reduce CPU usage
    Core Bugfix:  if BitTorrent task containing multiple files, multiple eMule plugin will be launched incorrectly(v0.50a)
    Core Bugfix:  failed to generate Crash Report in Vista/Win7 (v1.22)
    Core Bugfix:  upload task number limit works incorrectly when there are any task whose torrent not downloaded yet
    Core Bugfix:  perform hash-check if file changed or missing when start BitTorrent task
    Core Bugfix:  FTP download did not handle the error of disconnect by server unexpectedly
    Core Bugfix:  FTP download failed to resume download from certain FTP servers
    Core Bugfix:  fix DNS query function

v1.22    2010.06.30
    GUI Improved: improve IE context menu display effect under Vista/Win7
    GUI Bugfix:   tab key response incorrectly in Torrent Maker dialog
    Core Improve: improve compatibility of UDP transmission modular with third-party software
    Core Improve: eMule plugin upgraded to v0.50a
    Core Bugfix:  failed to fetch cookie info from Firefox 3.0 and above when HTTP downloading
    Core Bugfix:  failed to save DHT nodes file when program exiting in some situation
    Core Bugfix:  fix DNS query function
    Core Improve: do not reset task progress to 0% when disk drive inaccessible(e.g. flash disk unplugged)
    Core Bugfix:  fail to save task list when use_app_data == false under Vista/win7 (v1.21)
    Core Bugfix:  improve kernel stability

v1.21    2010.05.28
    GUI Improved: support open magnet URI with multiple tracker parameters
    GUI Improved: include multiple tracker parameters when copy magnet URI from BitTorrent task
    GUI Improved: download installation package of new version in background automatically if enabled
    GUI Improved: support SHA1 verification for downloaded file in HTTP task properties dialog 
    GUI Improved: display confirmation dialog when choose re-download HTTP task
    GUI Improved: improve icons in context menu of task list
    GUI Improved: rename "Web Interface" to "Remote Download" in Option dialog
    GUI Improved: username, password and referrer can be specified when add HTTP download in Remote Download web page
    GUI Improved: add log list for HTTP task connections in Remote Download web page
    GUI Improved: add start/stop operations in task info web page of Remote Download
    GUI Improved: Firefox extension supports capture .hlv video file
    GUI Improved: when using multiple user accounts of Windows, each user has individual task list and program settings
    GUI Bugfix:   share ratios of BitTorrent tasks are displayed incorrectly when program just started
    GUI Bugfix:   displaying tooltip in toolbar may lead to crash
    Core Improve: support file path longer than 260 characters
    Core Improve: remove LUA scripts support for intelligent rename of HTTP download
    Core Improve: update BitTorrent client identification code
    Core Bugfix:  fail to download HTTP URL containing single quotes

v1.20    2010.03.25
    GUI Improved: new command in file menu: "Import Unfinished Download", supports BitComet, uTorrent, Xunlei
    GUI Improved: start download from torrent infohash directly in "Open torrent from URL" dialog
    GUI Improved: drag & drop task names to rearrange task list(when task list not sorted)
    GUI Improved: BT task summary tab: show BT task pieces number; show down/upload speed/size detail info in tooltip when mouse hovers on them
    GUI Improved: BT task peer list: new command "Friend Upload Slot" in the context menu, for only one IP at the same time
    GUI Improved: BT task tracker list: show seeds, peers, downloaded number returned from tracker
    GUI Improved: BT task file list: sort file names in the same order as Windows Explorer(thanks to RadioNoise)
    GUI Improved: display snapshots tab in new BT task dialog when open torrent file
    GUI Improved: modify the size of BT task properties dialog, compatible with 1024x600 resolution
    GUI Improved: for finished BT task, "search for Long-Time Seeds" displayed as "enable Long-Time Seeding", "search for eMule sources" as "enable upload to eMule sources" in task properties dialog
    GUI Improved: new global option: maximum number of concurrent seeding BitTorrent tasks
    GUI Improved: new global option: Don't use proxy for tracker/peer connections
    GUI Improved: new global option: specify separated listen port for Web UI
    GUI Improved: supports Occitan language(see lang\HowTo-Translate.txt)
    GUI Improved: when using remote desktop, disable highlight the row on which mouse hovers in file list, peer list and tracker list
    GUI Improved: improve compatibility of install package with Vista/Win7
    GUI Bugfix:   tailing space in tracker address leads to connection failure
    GUI Bugfix:   can't start BitTorrent download when drag&drop a Magnet URI text to floating window
    Core Improve: use UTF-8 encoding when making torrent file by default for all language versions of Windows
    Core Improve: improve algorithm, reduce CPU usage of DHT modular, avoid GUI blocked
    Core Improve: improve algorithm, reduce CPU usage of Long-Time Seeds download modular, avoid GUI blocked
    Core Improve: support HTTPS tracker
    Core Bugfix:  after Scheduler stopped all tasks, the option of "Auto start task when download rate less than specified rate" will still start tasks
    Core Bugfix:  after BT task stopped, corresponding DHT connections didn't stop totally
    Core Bugfix:  invalid DHT packet may lead to program crash(thanks to Pierre Nogu��s)
    Core Bugfix:  task list backup file from v1.19 can't be imported by itself

v1.19    2010.02.21
    GUI Improved: Torrent maker dialog changed to modeless window
    GUI Improved: supports edit Tracker URL for Magnet URI task before torrent downloaded
    GUI Improved: new command in Tools menu: enable eMule plugin, show/hide plugin window
    GUI Improved: support set task tags in BT/HTTP task properties dialog
    GUI Improved: move downloaded files to tag associated folder optionally when add task tag using task context menu
    GUI Improved: supports switch input focus to list control inside task tabs by Tab key
    GUI Improved: add icons to task context menu
    GUI Improved: display "not supported" in ed2k link field of file list for private torrents
    GUI Improved: new setting in advanced page of option dialog: system.show_debug_info
    GUI Bugfix:   can't drag&drop download links to floating windows from IE8 in Win7
    GUI Bugfix:   the save path edit-box in BT/HTTP task properties dialog doesn't support mouse wheel
    GUI Bugfix:   Web interface doesn't support to download Magnet URI
    GUI Bugfix:   the last task in task list doesn't get refreshed in some situation
    Core Improve: support BitTorrent Extension Protocol of peer exchange, compatible with BitTorrent mainline
    Core Improve: new eMule plugin (based on Xtreme 7.2 mod)
    Core Bugfix:  after removing tasks without removing files, the Long-Time Seeding for these files won't stop immediately 
    Core Bugfix:  after disable LT Seeding in option dialog, running tasks won't stop downloading from Long-Time Seeding immediately 

v1.18    2010.01.20
    GUI Improved: display the properties of multiple tasks will show a task statistics dialog
    GUI Improved: drag&drop a Magnet URI or HTTP URL to main window of BitComet will launch a download
    GUI Improved: add legend to the piece map tab of task
    GUI Improved: new setting in advanced page of option dialog: system.use_app_data, detailed info refer to wiki
    GUI Improved: display error message when failed to load/save task list xml file
    GUI Improved: new command in context menu of tracker list: add tracker
    GUI Improved: new setting in connection page of option dialog: randomize port each start
    GUI Improved: display "added date" in torrent history, and hide "snapshots", "comments", "rating", "popular" by default
    GUI Improved: display translator info in about dialog
    GUI Improved: enhance BHO, display BitComet icon in context menu of IE8
    GUI Improved: enhance video downloader extension for Firefox, display captured files in Tools menu besides in context menu
    GUI Improved: new setting in BT task page of option dialog: display task properties dialog after torrent downloaded from Magnet URI
    GUI Improved: display batch download dialog when multiple torrents selected to download in Torrent Exchange
    GUI Bugfix:   when shutdown scheduled at specified time, shutdown will still be launched when all download finished
    GUI Bugfix:   error occurred when non-admin user try to modify IE integration setting under Vista/Win7
    GUI Bugfix:   task properties dialog displayed incorrectly for right-to-left languages, e.g. Arabic and Hebrew
    GUI Bugfix:   the setting of shutdown at specified time does not take effect at first time
    Core Improve: save bak files for task list xml file up to 7 copies
    Core Improve: update BitTorrent client identification code
    Core Improve: the BT tasks which haven't downloaded torrent will not enter the task queue
    Core Bugfix:  enhance the stability of UDP transport
    Core Bugfix:  enhance the stability of HTTP proxy connection

v1.17    2009.12.28
    GUI Improved: support download Magnet URI when click "Open Torrent from URL" from file menu
    GUI Improved: change "copy BC link" in context menu of task list, Torrent History and Torrent Exchange to "Copy Magnet URI"
    GUI Improved: new auto-shutdown condition: shutdown at specified time
    GUI Improved: display information of every connection to the same server in connection tab of HTTP task
    GUI Improved: add context menu to BT task file list header, to select columns to display
    GUI Improved: display the preview buttons of files in BT task file list according to each file's downloading progress
    GUI Improved: support mouse wheel in task summary
    GUI Improved: remove "Task Content" tab
    GUI Improved: highlight the row on which mouse hovers in file list, peer list and tracker list
    GUI Improved: rename "Super-Seeding" to "Initial-Seeding" in BT task properties dialog
    GUI Improved: display local-language name of every language in Tools menu, besides theirs English name 
    GUI Improved: remove es_ar language due to the limit in launchpad.net, and add Uighur
    GUI Improved: rename Torrent Archive under Torrent Share to Torrent Share under Torrent Exchange, and add Torrent History in addition
    GUI Improved: display introduction page when click Torrent Exchange in left fav tree
    GUI Improved: new option in BT task page of options dialog: add to Torrent History when open .torrent file
    GUI Improved: new option in BT task page of options dialog: list of BitTorrent clients allowed connecting to
    GUI Improved: new option in Integration page of options dialog: associate with Magnet URI
    GUI Improved: option to restart program immediately when send crash report
    GUI Improved: when opening video file, use the player program configured in advanced option 
    GUI Bugfix:   fix many spell mistakes in GUI (thanks to greywizard)
    GUI Bugfix:   cannot input Web Seed address longer than one row of the input edit-box
    Core Improve: support BitTorrent Extension Protocol of metadata exchange, compatible with BitTorrent mainline
    Core Improve: support BitTorrent Extension Protocol of report DHT port, compatible with BitTorrent mainline
    Core Bugfix:  display file failed to create in task log when start new BT task in certain situation
    Core Bugfix:  can not open torrent file containing multi-files, in which the name field ends with space

v1.16    2009.11.10
    GUI Improved: add "Task Tags" page to Options dialog, default download folder for each tag can be set here.
    GUI Improved: improve "Directories" page in Options dialog, task tags for each candidate download directory can be set here.
    GUI Improved: set task tag and default download folder for new task automatically according to file extension name.
    GUI Improved: improve drop list of save folder in task properties dialog, display candidate download directories and corresponding tags
    GUI Improved: add "Set as Default Directory" button in BT task properties dialog
    GUI Improved: add "Super Seeding" option in advanced page of BT task properties dialog
    GUI Improved: add BT task log list
    GUI Improved: add preview/open button in BT task file list
    GUI Improved: display user group info in peer list of BT task in blue
    Core Improve: support Super Seeding for BT task (for initial seeding server only)
    Core Improve: improve preview download mode for BT task
    Core Improve: improve connection algorithm of Long-Time seed
    Core Bugfix:  save task list failed in Vista/Win7 64bit
    Core Bugfix:  data in first/last piece of file may not be saved properly when select part of files in BT task to download
    Core Bugfix:  failed to remove torrent file with read-only attribute in program data folder when remove BT task

v1.15    2009.09.25
    GUI Improved: task information panel lists change to task information tabs, support drag & drop and context menu
    GUI Improved: redesign "Task Summary" tab
    GUI Improved: task "Recommend" page changes to "Start Page" tab
    GUI Improved: hide unnecessary task tabs when no task selected or task stopped
    GUI Improved: add "Network Setting Wizard" to "Network" page in Option dialog
    GUI Improved: improve context menu of status bar, add "port mapping again" and "help"
    GUI Improved: add download/upload limit setting to context menu of floating window and system tray icon
    GUI Improved: show "ED2K link" in file list of BT task
    GUI Improved: highlight the current time block in scheduler setting page
    GUI Bugfix:   password not cleared when change user name in CometPassport sign in dialog
    GUI Bugfix:   pieces status and upload speed of eMule plugin display incorrectly in peer list
    Core Improve: eMule plugin upgraded to v0.49c
    Core Improve: improve connection algorithm of Long-Time seed for high-speed network
    Core Improve: "Start all seeding" from context menu of floating window do not start tasks with file missing
    Core Improve: improve DNS query
    Core Improve: update task finish time when BT task download finished again after selecting more files to download
    Core Bugfix:  EVENT_COMPLETE should be sent to tracker only when all files in BT task downloaded, not only selected (v1.13 and v1.14)
    Core Bugfix:  connection number too small after some files in BT task finished
    Core Bugfix:  UPNP modular can not exit normally sometimes
    Core Bugfix:  task should enter in queue if when started during stopped time of schedule
    Core Bugfix:  remove port mapping of eMule plugin when program exiting

v1.14    2009.07.31
    GUI Improved: support Web Seed when make torrent file
    GUI Improved: support modify Web Seed list in BT task properties dialog
    GUI Improved: display download/upload rate of user group in peer list of BT task
    GUI Improved: display downloading piece position in peer list of BT task
    GUI Improved: display balloon on system tray icon when disk busy leading to GUI losing response
    GUI Improved: new appearance option: minimize when program start
    GUI Improved: add loading page to bookmark in left fav bar
    GUI Improved: loading torrent collection list from xml file in working thread, avoid GUI freezing
    GUI Improved: decrease the delay switching to torrent collection list from task list
    GUI Improved: add new command in context menu of floating window: start uploading all
    GUI Improved: change the BitComet icon in system tray to grey when program exiting
    GUI Improved: new setting in connection panel of option dialog: Alternate max upload rate when not downloading
    GUI Improved: statistics panel displays current download rate limit and upload rate limit
    GUI Improved: individual max concurrent downloading task numbers for BT tasks and HTTP tasks in option dialog
    GUI Improved: new "Force" option for BT task protocol encryption in option dialog
    GUI Improved: new setting in Long-Time Seeding panel of option dialog: Auto upload rate control
    GUI Improved: statistics panel displays current upload rate limit of long-time seeding
    GUI Improved: BitComet not responding dialog will be closed automatically after GUI resumed
    GUI Bugfix:   can't add HTTP Tracker whose port is 80 in BT task properties dialog
    GUI Bugfix:   if task selection state changed before task delete dialog displayed, the task will be deleted may not be the originally selected
    Core Improve: BT task supports downloading from Web Seed, compatible with BitTorrent mainline
    Core Improve: decrease CPU usage of DHT modular
    Core Improve: ban the peers from the specified IP even they changed peer ID
    Core Improve: improve connection algorithm for UDP download from Long-Time seed
    Core Improve: send no-retry instruction to remote UDP peers when exiting
    Core Improve: improve connection algorithm for BT uploading
    Core Improve: give BT upload connection higher priority when auto upload rate control of long-time seeding enabled
    Core Bugfix:  max simultaneous half-open TCP connection number in advanced option page does not take effect
    Core Bugfix:  making torrent file may fail if there're too many files in the specified folder

v1.13    2009.06.22
    GUI Improved: add "Uploading" queue to the left fav bar
    GUI Improved: BT task file list in properties dialog and right-bottom pane changes to tree list for directory structure
    GUI Improved: BT task file list in properties dialog and right-bottom pane support sorting
    GUI Improved: add new commands to context menu of BT task file list: expand/collapse folders
    GUI Improved: add check box to BT task file list pane for each file and folder, to switch download it or not
    GUI Improved: add connection status icon for each peer in BT task peer list
    GUI Improved: add "new peer" command to context menu of BT task peer list
    GUI Improved: BT task peer list displays prompt string when frozen by ScrollLock
    GUI Improved: support only export selected tasks into backup file
    GUI Improved: support import tasks from backup file and merge them into task list
    GUI Improved: select whether import global program settings while import tasks from backup file
    GUI Improved: language list in Tools menu changes to a 2-level sub menu
    GUI Improved: add loading page to task content, Snapshot, Comment and Recommend pane
    GUI Improved: do not clear rate graph in floating window when stop all tasks
    GUI Improved: do not show the message of missing BitCometAgent.dll when program start
    GUI Improved: optimize reconnect time after Comet Passport sign in failed
    GUI Improved: add support for several new languages (see lang\HowTo-Translate.txt)
    GUI Bugfix:   when open a GB2312 encoding torrent file in traditional Chinese Windows, the task name and publish info displays incorrectly after change character encoding
    GUI Bugfix:   TCP, UDP mode setting of Long-Time seeding in advanced options can not be saved
    GUI Bugfix:   restore the torrent archive list which removed in v1.12
    GUI Bugfix:   if select none of files in BT task to download, the task progress will display incorrectly when program start next time
    Core Improve: improve taskname.piece_part.bc! file structure, which used to save file boundary data for BT task, therefore decreased memory usage
    Core Improve: BT task Anti-Leech setting changes to three levels: "disable", ""auto", "strict"
    Core Improve: improve network modular code, avoid program losing response when download in high speed
    Core Improve: add disk cache for UDP Long-Time seeding, 50MB max
    Core Improve: set the thread priority of UDP Long-Time seeding below normal
    Core Bugfix:  memory leak in UDP uploading modular of Long-Time seeding
    Core Bugfix:  too many memory and CPU used when Long-Time seeding in high speed using UDP

v1.12    2009.05.18
    GUI Improved: remove torrent share list in simplified Chinese version

v1.11    2009.04.28
    GUI Improved: elevation is not needed to associate torrent file in Windows Vista
    GUI Improved: save to My Document in HTTP batch download dialog is supported
    GUI Improved: the client version and transfer mode of Long-Time Seeding peer is displayed in peer list of BT task
    GUI Improved: add piece error column in peer list of BT task, hidden by default
    GUI Improved: display connection time of Long-Time Seed in peer list of BT task
    GUI Bugfix:   when using multi-monitor, BitComet do not restore window position to the monitor last exit from.
    GUI Bugfix:   can't sort peer list by the cols that in the right of any hidden column
    Core Improve: support the UDP transfer mode of Long-Time Seeding, can be enabled in advanced options
    Core Improve: support test UDP port in WAN/LAN ip detector
    Core Improve: stop connect to a peer that send too many error pieces
    Core Improve: improve connection algorithm for Long-Time seeding
    Core Improve: improve the compatibility to the old versions of eMule plugin, support v1.06 and later
    Core Improve: delete Thumbs.db when remove task downloaded files
    Core Improve: set taskname.piece_part.bc! as hidden file, avoiding deleted accidentally
    Core Improve: update BitTorrent client identification code
    Core Bugfix:  program crash when using proxy server
    Core Bugfix:  user and password setting for proxy server do not work
    Core Bugfix:  making torrent file fail if containing empty sub-folders
    Core Bugfix:  invalid local IP displayed in statistics pane
    Core Bugfix:  publish date of very few torrent display incorrect in torrent collection list

v1.10    2009.03.09
    GUI Improved: add task search box in toolbar, which can be enable from View menu
    GUI Improved: add a button in HTTP task properties dialog to set current download folder as default
    GUI Improved: improve the file type filter in BT task properties dialog
    GUI Improved: improve the auto shutdown function in Tools menu
    GUI Improved: show item number count in HTTP batch download dialog
    GUI Improved: new command in context menu of task archive list: show torrent file properties dialog
    GUI Improved: show task index and total count in floating window when it's large enough
    GUI Improved: new setting in advance page of option dialog: User-Agent string for all HTTP task
    GUI Improved: add support for several new languages (see lang\HowTo-Translate.txt)
    GUI Improved: do not switch to task list after download a torrent file from torrent collection list
    GUI Bugfix:   download several torrents from torrent collection list and display their task properties dialog at the same time may cause program no response
    GUI Bugfix:   files large than 4GB can be downloaded to volume using exFAT
    Core Improve: improve file boundary data save for BT task
    Core Improve: enhance virus protect auto-config
    Core Improve: HTTP download task support redirection to relative path
    Core Bugfix:  authentication information is not send to server in very few situations of HTTP redirection
    Core Bugfix:  private BT task will search peers in DHT network in very few situations
    Core Bugfix:  uploading of Long-Time seeding is unstable

v1.09    2009.01.20
    Core Bugfix:  certain BT task may occur progress error caused by saving file boundary data when task stop

v1.08    2009.01.18
    GUI Improved: add filter by file type to file list in BT task properties dialog
    GUI Improved: display torrent create software and create date display BT task properties dialog
    GUI Improved: support to add mirror URL manually in HTTP task properties dialog
    GUI Improved: move the option of "power off or standby after download finish" from option dialog to Tools menu
    GUI Improved: remove toolkit VistaTcpPatch.exe, merged into main program
    GUI Improved: open torrent file directly if existed in torrent archive when open BC link
    GUI Improved: show task archive and torrent collection immediately after program startup, without pending load
    GUI Improved: improve the item number info in status bar when filter the torrent archive and torrent collection
    GUI Improved: append new torrent to the bottom of torrent archive or torrent collection list
    GUI Improved: remove old torrent from the top of torrent collection list, when the torrent number reaches the max number
    GUI Improved: new download status icon in torrent archive list, to indicate the task download finished
    GUI Improved: add "open save folder" command to the context menu of torrent archive list, available after task download finished
    GUI Improved: add "Unhide all" command to the context menu of torrent collection list
    GUI Improved: hit Del to delete selected items in torrent archive list, or block selected items in torrent collection list
    GUI Bugfix:   when the item in torrent archive or torrent collection has no snapshot, click the empty snapshot icon area will open invalid webpage
    Core Improve: improve connection algorithm for Long-Time seeding
    Core Improve: improve file boundary data save for BT task
    Core Improve: ignore thumbs.db when making torrent file
    Core Bugfix:  download failed from certain video website
    Core Bugfix:  user name and password info filled in HTTP task don't take effect if reference page not filled

v1.07    2008.12.03
    GUI Improved: add tags to task by context menu (support multi-selection)
    GUI Improved: filter tasks by tag from favorites list
    GUI Improved: new option in task setting panel of option dialog: add tag to new task by download file type
    GUI Improved: display task tags and public date for BT task in summary pane
    GUI Improved: display task tags for HTTP task in summary pane
    GUI Improved: add "Apply" button to option dialog
    GUI Improved: new option in Web Interface setting panel of option dialog: display prompt window for web interface operation
    GUI Improved: show prompt window when open a torrent file that already existed in torrent archive list
    GUI Improved: when modify the save path of an existed BT/HTTP task, show a prompt to choose whether to move downloaded files to new save path
    GUI Improved: when modify BT/HTTP task save path, show the path auto-complete drop list
    GUI Improved: when the width of file list in BT task properties dialog is not enough for file name, try to display the head and tail part of the filename, with the middle part as ellipsis
    GUI Improved: when switch task lists, task tags or torrent share list from favorites list, remember the scroll bar position and task selections before switch
    GUI Improved: add context menu to BitComet passport and DHT area in main status bar
    GUI Improved: when click comment or snapshot icon in task list, display them below task list, instead of open a browser window
    GUI Improved: add support for 10 new languages
    GUI Bugfix:   program crash when display task delete confirm dialog under Win98/2K
    Core Improved: Web Interface support create new task from BC link
    Core Improved: When create a task that already existed, Web Interface will displays an webpage link to the existed task
    Core Improved: eMule plugin can download file boundary data for BT task, where one piece containing multi files
    Core Improved: create bak file when save task list to downloads.xml
    Core Bugfix:  error data received in file boundary piece makes task download can not finish

v1.06    2008.11.12
    GUI Improved: rearrange main menu, "tools" changes to "software", "options" changes to "tools"
    GUI Improved: add submenu to select default save directory in tools menu
    GUI Improved: improve directory setting panel in option dialog. double click to set default save directory
    GUI Improved: new Web Interface setting panel in option dialog
    GUI Improved: add MD5 verify pane to HTTP/FTP task properties dialog
    GUI Improved: downloaded files can be moved to candidate directory from context menu of task list
    GUI Improved: add downloaded size and uploaded size columns in task list (hidden by default)
    GUI Improved: remove Flv player from install package
    GUI Improved: improve Long-Time seeding display in peer list
    GUI Bugfix:   fix some translation errors.
    Core Improved: new Web Interface modular, to remote BitComet from web browser (disabled by default)
    Core Improved: improve Long-Time Seeding module
    Core Improved: increase first-time loading speed of torrent share list
    Core Improved: limit download rate for HTTP task automatically when download speeding larger than disk writing speed, to avoid wasting too many memory for disk cache
    Core Improved: update eMule plugin to v0.49b
    Core Bugfix:  UI may response slowly when downloading BT task in high speed
    Core Bugfix:  program crash after install IE8 beta

v1.05    2008.10.10
    GUI Improved: split save location of BT task into 2 parts: save path and filename for single-file task, save path and subfolder for multi-files task.
    GUI Improved: when add new BT task, start now/start later combo box changes to 2 buttons below in the dialog
    GUI Improved: remove "set as default" button in BT and HTTP/FTP task properties dialog. Save path of new task will be added into candidate directory list in option dialog automatically.
    GUI Improved: new candidate directory list in option dialog. The directories in list can be pick up easily when add new task.
    GUI Improved: rewrite batch HTTP/FTP download dialog and download all dialog. They are merged into a new designed batch download dialog, which is more convenient.
    GUI Improved: new site password manager for HTTP/FTP download. Username & password will be filled automatically when add new task if existed. This can be enabled in option dialog.
    GUI Improved: in torrent maker dialog, network type combo list changes into private torrent check box and add DHT nodes check box.
    GUI Improved: after popular software update checking, updated softwares will be list under tools menu in main window.
    GUI Improved: show an error message box when click [play] on a finished task, while the downloaded file has been deleted.
    GUI Bugfix:    under Windows Vista, search box in toolbar displays incorrectly after switch search type
    Core Improved: UI language files change from .xml format to .mo format, which are more universal and can be concurrent translated in https://translations.launchpad.net/bitcomet
    Core Bugfix:  under Windows Vista, BitComet will lost task list if running under administrator privilege
    Core Bugfix:  if the HTTP task stopped because the file locked by other program, data integrality can not be guaranteed when resume downloading.
    Core Bugfix:  in few situations, the BT task finish progress is 100% after hash checking, but the file finish progresses are not displayed as 100%
    Core Bugfix:  if a BT task has been specified file download order, program will lose respond when switch a file to be download or not.

v1.04    2008.8.22
    GUI Improved: "my shared torrent list" turns into "torrent archive". all downloaded torrent files will be saved there.
    GUI Improved: add filter edit box to torrent archive list.
    GUI Improved: remove deleted task list. when delete BT task, its torrent file can be kept in torrent archive
    GUI Improved: new option: clear peer sharing torrent list when program exits. enabled by default.
    GUI Improved: new option: standby, hibernate, restart or shutdown computer when all task downloaded and stopped
    GUI Improved: new command in Tools menu: check for BitComet updates
    GUI Improved: improve Long-Time Seeding download rate display in peer list
    GUI Improved: displays play button in task list after download audio file, like mp3, wma
    GUI Bugfix: open file from file list will fail, after rename BT task and restart BitComet
    GUI Bugfix: when make torrent file in v1.03, files in sub-directories will not be added into torrent
    GUI Bugfix: when main window is not wide enough, the search box in toolbar will display in invalid position
    GUI Bugfix: total downloaded/uploaded bytes in statistics list will be clear in some situation since v1.02
    Core Improved: all opened torrent files will be saved to archive folder

v1.03    2008.7.17
    GUI Improved: redesign preferences dialog, improve option layout
    GUI Improved: new advanced option: User-agent sent to HTTP tracker
    GUI Improved: new advanced option to adjust Anti-Leech rules
    GUI Improved: new advanced option to config file path of video player
    GUI Improved: improve connection number display in task list for HTTP/FTP task
    GUI Improved: add left size column to task list (hidden by default)
    GUI Improved: add context menu to BT task peer list header, to select columns to display
    GUI Improved: BT task peer list support group display
    GUI Improved: freeze BT task peer list when ScrollLock turned on
    GUI Improved: HTTP task properties dialog will display free disk space of save location
    GUI Improved: BitComet not responding dialog can be disabled
    GUI Improved: BitComet don't hide already running eMule plugin window when startup
    GUI Improved: remove task category management
    GUI Improved: remove history task list
    GUI Improved: remove video file preview window, launch external video player instead
    GUI Improved: remove BitComet resource browser from install package
    GUI Bugfix: Firefox extension can download flv file from Firefox cache
    Core Improved: remove NAT Traversal via UDP, to improve TCP transfer efficiency
    Core Improved: improve TCP half-open patch for Windows XP SP3
    Core Bugfix: after a file in BT task download finished, disconnect corresponding Long-Time Seeding connection immediately
    Core Bugfix: the pieces containing file boundary data of BT task will be downloaded repeatedly in some situation
    Core Bugfix: BitComet does not save the BT tasks created by BC link when program exit

v1.02    2008.6.3
    GUI Improved: task category will display "empty" when not set
    GUI Improved: whether to search for mirrors when add new HTTP task can be set as default setting
    GUI Improved: new option for preview window: keep aspect ratio of video
    GUI Improved: new switch button in toolbar of preview window: skip undownloaded range or waiting for buffering
    GUI Improved: BitComet resource browser (CometBrowser.exe) will exit immediately after close all its window
    GUI Improved: remove server mode option in advanced network settings
    GUI Bugfix: user name and password in HTTP/FTP task properties dialog do not take effect
    Core Improved: Long-Time Seeding can download file boundary data for BT task, where one piece containing multi files
    Core Improved: when select part files of a BT task to download, the file boundary data will be saved in taskname.piece_part.bc!
    Core Improved: enhance virus protect auto-config
    Core Improved: support TCP half-open patch for Windows XP SP3
    Core Improved: Firefox extension support Firefox 3.0
    Core Bugfix: error occurs when connect to certain trackers: "Tracker Return Zero Length Response"
    Core Bugfix: EVENT_COMPLETE should be sent to tracker only when all files in BT task downloaded, not only selected
    Core Bugfix: HTTP download task do not reconnect server after connection disconnected by server
    Core Bugfix: HTTP download task do not drop invalid data from out-of-date mirror server, lead to redownload after hash check failure

v1.01    2008.5.5
    GUI Improved: new option in advanced connection settings of preferences dialog: Enable Anti-Leech
    GUI Improved: Firefox extension add download video files command to context menu of web page
    Core Improved: after enable Anti-Leech, connections which transfer little data during a long time will be disconnected
    Core Improved: enhance video file preview, support avi, rmvb, wmv, mpg, flv, ogm, mkv, mp4 files

v1.00    2008.3.24
    GUI Improved: move "add torrent to my sharing" check box in BT task properties dialog to Advanced page
    GUI Improved: new command in Tools menu: check software update
    GUI Improved: new command in context menu of Peer list: Remove peer
    GUI Improved: new command in context menu of Tracker list: Remove tracker
    GUI Improved: Firefox extension add download video files command to Tools menu, which can capture video files in webpage.
    GUI Bugfix: pause and resume preview video file will lead to exit full-screen mode
    GUI Bugfix: Refresh button in toolbar of BitComet resource browser does not work
    Core Improved: update TCP half open limit modification for Windows Vista
    Core Bugfix: Long-Time Seeding does not stop when Scheduler pause all download
    Core Bugfix: BitComet resource browser cannot download video files embedded in webpage after install IE7

v0.99    2008.2.1
    GUI Improved: check software update in system automatically, can be enable in option dialog
    GUI Improved: new Firefox extension, support download file using BitComet
    GUI Improved: new option in advanced setting page: query task comment and snapshot info automatically
    GUI Improved: when browse the save location folder of task, do not open new window if this folder has already been opened
    GUI Improved: add time interval setting to context menu of floating window
    GUI Bugfix: BC link of BT task displayed as error link in HTTP task properties dialog
    GUI Bugfix: failed to verify login password at BitComet startup will lead to crash
    Core Improved: increase connection speed of downloading torrent file in BC link, and querying HTTP file size
    Core Bugfix: preview in full screen mode for more than twice do not work properly under Windows Vista

v0.98    2008.1.8
    GUI Improved: start downloading torrent file while show the task properties dialog of new opened BC link
    GUI Improved: search box in toolbar remains in the same row of the toolbar buttons when resize main window
    GUI Improved: HTTP task properties dialog support query file size and server resume-supported ability for HTTP/FTP link with password authentication
    GUI Improved: improve display effect of peer download status bar in BT task peer list
    GUI Improved: BT task peer list support sorting
    GUI Improved: BT task peer list display download status bar of each peer
    GUI Improved: HTTP task connection list display download status bar of each source
    GUI Improved: new command in HTTP task context menu: Verify MD5 checksum
    GUI Bugfix: ESC key do not work in download all links dialog
    GUI Bugfix: task remains in queue after deleted into recycle bin
    Core Improved: improve HTTP task download algorithm to avoid download speed decrease near finish
    Core Improved: HTTP task support redirect to FTP url
    Core Bugfix: preview unfinished HTTP task may cause program crash
    Core Bugfix: tasks which disable Long-Time Seeding download should not upload for Long-Time Seeding
    Core Bugfix: tasks in recycle bin should not upload for Long-Time Seeding(persistent seeding)

v0.97    2007.12.07
    GUI Improved: improve BC link support when download all links from web page
    GUI Improved: add overwrite prompt when save torrent file of a BT task to another location
    GUI Improved: new command in Tools menu: Show eMule plugin
    GUI Bugfix: after sort URL list in download all links dialog, the downloaded links do not match the selected links
    GUI Bugfix: torrent file association icon cannot display
    GUI Bugfix: install package compatible with Windows Vista
    GUI Bugfix: invalid input prompt for save location in BT/HTTP task properties dialog
    GUI Bugfix: status bar language not changed after switch UI language
    Core Bugfix: program may crash when download HTTP file from redirected server
    Core Bugfix: task added at eMule plugin startup will not be created successfully
    Core Bugfix: cannot connect to certain tracker that forbid web browser connection
    Core Bugfix: v0.96 cannot load configuration file BitComet.xml in Windows Vista/2K

v0.96    2007.11.07
    GUI Bugfix: bugs in install package script
    Core Bugfix: cannot query file size of FTP link containing non-English character in FTP task properties dialog
    Core Bugfix: HTTP connection logs do not display in version 0.95
    Core Improved: main program compressed, decrease loading time

v0.95    2007.11.05
    GUI Improved: new hotkey Ctrl+B for HTTP/FTP batch download
    GUI Improved: remove search bar below favorites list
    GUI Improved: remove recommend window
    GUI Improved: if download rate in user list of BT task less than 1K, display it as "<1 kB/s"
    GUI Improved: display "play" button in task list for flv and swf file when it download finished
    GUI Improved: hot key Ctrl+R in add download group dialog will fill max value of wildcard automatically
    GUI Improved: BT task share ratio includes Long-Time Seeding uploaded size
    GUI Bugfix: icons in task log display incorrectly in Windows Vista
    GUI Bugfix: task auto stop function can not work if this task has been previewed
    GUI Bugfix: Scheduler will not refresh task list after pause all task
    GUI Bugfix: user name and password info is not imported from captured FTP URL link
    GUI Bugfix: the option of search for more users to speed up download in HTTP task properties dialog does not work
    Core Improved: improve preview download mode of BT task, decrease CPU usage
    Core Improved: eMule plugin can handle ED2K link opened from IE
    Core Improved: when BitComet creates task in eMule plugin, the task category of new task will be set to _bitcomet_imported
    Core Improved: when BitComet downloads BT task from eMule plugin, if the same file already exists in plugin's download queue, downloaded data will be imported
    Core Bugfix: .bc! file is not removed occasionally when download very small HTTP files
    Core Bugfix: unable to download zero byte HTTP file
    Core Bugfix: private torrent didn't disable persistent seeding

v0.94    2007.10.08
    GUI Improved: new function in context menu of BT task file list: search ED2K link for selected file
    GUI Improved: enable Windows open file security warning for downloaded executable files
    GUI Improved: new option in preferences dialog: Login BitComet Passport Automatically
    GUI Improved: hide notify window of start downloading torrent file immediately after download finished
    GUI Improved: support query file size and server resume-supported ability for BC link in HTTP task properties dialog
    GUI Improved: launch BitComet resource browser to capture video file when click "download video" in IE context menu
    GUI Improved: add Accelerate Keys page to Help menu
    GUI Improved: remove horizontal scroll-bar of fav list and task info pane list
    GUI Bugfix: tasks in queue will not start automatically at next time of BitComet launch
    GUI Bugfix: task list and file list do not refresh after rename task
    GUI Bugfix: get invalid BC link when copy BC link from FTP task
    GUI Bugfix: the display effect of resizing floating window is not correct under Windows Vista
    GUI Bugfix: zero-size BT task will display in downloading list all the time
    Core Improved: eMule plugin supports searching ED2K link for selected file of BT task, to help BitComet download from ED network
    Core Improved: new toolbar button in BitComet resource browser to capture flv video files in webpage and download them
    Core Improved: HTTP task decrease download rate automatically when disk writing speed much lower than downloading rate
    Core Bugfix: HTTP task will download file repeatedly in some special situation of hash check failure
    Core Bugfix: the file name and sub-directory name in torrent file is invalid when make torrent of an entire disk from root directory
    Core Bugfix: in-queue task number may get wrong if select to download remainder files of a BT task after part files of which download finished
    Core Bugfix: eMule plugin window appears incorrectly sometimes
    Core Bugfix: preview download mode does not work correctly sometimes
    Core Bugfix: play button does not display in task list after download video file from HTTP server without resume-supported ability

v0.93    2007.9.10
    Core Improved: improve the stability of persistent seeding

v0.92    2007.8.31
    GUI Improved: task list sorting by task name use pronunciation order
    GUI Improved: add "toolkit" menu to download software correlated with BitComet
    GUI Improved: the global max upload rate in preferences dialog must larger than 10kB/s
    GUI Improved: the notice window of free disk space insufficiency will not close until user click
    GUI Improved: improved torrent file maker dialog layout, supporting dialog resize
    GUI Improved: display file type icons in file list of BT task
    GUI Improved: display connection time in peer list of BT task
    GUI Improved: HTTP/FTP task support hash check (only support certain files)
    GUI Bugfix: bug in sorting my shared torrent list by whether shared
    GUI Bugfix: torrent file association error in Windows Vista
    GUI Bugfix: downloaded file is not selected correctly when view task save folder in Windows Vista
    GUI Bugfix: the right and bottom edge of torrent file maker dialog and BT task properties dialog is not displayed correctly in Windows Vista
    GUI Bugfix: RealMediaSplitter.ax registration failed in Windows Vista, result in fail to preview rmvb file
    GUI Bugfix: available space size in BT task properties dialog displayed in red color mistakenly, not considering task downloaded size
    GUI Bugfix: the option of replace wildcard "(*)" to letters does not work in add HTTP download group dialog
    GUI Bugfix: fail to set torrent file create date when add it to my shared torrent list from new BT task dialog
    Core Improved: add "preview download mode" in BT task context menu, supporting download pieces in sequence
    Core Improved: eMule plugin support sending crash report
    Core Bugfix: new BT task will stop downloading due to nonexistent disk error in some situation
    Core Bugfix: default TCP half open limit in Windows Vista is displayed as 0. it's 10 actually

v0.91    2007.7.19
    GUI Improved: double click un-downloaded torrent file in my shared torrent list to start download it
    GUI Improved: restore option: add .bc! file extension to unfinished file
    GUI Improved: new function in context menu of BT task file list: search ED2K link for selected file
    GUI Improved: add real-time sort to task list. enable it from View menu
    GUI Improved: new operation in context menu of peer shared torrent list: "add to my share list"
    GUI Improved: new status icon for BT task downloading torrent file in task list
    GUI Improved: add torrent publish date info to torrent share list
    GUI Improved: right click torrent share list header to choose displayed column
    GUI Improved: a notifier window will display after add a BC link task
    GUI Improved: add file category combo list to torrent share list toolbar
    GUI Improved: support multi key words in peer shared torrent list filter, separated by space
    GUI Improved: torrent file name in torrent share list will be displayed in infotip when mouse hover on it if too long
    GUI Improved: specify ED2K link from context menu in file list of BT task, to help ED plugin search ED download resource
    GUI Improved: when double click .bc! file, prompt to open the unfinished file using the program associated with the original file without .bc! suffix
    GUI Improved: right click toolbar of main window to choose displayed buttons, or using View/Toolbar/Buttons menu
    GUI Improved: enable auto adjust column width from View/Tasklist menu
    GUI Improved: when HTTP/FTP task connection failed, detail error and retry info will be displayed in connection log
    GUI Improved: add HTTP/FTP task error retry interval time option in preferences dialog
    GUI Improved: restore allocate disk space before downloading option in preferences dialog
    GUI Improved: display upload rate and left time in task list by default
    GUI Improved: when available space of save location in BT task properties dialog is not enough, the available space size is displayed in red color
    GUI Improved: add copy IP address to context menu of status bar in main window
    GUI Improved: display task size, progress and preview button in history task list by default
    GUI Bugfix: the order of tasks in queue does not match the order in tasklist when start all task from context menu of floating window
    GUI Bugfix: the task number in fav list does not refresh when move task to a new category using context menu of tasklist
    GUI Bugfix: the wildcard "(*)" does not work in add HTTP/FTP download group dialog
    GUI Bugfix: the HTTP/FTP task in queue failed to stop when double click it in tasklist
    GUI Bugfix: the wildcard "(*)" does not work in add HTTP/FTP download group dialog for FTP links
    GUI Bugfix: when click cancel button of BT task properties dialog after torrent file downloaded from BC link, the BT task will not be removed
    GUI Bugfix: unable to handle non-English character in publisher URL of BT task
    Core Improved: support persistent seeding to seed finished torrents in background automatically without starting the task
    Core Improved: support uploading rate limit for all persistent seeding, tweak in preferences dialog
    Core Improved: support customize file download order for BT task, in BT task properties dialog
    Core Improved: support patch TCP half-open limit in Windows Vista
    Core Bugfix: program will lose respond for a while to flush disk cache when high-speed downloading HTTP/FTP file from LAN
    Core Bugfix: ED plugin will upload invalid data in some situation
    Core Bugfix: scheduler failed to resume download after stop tasks for 2 hour or longer
    Core Bugfix: unfinished tasks will not auto-start at program startup if BitComet is not closed normally

v0.90    2007.6.19
    GUI Improved: add search for eDonkey download source option in BT task properties dialog
    GUI Improved: add ED download plugin configuration page in preferences dialog
    GUI Improved: display download rate from HTTP/FTP sources and ED sources in BT task summary pane
    GUI Improved: snapshot info for each item in task list and torrent share list changed to a clickable icon
    GUI Improved: tasks remain selected after sort task list
    GUI Improved: new context menu for my shared torrent and peer shared torrent in fav list
    GUI Improved: decrease CPU usage for shared torrent list refresh
    GUI Improved: new search icon for each item in shared torrent list
    GUI Improved: prompt information will be displayed when shared torrent list is empty
    GUI Improved: add "copy BC link" to context menu of shared torrent list, with hotkey Ctrl+C
    GUI Improved: add "clear all" to context menu of peer shared torrent list
    GUI Improved: new option in View menu to show search box in toolbar
    GUI Improved: shutdown computer after download finish works for HTTP task now
    GUI Improved: text in info bar and status bar of review window change to multi-language string
    GUI Improved: the last task will be selected when BitComet startup
    GUI Improved: minimize to system tray by close button or minimize button can be configured in preferences dialog
    GUI Improved: a prompt window will popup if BitComet detected that the TCP half-open limit of windows is too small at startup
    GUI Improved: new state of "detecting" for WAN/LAN ip detector in status bar
    GUI Improved: HTTP task connection list move to the up of task log
    GUI Improved: the auto-start order for queued task keeps the same to display order of sorted task list
    GUI Bugfix: preview window fail to refresh when switch UI language
    GUI Bugfix: "pause all active task" in context menu of floating window does not work
    GUI Bugfix: program exit confirm when task running do not count up uploading tasks
    GUI Bugfix: unable to click task comment, snapshot and voting for items of 10001th and below in shared torrent list
    GUI Bugfix: redownload HTTP task will lose task list sort order
    Core Improved: BT task support downloading from eDonkey network (ED plugin for BitComet is required)
    Core Improved: BT task support uploading to eDonkey network
    Core Improved: add eDonkey network listen port to Windows Firewall and UPNP NAT device when program startup
    Core Improved: disable NAT Traversal via UDP automatically for WAN IP user, to improve TCP transfer efficiency
    Core Bugfix: auto stop running BT task using a invalid condition mismatch to user settings
    Core Bugfix: program will lose respond for a while to flush disk cache when downloading huge HTTP/FTP file under Win2003 64bit

v0.89    2007.5.31
    GUI Improved: add "Hide this" to context menu of peer shared torrent list, no longer display the selected torrent files
    GUI Improved: add "copy title" to context menu of peer shared torrent list, copy the title of selected torrent file to clipboard
    GUI Improved: double click downloaded torrent file in peer shared torrent list to view corresponding task in task list
    GUI Improved: new icon in my shared torrent file list to show the shared, but not downloaded torrent file
    GUI Improved: peer shared torrent list will only refresh once when typing continuously in the filter edit box
    GUI Improved: items in peer shared torrent list will keep selected when auto-refresh
    GUI Improved: no torrent file will be displayed in shared torrent list in torrent file share disabled in preferences dialog
    GUI Improved: the default number to show in the shared torrent list is set to "unlimit"
    GUI Improved: new option of socket start interval(ms) in preferences dialog
    GUI Bugfix: upload rate displays text error in task list if max upload rate of task is set
    GUI Bugfix: operation to torrent will be misplaced after set filter to peer shared torrent list
    GUI Bugfix: task number in history task list is not refreshed upon 0 clock at midnight
    GUI Bugfix: "Open BC link" in file menu does not work if task summary pane is current active window
    Core Bugfix: Share ratio of BT task is always 0 if only uploading without any downloading

v0.88    2007.5.24
    GUI Improved: add an option to verify login password at program startup in preferences dialog
    GUI Improved: add default task related info pane option in preferences dialog
    GUI Improved: add an option to set BitComet as default IE download tool in preferences dialog
    GUI Improved: add an option to enable torrent share in preferences dialog
    GUI Improved: open BCTP link dialog replaced by open BC link dialog, which can create HTTP/FTP/BT task from BC link
    GUI Improved: add "copy BC link to clipboard" command to task list context menu, with hotkey Ctrl+C
    GUI Improved: add snapshot number column in task list
    GUI Improved: add tooltip to display detail task status info when mouse hover on task icon in task list
    GUI Improved: add tooltip to display upload rate, left time, health when mouse hover on download rate, progress, seed number
    GUI Improved: upload rate, left time, health will not display in task list by default (can be shown in View menu)
    GUI Improved: when task stopped, task can be renamed even if task is not completed
    GUI Improved: double click to download torrent file in peer shared torrent list
    GUI Improved: add popular column in peer shared torrent list
    GUI Improved: new icon and tooltip to designate whether the torrent has been downloaded or shared by me in peer shared torrent list
    GUI Improved: add auto-refresh checkbox in toolbar of peer shared torrent list
    GUI Improved: add share-all checkbox in toolbar of my shared torrent list
    GUI Improved: improve statistic pane display effect
    GUI Improved: add save file already exist check when open torrent file to create new BT task
    GUI Improved: able to save files to UNC path of shared folder in network during HTTP/BT downloading
    GUI Improved: add warning prompt if save file large than 4GB to non-NTFS volume when create HTTP/BT task
    GUI Improved: add balloon prompt on disk full error during HTTP/BT downloading
    GUI Improved: add prompt dialog to close program and send error report when program is not responding
    GUI Improved: add context menu to WAN IP detect light in status bar of main window
    GUI Improved: remove some infrequent options in preferences dialog
    GUI Improved: floating window remember its position and size automatically
    GUI Bugfix: unfinished tasks will not auto-start at program startup if BitComet is not closed normally before shut down computer
    GUI Bugfix: average download rate in task summary pane is cleared after BT task stopped
    GUI Bugfix: comment number and snapshot number in shared torrent list is not refreshed in time
    GUI Bugfix: operation to torrent will be misplaced after sort shared torrent list
    GUI Bugfix: text in toolbar of shared torrent list and passport pane is displayed incorrectly after switch display resolution
    GUI Bugfix: refresh of peer shared torrents list lead to high CPU usage
    Core Bugfix: program crash in some condition

v0.87    2007.5.7
    GUI Improved: add an option in BT task properties dialog to add this torrent file to my shared torrent list
    GUI Improved: add "view task" command to the context menu of my shared torrent list
    GUI Improved: add a filter in the toolbar of peer shared torrent list
    GUI Improved: display peer shared torrent file number in peer shared node of fav list
    GUI Improved: add an option to enable BT task search for HTTP/FTP download source in preferences dialog
    GUI Improved: add commands to import/export task list and global settings under file menu
    GUI Improved: add "rename task" function in context menu of task list
    GUI Improved: detail error information will be displayed in tooltip when mouse cursor hover on the red-cross icon of a task which encounters error like disk full
    GUI Improved: task rating information will be displayed in tooltip when mouse cursor hover on comment region of the task list
    GUI Improved: add hotkey Ctrl+Home/End to move selected tasks to the top/bottom of task list
    GUI Improved: support scroll information in all panes on which the mouse cursor is hovering by rolling mouse wheel
    GUI Improved: add an option in preferences dialog to enable submit video file snapshot after task download finish
    GUI Improved: add an option in preferences dialog to enable protection against ARP cheating attack from LAN
    GUI Improved: new designed BitComet resource browser to accelerate open web page from BitComet
    GUI Improved: improve displayed information layout in task summary pane
    GUI Improved: add "minimize to system tray" to system menu of BitComet button in windows taskbar
    GUI Improved: delete file check box in task delete dialog is displayed in red color
    GUI Bugfix: View/download list/Columns menu does not work after switch UI language
    GUI Bugfix: all tasks will be displayed as in queue if enabled auto-start task when download rate below specified value
    GUI Bugfix: all tasks displayed in task list will be removed if launch clear recycle bin in recycle bin context menu even they are not in recycle bin
    Core Bugfix: fix a bug sometimes lead to memory leakage
    Core Bugfix: handle some BT task with zero-size file incorrectly

v0.86    2007.4.4
    GUI Improved: new torrent share function: click my shared or peer shared in fav list to manage shared torrents
    GUI Improved: add option to calculate ED2K link for each file in torrent make dialog
    GUI Improved: add preset button to choose preset save folder in BT task properties dialog
    GUI Improved: add option to download from the mirror when the source url can't be connected in HTTP task properties dialog
    GUI Improved: remove movie info related staffs from torrent make dialog and BT task properties dialog
    GUI Improved: add mark highlight button and filter popup menu to download all links dialog
    GUI Improved: add server mode option to preferences dialog, which support more connections but can't set precise rate
    GUI Improved: improve search box in toolbar of main window
    GUI Improved: if choose to open URL inside BitComet, new web window will open, without effect to main window
    GUI Improved: after a torrent file downloaded by http task, the BT download will start automatically
    GUI Improved: HTTP/FTP resources number for BT task is displayed in file list
    GUI Improved: add hotkey PageUp/PageDown, Ctrl+Left/Right and Alt+Left/Right for preview window to seek 10 sec, 30 sec and 120 sec
    GUI Improved: buffered time length is display in status bar when preview
    GUI Improved: when close BT/HTTP task properties dialog, save folder and filename is verified to be valid
    GUI Bugfix: ban IP menu in peer list of BT task do not work sometimes
    GUI Bugfix: avoid system entering suspend/sleeping mode do not work in Windows Vista
    GUI Bugfix: left time in task list is not correct if task size is too large or download rate is too low
    Core Improved: new torrent share function, to download torrent files from peers
    Core Improved: support HTTPS download
    Core Improved: support download FTP resource for BT task
    Core Improved: improve SHA1 algorithm, decrease CPU usage
    Core Improved: improve NAT Traversal via UDP component, decrease CPU usage
    Core Bugfix: upnp.exe launch fail in Windows 2000

v0.85    2007.3.19
    GUI Improved: new option in torrent maker dialog to enable large file(>1MB) align to piece boundary
    GUI Improved: new option in torrent maker dialog to allow user search for HTTP/FTP resources when BT downloading
    GUI Improved: new option in BT task properties dialog to enable search for HTTP/FTP resources for BT task files
    GUI Improved: new history task filter in fav list, in which tasks displayed in the order of download finish date
    GUI Improved: improve task delete dialog, able to remove downloaded files while keep task record in recycle bin
    GUI Improved: new option in preferences dialog to enable BT task access P2PCache server (need ISP support)
    GUI Improved: task created date and finish date are displayed in task summary
    GUI Improved: improve task piece graph, support page up/down using mouse wheel
    GUI Improved: new recommend side-bar which can be toggled in view menu
    GUI Improved: BitComet main window minimize to windows taskbar, and system tray icon always displays
    GUI Improved: if the task name/publisher name in task list is too long to display, it will be displayed in tooltip
    GUI Improved: new search toolbar in the top of BitComet passport view
    GUI Improved: improve the clipboard monitor, only capture url links of specific files type
    GUI Improved: add support for Maxthon browser
    GUI Improved: unhide the option of browse url in BitComet
    GUI Improved: downloaded file will be selected when open task save folder
    GUI Bugfix: fix the bug that some HTTP download fail due to missing cookie info
    GUI Bugfix: fix the bug that hash check of multi BT tasks not running in queue
    GUI Bugfix: fix the bug that move to other location command in task context menu does not work
    GUI Bugfix: fix the bug that some particular language can not be input to IE edit control when BHO loaded
    Core Improved: add P2SP download function to BT task, able to search for HTTP/FTP resources to accelerate download
    Core Improved: add large file(>1MB) align to piece boundary function to torrent maker and BT download module
    Core Bugfix: fix the bug that may lead to crash when download HTTP task using P2P connection
    Core Bugfix: fix the bug that may lead to crash when an error UDP packet received
    Core Bugfix: fix the bug that downloaded file may save fail if unsupported character in current code-page occurred in torrent file
    Core Bugfix: fix the bug about GZIP decode in HTTP 1.0
    Core Bugfix: fix the bug that the task created from BCTP link is not properly saved if torrent had not downloaded.
    Core Bugfix: fix the bug that unable to connect to some FTP server

v0.84    2007.2.8
    GUI Improved: new task piece graph for both BT and HTTP, displaying detail file piece downloading state
    GUI Improved: enhanced video codec version detection for preview. the extra video codec check wizard is removed.
    GUI Improved: add clipboard monitor, which can be enabled in floating window context menu
    GUI Bugfix: fix the bug that fail to open torrent file during preview
    GUI Bugfix: fix the bug that the UPNP operation results are not displayed in statistics view
    GUI Bugfix: fix the bug that the floating window is not hide when hit boss key
    Core Bugfix: fix the bug that the uploading rate is too low in some situation
    Core Bugfix: fix the bug in the decode of GZIP data returned from HTTP server

v0.83    2007.2.4
    GUI Improved: add option in HTTP task properties dialog to enable P2P http download
    GUI Improved: add hot key Ctrl+R in add HTTP task group dialog, to replace selected text in url to wildcard "(*)"
    GUI Improved: refer page url is filled to new http task when drag URL from IE to floating window
    GUI Improved: new network rate graph of the floating window in large size
    GUI Improved: improve the IE context menu for BitComet, add sub menu to download particular objects in the webpage
    GUI Improved: add comment and preview/play column in task list
    GUI Improved: WAN IP and network connection status is displayed in status bar of the main window, showing if the listen port is reachable to public domain peers
    GUI Improved: enhance the RSS list display function
    GUI Improved: add options in preferences dialog to enable network connection status auto check
    GUI Improved: add options in preferences dialog to enable task statistical info submitting
    GUI Improved: add "download link" to context menu of Firefox
    GUI Improved: Hide the option of browse url in BitComet
    GUI Bugfix: fix the bug that "save torrent as" in task context menu will save other task's torrent file if category is selected in fav list
    GUI Bugfix: fix the bug of the sort operation in task list
    GUI Bugfix: fix the bug that the URL link name is not displayed in the selection dialog of downloading all links
    GUI Bugfix: fix the display bug of floating window in Windows Vista
    GUI Bugfix: fix the bug that the task list is not refreshed after cancel the operation of add HTTP task group
    GUI Bugfix: fix the display bug of the HTTP task info window when switching selected task
    Core Improved: add P2P download function to HTTP task, able to search more peers to speed up downloading
    Core Improved: reconstruction NAT Traversal via UDP using encryption connections
    Core Improved: improve the robustness of video file preview. the crash of video codec will not terminate BitComet main program
    Core Bugfix: fix the bug that HTTP download resume will fail if the web server is rebooted

v0.82    2007.1.19
    GUI Improved: add sound prompt when task download finish, which can be configured in preferences dialog
    GUI Improved: improve the context menu of floating window and system tray icon
    GUI Improved: processing progress dialog will be displayed when add http task group
    GUI Bugfix: fix the bug that the task start order is not correct if reduce task queue length while the queue is not empty
    GUI Bugfix: fix the bug of version 0.81 that program can not run under win98/me
    Core Improved: the NAT port mapping and Windows Firewall operation is moved to a separated toolkit program, therefore the CPU usage of main program decrease
    Core Bugfix: fix the bug that the preview window will lose response if click stop button while preview video file of BT task

v0.81    2006.12.27
    GUI Improved: new floating window to display running status, supporting drag&drop of links in webpage and files to start download
    GUI Improved: add new function of auto query file size and server resume-supported ability when add new HTTP task, which can be configured in preferences dialog
    GUI Improved: the task number of a task queue is displayed in the favorites list
    GUI Improved: new icons for HTTP task states in task list
    GUI Improved: link count is displayed in add HTTP task group dialog
    GUI Bugfix: fix the bug that URL can not be opened from BitComet if Firefox is set to be default browser
    Core Improved: new function of auto recycle memory, which can be configured in preferences dialog
    Core Improved: compatible to Windows Vista, able to download HTTP links from IE7

v0.80    2006.12.15
    GUI Improved: new designed HTTP properties dialog layout
    GUI Improved: start preview video file while http downloading from toolbar button or task context menu
    GUI Improved: support display URL with non-English UTF-8 characters correctly in English version Windows
    GUI Improved: display "Minimize to tray" in task-bar context menu of BitComet if enabled
    GUI Improved: new setting of "Optimize download strategy for preview" in Task setting page of preferences dialog
    GUI Improved: add move file to desktop and to My Document function in task context menu
    GUI Improved: after downloaded torrent file using BitComet, the torrent task properties dialog is displayed immediately
    GUI Improved: toolkit FlvPlayer support running under Windows 2003 now
    GUI Improved: toolkit FlvPlayer is able to seek while playing for most flv files now
    GUI Bugfix: fix the bug that the description info in HTTP properties dialog not been saved after user modified
    GUI Bugfix: fix the bug that the number of selected urls in url selection dialog not refreshed after applied filter
    GUI Bugfix: fix the bug that BitComet not able to launch FlvPlayer to play downloaded flv file in whose path has space character
    Core Improved: HTTP download task support video file preview, etc. play video file during downloading
    Core Improved: support to download URL with non-English UTF-8 characters in English version Windows
    Core Improved: able to change HTTP connection number during task running
    Core Bugfix: fix the bug that the program will lose response when decrease max downloading task number while any task running

v0.79    2006.11.30
    GUI Improved: improve the performance of task list in task catalog switch action
    GUI Bugfix: fix the bug in 0.78 that the program will crash when due to refresh task log start BT task
    Core Bugfix: improve the process of some non-standard HTTP protocol packet

v0.78    2006.11.29
    GUI Improved: change the display font in Statistics View to monospaced font
    GUI Improved: improve the task delete confirm dialog
    GUI Improved: add a button to rename download file by several rules in HTTP task properties dialog
    GUI Improved: new proxy setting page in preferences dialog
    GUI Improved: now can select which columns to display in task list by right click task list header
    GUI Improved: now can import Flash files (.swf) when select download all links or download videos in webpage
    GUI Improved: change the default operation for close button on main window to minimize main window
    GUI Bugfix: fix the focus switch order when press Tab key in the HTTP task properties dialog
    GUI Bugfix: fix the problem that the redownload button does not work when import a new task but a exist task with the same URL is detected
    GUI Bugfix: fix the problem that the download left time is displayed as zero when download rate is zero
    Core Improved: add support for connection via HTTP, SOCK4, SOCK5 proxy server
    Core Improved: enhance the function of download videos in webpage, optimize for mainstream video websites
    Core Improved: improved Rmvb file version and Real codec version detection algorithm, avoid most crash when play rmvb files
    Core Bugfix: fix the problem that unable to download file from certain FTP server

v0.77    2006.11.18
    GUI Improved: add recycle bin to place tasks deleted temporarily
    GUI Improved: add toolbar button, task list context menu item and Delete hot-key to delete task to recycle bin
    GUI Improved: add the function to capture http/ftp file download in IE
    GUI Improved: add a setting to specify the file types to be captured when IE downloads file in in preferences dialog
    GUI Improved: add "Download Videos using BitComet" command in IE context menu as a option
    GUI Improved: adjust position of splitters automatically when resizing main window to keep optimal layout
    GUI Improved: display translated text in status-bar in the language of user chosen when mouse hover in the toolbar
    GUI Improved: display the number of imported urls in the selection dialog of download all links in webpage
    GUI Improved: new toolkit: FlvPlayer
    GUI Bugfix:  fix the bug that the task list is cleared and not displayed after switch UI language
    Core Improved: add the function of searching mirror site automatically for HTTP download task
    Core Improved: add the function of download video files in webpage
    Core Bugfix: fix the bug that the program may crash when only download partial files in a BT task

v0.76    2006.11.7
    GUI Improved: add Scheduler setting page in preferences dialog to adjust bandwidth depending time
    GUI Improved: add max/min upload rate per task settings in BT task page of preferences dialog
    GUI Improved: add New HTTP/FTP download button in toolbar
    GUI Improved: the total task number and selected task number are displayed in status bar of main window
    GUI Bugfix: fix the bug that the BitComet main window is not active sometimes when download url from IE
    GUI Bugfix: fix the bug that the function of avoid system entering suspend mode still works even when no task is running
    Core Improved: improve memory allocation strategy, avoid huge physical memory usage when program running for a long time
    Core Bugfix: fix the bug that in 0.75 sometimes the file is not downloaded entirely when task finish

v0.75    2006.10.24
    GUI Improved: add HTTP/FTP download in file menu
    GUI Improved: add HTTP/FTP download settings page in preferences dialog
    GUI Improved: add "Download using BitComet" command in IE context menu as a option
    GUI Improved: switch to downloading task list automatically if downloaded task list is being showed when add new task
    GUI Improved: the translator's name is able to be set in language file edit dialog
    GUI Improved: add clear button in torrent info search page of task properties dialog
    GUI Improved: the TCP half open limit is up to 500 in preferences dialog
    GUI Bugfix: fix the bug in 0.74 that non-executable file can not be opened in file list
    GUI Bugfix: fix the bug of a display mistake of the balloon tooltip when task download finish
    Core Improved: add HTTP/FTP multi-connection download function
    Core Improved: add HTTP/FTP multi-connection download disk cache function
    Core Bugfix: fix the bug in 0.74 that in rare situation program will crash due to file operation

v0.74    2006.10.14
    GUI Improved: add default settings of view size and list col width for common screen resolutions
    GUI Improved: change default setting to open webpage using IE, and hide browse button in toolbar
    GUI Bugfix: fix the bug that in 0.73 an explorer window will be opened when task finish if the virus scan program path setting is incorrect
    GUI Bugfix: fix the bug that task list every 5 minutes auto-save function does not work
    GUI Bugfix: fix the bug that "Task File Move to" -> "Other Location" function only applied to first task when multi tasks are selected
    Core Bugfix: fix the bug that in 0.73 sometimes the file is not downloaded entirely when task finish

v0.73    2006.9.25
    GUI Improved: add the function to scan virus upon download finish
    GUI Improved: add a prompt to scan virus when open executable file
    GUI Improved: add scan virus to task list and file list context menu
    GUI Improved: add scan virus setting page in Preferences dialog
    GUI Improved: add language translate editor dialog to option menu
    GUI Improved: add the function to move task downloaded files to corresponding folder when change task catalog
    GUI Improved: add catalog setting to BT task properties dialog
    GUI Improved: add upload/download speed limit settings to advanced page of BT task properties dialog
    GUI Improved: add a option to hide confirm dialog when open BCTP link from IE
    GUI Improved: remove Caps LockNum Lock and ScrollLock status display in main window's status-bar
    GUI Bugfix: fix the bug that the disk available space is displayed error in BT task properties dialog
    GUI Bugfix: fix the bug that the default TCP half-open number setting is too small in Windows2003
    Core Improved: add specific task upload/download speed limit function
    Core Bugfix: fix the bug of high CPU usage when enable upload/download speed limit

v0.72    2006.9.16
    GUI Improved: add the function to move task downloaded files to corresponding folder when change task catalog
    GUI Improved: improve task list display speed
    GUI Bugfix: fix the bug that the publisher's webpage may be opened incorrectly when selecting multi-task using mouse
    GUI Bugfix: fix the bug in version 0.71 that the UPNP gateway NAT port mapping function does not work
    GUI Bugfix: fix the bug in version 0.71 that the task download rate in balloon tip is not displayed correctly when main window is minimized
    GUI Bugfix: fix the bug in version 0.71 that the balloon tip will not display when task download finish and main window is minimized
    GUI Bugfix: fix the bug in version 0.71 that stop task while playing video may cause program crash

v0.71    2006.9.2
    GUI Improved: Add "Move file to..." function to task list context menu
    GUI Improved: Add task catalog manage functions to "download completed" task queue context menu in favorites list
    GUI Improved: Add task catalog set and locate functions to task list context menu
    GUI Improved: Improve task list display algorithm, decrease CPU usage
    GUI Improved: Add Half-Open TCPIP connection limitation modification for Windows XP SP2, in Preferences dialog
    GUI Improved: redesign "task automatic stop" settings in Preferences dialog
    GUI Improved: remove task pause, resume operation
    GUI Improved: remove "Global Log" window, in which the information displayed is merged into "Statistics" window
    GUI Improved: Improved crash report program, send crash report to server directly instead of using email
    GUI Bugfix: fix the bug that the BCTP link is not displayed correctly if opened from internal browser in BitComet
    GUI Bugfix: fix the bug that the music in webpage of video play window does not stopped after video play starts
    Core Improved: no longer depends on MSXML3, no need to install MSXML3 in windows 98
    Core Improved: improved file piece request algorithm, increase the launch speed of online video play
    Core Improved: more program run-time error can be detected by the crash report
    Core change: Chat, Proxy, NAT Traversal via UDP, IP block rules is removed temporarily
    Core Improved: kernel code reconstruction

v0.70    2006.6.24
    GUI Bugfix: fix the bug that the program can not run in certain OS due to mistaken compile option

v0.69    2006.6.23
    GUI Improved: download status information will be displayed in preview window info-bar when preview is buffering
    GUI Improved: BitComet Forum URL is updated
    GUI Bugfix: controls in Task Property Dialog will reposition correctly when resizing the dialog
    GUI Bugfix: fix the bug that the spin buttons of min/max upload rate edit-box in Task Property Dialog do not work
    GUI Bugfix: fix the bug that the peer list doesn't display any peer in very occasional situation
    GUI Bugfix: be able to handle BCTP link opened from Firefox properly
    Core Improved: improve preview buffer schedule algorithm, start buffer if data in buffer pool less than 50%, resume play if full
    Core Improved: improve piece request algorithm when preview, decrease the chance of buffering
    Core Improved: improve error detection of video decoder when start preview
    Core Bugfix: fix the bug that the video and audio sometimes become asynchronous caused by preview buffering
    Core Bugfix: fix the bug that the program may crash when parsing some non-standard HTTP protocol packet

v0.68    2006.5.29
    GUI Bugfix: fix the problem that the option "Do not prompt when add new task" doesn't work
    GUI Bugfix: fix the bug that the program may crash when display some non-standard rss item
    Core Improved: improve selected file download algorithm, decrease the possibility to re-download file boundary data
    Core Bugfix: fix the bug that the program may crash when parsing some non-standard HTTP protocol packet
    Core Bugfix: fix the bug that the program may crash when parsing some non-standard encryption protocol packet

v0.67    2006.5.10
    GUI Bugfix: fix the incorrect prompt text when open torrent file failed
    GUI Bugfix: change PayPal picture auto-update period to one day
    GUI Bugfix: improve the detecting algorithm of Real file decoder in Video Codec Check Wizard
    Core Improved: enhanced ICF/UPNP port mapping operation
    Core Bugfix: fix the bug that the program may crash when received incorrect packet

v0.66    2006.4.27
    Core Improved: more program run-time error can be detected by the crash report
    Core Bugfix: fix the bug that the sometimes program will crash when display chat message

v0.65    2006.4.25
    GUI Improved: add IE favorites list
    GUI Improved: add a new function to update the PayPal picture in left tree list from BitComet.com site
    GUI Bugfix: fix the bug that the Goto button on address bar doesn't work properly
    GUI Bugfix: fix the bug that the program will crash if any torrent file is opened with the "Can't listen to port" dialog displayed
    GUI Bugfix: fix the bug that the program will crash when loading some non-standard rss xml
    GUI Bugfix: fix the bug in version 0.64 that the torrent maker dialog doesn't display the tracker url entered last time
    GUI Bugfix: fix the bug in version 0.64 that the task property dialog can not be opened when the task is paused
    GUI Bugfix: fix the bug that the media file playback will pause when preview window is minimized
    GUI Bugfix: fix the bug that the text on switch buttons of channel, search and IE fav doesn't change when language switched
    Core Improved: add a new function to add a listening port of Windows Firewall in Windows XP SP2
    Core Improved: connect to the previous peers immediately when restarting a task
    Core Bugfix: fix the bug in version 0.64 that the function to ban user temporarily doesn't work

v0.64    2006.4.10
    GUI Improved: the optional IE toolbar is removed
    GUI Improved: able to read RSS feed
    GUI Bugfix:  chat user list is removed temporarily
    Core Bugfix: fix the bug that the play button doesn't work after click stop button in task preview window
    Core Bugfix: fix the bug that unable to seek continuous when preview avi/rm file

v0.63    2006.3.4
    GUI Improved: fix the bug that sometimes torrent file can't be open properly after downloaded in BitComet embedded browser
    Core Improved: Remove the old protocol header encryption, add new protocol encryption compatible with Azureus and uTorrent

v0.62    2006.2.14
    GUI Improved: add the ability to fetch remote channel xml file and display its items in favourite bar
    GUI Improved: adjust the toolbar position of embedded browser
    GUI Bugfix: fix the bug that sometimes the embedded browser can't handle BCTP link properly
    GUI Bugfix: fix the bug that sometimes the task name displayed as the http link of torrent file
    GUI Bugfix: fix the bug that sometimes the task status displayed as failed after DHT torrent download finished successfully
    Core Improved: user favourite data file changed from .\fav\my_fav.xml to .\Favourite.xml
    Core Bugfix: fix possible crash when exit program while hashing
    Core Bugfix: fix possible crash when detects WMP version at BitComet startup
    Core Bugfix: fix possible memory access violation when remove task after DHT torrent file download finished

v0.61    2006.1.10
    GUI Improved: enhance BCTP link command to lunch preview window
    GUI Improved: support xp themes in the embedded browser
    GUI Improved: no longer popup script error message in the embedded browser
    GUI Bugfix: Possible buffer overflow when opening URL link using external browser. (Thanks Fortinet Security Research)
    GUI Bugfix: the clip board can work in some user interface
    Core Improved: support wmv/asf file in the preview window
    Core Bugfix: fix the bug that DHT is added for the 'private' torrent after task begins
    Core Bugfix: fix the bug that UDP port mapping is not released when BitComet exit

v0.60    2005.9.8
    GUI Improved: new toolkit: BitComet Video Codec Check Wizard
    GUI Improved: add open BCTP/HTTP link command in file menu
    GUI Improved: add BCTP link page in Task Property Dialog
    GUI Improved: add Boss-key choice option
    GUI Improved: add Disable torrent file download dialog option
    GUI Improved: add Display task delete confirm dialog option
    GUI Improved: add piece size 2/4/8MB choice when making torrent
    GUI Improved: open web link in internal browse of BitComet
    GUI Bugfix: fix mistake delete when multi-selection after torrent list sort
    GUI Bugfix: fix the win2k auto shutdown issue
    Core Improved: add video file preview when downloading
    Core Improved: add Torrent download from DHT network using BCTP link
    Core Improved: add protocol header encrypt option
    Core Improved: add Always using NAT Traversal via UDP option

v0.59    2005.6.8
    GUI Improved: add Search button to search torrent in torrent website
    GUI Improved: remove the drop-down menu of the Web button
    GUI Improved: open all links using user default browser
    GUI Improved: add three network mode when creating .torrent file
    GUI Improved: add a light in the status bar indicate the DHT Network status
    GUI Bugfix: fixed typing issue regarding the speed input box
    Core Improved: add DHT Network support, BitComet become trackerless
    Core Improved: add UDP port mapping in ICF/UPNP
    Core Improved: support 'private' key in torrent
    Core Improved: support 'private' key in tracker response
    Core Bugfix: fix UPNP problem in v0.57, v0.58

v0.58    2005.5.6
    GUI Improved: add Hash-check thread priority as an option
    GUI Improved: add "Remove task only" confirmation
    GUI Bugfix: disable file location change for paused tasks
    GUI Bugfix: can not auto shutdown computer when desktop is locked
    GUI Bugfix: the auto-stopped task can not upload
    GUI Bugfix: fix the win98/me auto shutdown issue
    GUI Bugfix: fix the dde regarding file association
    Core Improved: add task option: peer info exchange enable
    Core Bugfix: UDP tracker DNS resolve can cause stop response for 2s
    Core Bugfix: fix the issue when one UDP tracker in a tracker group can not connect
    Core Bugfix: continue download at startup can not work if crashed last time
    Core Bugfix: fix one crash issue when connections are unstable

v0.57    2005.3.5
    GUI Improved: add boss key: Alt+`
    GUI Improved: embedded web view was improved
    GUI Improved: Task Property Dialog can be resized or maximized now
    GUI Improved: option to disable the prompt window when adding torrent
    GUI Improved: enable multi-selection when open torrent files
    GUI Improved: task list now support sort
    GUI Improved: add seeding task catalog
    GUI Bugfix: fix the copy paste problem in embedded IE
    GUI Bugfix: never prevent windows from entering suspend mode if the computer is running on batteries (Thanks B. Larg)
    GUI Bugfix: Save location reset to default upon changing encoding method. (Thanks ericbo)
    GUI Bugfix: Incorrect time left if more than 24 hours (Thanks u1ookingatme)
    GUI Bugfix: the max value of half-opened tcp can't be changed to smaller value
    Core Bugfix: fix a upload selection bug which may affect download speed
    Core Bugfix: auto stop may not work if enable auto checking after finished
    Core Bugfix: possibly fix the tracker download reporting bug happens in TB, etc
    Core Bugfix: fixed NAT Traversal rate can not be accurately limited
    Core Bugfix: Can not create directory when change priority for running task (Thanks maxbkk)
    Core Bugfix: IP rules do not effect in NAT Traversal connections(Thanks tianle)
    Core Bugfix: add new task waiting queue, close bc, the file priority lost(Thanks hdll)
    Core Bugfix: Hash Checking queue does not work (Thanks njiayu)
    Core Bugfix: UDP tracker retry interval keeps to be 10s

v0.56    2004.9.23
    GUI Bugfix: stop update peer list if select two peers and click the left or the top list (Thanks gjr)
    GUI Bugfix: change the system time may cause gui buffer overrun (Thanks baul)
    Core Improved: auto detect the max value of half-opened tcp for patched tcpip.sys in XP SP2
    Core Improved: improve the efficient of NAT Traversal again
    Core Bugfix: fix some compatible issue with ipfilter.dat in eMule(Thanks Soorpher)
    Core Bugfix: may crash when exit while having queued hashing tasks(Thanks the crash report by Chi Yeong Teoh)
    Core Bugfix: fixed a serious issue that NAT Traversal will occupy all the upload bandwidth (Thanks friends @ TB)

v0.55    2004.9.9
    GUI Improved: torrent maker can auto-detect the best piece-size now
    GUI Improved: do not check version for more than once in one day
    GUI Bugfix: tray icon shows up when change the lock of the tray area (Thanks xl)
    GUI Bugfix: fix possible crash when closing
    GUI Bugfix: the issue of adding task by command line do nothing(Thanks Yu BOYTHERE)
    GUI Bugfix: may crash in splitter (Thanks the crash report by Cytech-May & Punkrawk)
    Core Improved: add auto stop task when share ratio reach specific value, auto shut down the computer
    Core Improved: improve the efficient of NAT passthrough (incompatible with 0.53)
    Core Improved: add Max Simultaneous TCP connection attempts to option, better works with XP SP2
    Core Bugfix: fix the issue that min seeding rate also applies to download task
    Core Bugfix: move on to next tracker slowly if no peers returned.
    Core Bugfix: fix the issue that it will not stop connecting to tracker after task stopped
    Core Bugfix: may crash because of thread conflict when writing the edge of files(Thanks the crash report by wluck)
    Core Bugfix: may crash when exit while having queued tasks(Thanks the crash report by Asem Mohamed)
    Core Bugfix: may crash when calculate the rate(Thanks the crash report by trudy)
    Core Bugfix: fix some crash caused by overflow (Thanks the crash report by Huang Kan)
    Core Bugfix: fix too short timeout disconnect issue with AZ and Official Seed

v0.54    2004.8.21
    GUI Improved: global & per task 3KB/s upload rules ( Thanks DreadWingKnight )
    GUI Improved: multi selection when ban ip ( Thanks CH )
    GUI Improved: torrent file save as in task list
    Core Improved: NAT passthrough by UDP! (still in experimental)
    Core Improved: add crash reporter to release version
    Core Improved: connect to UDP tracker first in the same group
    Core Improved: support http tracker: 'key' flag ( Thanks neooff )
    Core Improved: support the new UDP Tracker protocol ( v2 )
    Core Improved: torrent strings fix the utf8 encoding problems with Azureus ( Thanks Henrique Vianna )
    Core Changes:  remove default backup tracker ( Thanks x )
    Core Bugfix: may can't create torrent contains >4G files
    Core Bugfix: fully support multitracker spec, support server groups ( Thanks DreadWingKnight )
    Core Bugfix: strange http HOST problem in nipponsei.levillage.org ( Thanks AndyGod )
    Core Bugfix: http redirection bug, fix connection problem in TorrentBits.org ( Thanks HiTechOutlaw )
    Core Bugfix: fix connection problem in bt.edwardk.info ( Thanks fftfelix)
    Core Bugfix: no longer skip the empty directories when making torrent ( Thanks 5Q heaven )

v0.53    2004.6.15
    GUI Bugfix:   fixed lots of gui crash problems
    GUI Improved: tweak the column layout (Thanks stisev)
    GUI Improved: display seeds numbers connected in the recent 10 minutes
    GUI Improved: able to add task as paused
    GUI Improved: send crash report is supported for all beta version
    GUI Improved: auto add seeding task as paused after .torrent is made
    GUI Improved: should runs more smooth for those download rate exceed 1MB/s - 2MB/s (Great thanks to GHOSTOPOST)
    GUI Improved: avoid gui blink for non-XP os
    GUI Improved: global pause/resume from the system tray (Thanks Assmongrel)
    GUI Improved: avoid system entering power suspend mode when task is running
    GUI Improved: command line add params: /? /s /m /tray /output <file>
    GUI Improved: able to edit backup tracker in the options
    GUI Changes:  listening port now allow full range : 1 - 65535
    Core Improved: limit the tcp connecting rate to 4 new connection per second
    Core Improved: add default minimize upload rate, avoid zero rate seeding
    Core Improved: add chatting support, support PM as well, support chat room torrent
    Core Improved: a few queue behavior improvement, and pause all bugfix (Thanks Kameraman)
    Core Improved: able to Hash check again when the download task finished.
    Core Improved: avoid upload to only several best peers, cause download drops when upload is slow. (<100k/s)
    Core Improved: avoid download task donot need to upload but all the seeding task has no upload at all. (Thanks ulion)
    Core Improved: change the frequency requesting tracker, decrease the burden of trackers. (Thanks ulion)
    Core Improved: able to ban user temporarily for 5 minutes, 1 hour, or 24 hours.
    Core Improved: able to block IP permanently defined by ipfilter.dat (compatible with eMule)(Thanks Adam Thirnis)
    Core Improved: detect peer who send bad data, and auto temporarily block it for 5 minutes
    Core Bugfix: do not work correctly with tracker in compact mode
    Core Bugfix: "allocate before download" won't allocate immediately ( thanks windy)
    Core Bugfix: forget to load the default tracker when tracker-list existed ( thanks Henry)
    Core Bugfix: UPnP may can't work with some hardware router ( thanks btchina for the financial support to buy one )
    Core Bugfix: UPnP may can't find service ( thanks BK->NEW() )
    Core Bugfix: can't release port mapping when exit
    Core Bugfix: remove .xml file, hash checking, start will hash-checking again (Thanks lqbn)
    Core Bugfix: incorrectly handle the files gap, may fix the hashchecking loop bug
    Core Bugfix: auto start new task if download rate below can't work
    Core Bugfix: avoid too large disk cache crash BitComet in low memory conditions
    Core Bugfix: the small file next to the big one may be 100% but zero data until the big one is finished. (Thanks c-j-z)
    Core Bugfix(critical): mistake the timeout interval in BitTorrent specification,
                           only 1 minute timeout cause possible disconnect with seed using official client (Thanks ulion)
    Core Bugfix(critical): potential download a corrupt file
    Core Bugfix(critical): do not response tracker NAT checking, so that won't be listed in tracker. ( happen again :( )

v0.52    2004.4.23
    GUI Changes: move language selection to menu
    GUI Improved: remember list column order
    GUI Improved: task status add status icon: connecting peers
    GUI Improved: able to force start a queued task by start it again (Thanks fan_chenwen)
    GUI Improved: new task is now at the bottom (Thanks Kameraman)
    GUI Improved: able to auto run task when BitComet startup (Thanks Kameraman)
    GUI Bugfix: Max Simultaneous Download Tasks changes won't be reflected upon the tasks immediately(Thanks windy)
    GUI Bugfix: Toolbar will disappear next time if minimize BitComet to tray and close it.(Thanks Terence Tam)
    GUI Bugfix: torrent encoding doesn't effect save location and comment.(Thanks kkj, Kameraman)
    GUI Bugfix: minimize to taskbar and enable exit prompt cause confirm dialog can't be displayed(Thanks charlesyc)
    GUI Bugfix: zero length file progress is always zero percent(Thanks Kameraman)
    Core Improved: try to reserve disk space when downloading, almost zero disk fragment
    Core Bugfix: rate measurement algorithm changed, should be more accurate but consume a bit more resource
    Core Bugfix: hashing cause peers cache lost (Thanks Kameraman)
    Core Bugfix: removing task incl files may delete all download directory, incl other files
    Core Bugfix: hashing may crash at the end, and the task may can't be started
    Core Bugfix: task minimize upload rate may cant work

v0.51    2004.4.13
    GUI Improved: tray icon display balloon notification when task finished
    GUI Bugfix: wrong displace position for task specific upload limits.(Thanks charlesyc)
    GUI Bugfix: crash when click OpenDir or Property for empty task.(Thanks xChiNa)
    GUI Bugfix: disk driver free space may be wrong at first. (Thanks spcat2000, happyfa97)
    Core Improved: able to change torrent encoding code page when adding task
    Core Improved: task queue sequence is the same as displayed, top task first
    Core Bugfix: fixed no response when too many files in one torrent(e.g. >1000 files) in v0.50
    Core Bugfix: should not scan when seeding (Thanks Windforce)
    Core Bugfix: when seeding, should not open file for writing (Thanks coolsnowwolf)
    Core Bugfix: forget to save peers info when task is stopped
    Core Bugfix: start task more than once cause problems (Thanks windy)

v0.50    2004.4.8
    GUI Improved: remember toolbar status
    GUI Improved: thanks to SiC & Orochi for the graph design, much more pretty now
    GUI Bugfix: in file dialog, right-click the driver and click Property will crash (Thanks to littlefoxes)
    GUI Bugfix: can't remember window positions (Thanks to KELVEN13)
    Core Improved: remove support for slots.xml, able to config in the option dialog
    Core Improved: publisher information extension
    Core Improved: able to set different upload limits for every task
    Core Improved: add a simple queue system
    Core Improved: add support for {hash} tracker url (idea by IH@isohunt)
    Core Improved: file level priority control
    Core Improved: remove upload download ratio limits in the config dialog.
    Core Improved: file allocation in blocks and won't block gui and also decrease the disk fragment
    Core Bugfix: random listening port won't larger than 32767, avoid route problem (thanks to Xing Zhanfeng)
    Core Bugfix: total upload and download statistics overflow if larger than 2G (thanks to wpeng)
    Core Bugfix: sometimes can't work with gzip tracker, get decode error (thanks to ihf)
    Core Bugfix: lost percentage when it resumes downloads by BitTorrent 3.3 or above.

v0.49    2004.3.3
    GUI Improved: if file changed, prompt dialog : check / ignore / cancel
    GUI Improved: Ctrl+Delete remove task including files
    GUI Bugfix: possibly fix the crash when restoring from system tray
    Core Improved: optimize pieces manager again
    Core Improved: optimize choke picker for slow connections
    Core Improved: able to auto resize the cache according to the speed, set default max cache size to 50M
    Core Improved: Auto config XP Internet Connection Sharing and Firewall (ICS/ICF)
    Core Improved: when use proxy only for trackers, send HTTP GET rather than HTTP Connect
    Core Bugfix: cache size calculate may overflow when the physical memory is getting lower
    Core Bugfix: send event=stopped to tracker when program exited (Thanks to ulion)
    Core Bugfix: load same torrent make it vanish (Thanks to bigjumbo)
    Core Bugfix: UPnP always failed with DSL router/ICS (Thanks to wxhere ~_~)
    Core Bugfix: may crash when cache is empty
    Core Bugfix: possible to receive only part of the HTTP response, cause tracker decode failure.

v0.48    2004.2.18
    Torrent Maker Bugfix: won't add announce-list if only one tracker address
    GUI Improved: remember the favourite site choice last time
    GUI Improved: prompt before remove task and delete all downloaded files
    GUI Improved: peer-list sorted by ip
    GUI Bugfix: won't prompt when hash checking
    GUI Bugfix: always remember proxy server and port. (Thanks to wxhere)
    Core Improved: consider connection stable after 3 minutes elapsed
    Core Bugfix(critical): can't connect any peers when seeding
    Core Bugfix(critical): do not response tracker NAT checking header, so that won't be listed in some tracker. (Thanks to stanhopea)

v0.47    2004.2.17
    withdraw the release, skip it.

v0.46    2004.2.14
    GUI Bugfix: total length incorrect if larger than 4G. (Thanks to Zergling)
    Core Bugfix(critical): lots of pieces failed in SHA check, cause by disk cache bug.

v0.45    2004.2.13
    GUI Improved: great change in Language File, almost all string can be translated and part of the information format could be customized by edit language xml file.
    GUI Improved: remove task, or remove task include downloaded files
    GUI Improved: An option in the toolbar to toggle ON/OFF the panel list on the left of the Main window. (Thanks to seto_2003)
    GUI Improved: Add toolbar, add right menu for selecting in the Torrent Property dialog
    GUI Improved: ctrl+<arrow up> for "job move up" ; ctrl+<arrow down> for "job move down" (Thanks to xsintill)
    GUI Improved: change "completed" to "progress", indicates the download progress of selected files
    GUI Bugfix: The other two tree-view won't flicking now. (Thanks to seto_2003)
    GUI Bugfix: in tray mode, listen for a full mouse click before popping up. (Thanks to Keen314 )
    Core Improved: add a torrent maker, support utf-8 and multi-tracker
    Core Improved: intelligent upload slots control, auto optimize for different connection speed (config in slots.xml)
    Core Improved: correctly handle disk full and disk i/o error
    Core Improved: delete those files didn't even download a byte when remove the task
    Core Improved: optimize socket by delay sending HAVE message
    Core Improved: optimize piece manager
    Core Improved: optimize disk cache swap algorithm, avoid small cache shaking.
    Core Improved: optimize disk cache memory manage, and is now able to set the minimize and maximize size.
    Core Improved: able to change download selection when task is running
    Core Improved: if file changed before resume, tell user.
    Core Improved: support socks4, socks5, http/https proxy
    Core Bugfix: Dead incoming peers in the peerlist can't be cleared
    Core Bugfix: Torrent with the same file name will make the download list make mistake (Thanks to spcat2000)
    Core Bugfix: when add one torrent twice and click OK in the second time, zero the process of it (Thanks to zeng777)
    Core Bugfix: add port to tracker http request header "Host", fix problem with some proxy (Thanks to linxiaolegend)
    Core Bugfix: when unselect small file in the end of filelist, the next big file won't finish for ever
    Core Bugfix: no longer add .bc! extension for zero length file
    Core Bugfix(critical): possible to send invalid REQUEST every few minutes, cause disconnection from other peer

v0.44    2004.1.9
    GUI Improved: able to identify BitSpirit, BitTorrent Plus
    GUI Changed: auto update checker server changed to update.BitComet.com
    GUI Changed: remove listening port above 1024 restriction (Thanks to Ano Nymous)
    GUI Fix: auto update checker misunderstand the version number
    Core Improved: add peer connecting number statistics and limits
    Core BugFix(critical): fixed a bug in peer connecting limits, negative number cause it won't connect peers any more
    Core BugFix(critical): security verification during peer communication

v0.43    2004.1.5
    Setup Package: Merge two package (unicode & MBCS) into one
    GUI Improved: Remember Main window position (Thanks to Liu Wei)
    GUI Improved: one click active window in tray icon mode (Thanks to lurenyi)
    GUI Changed: mix upload limits is 20kB/s, and download rate no more than 8 times of uploads
    GUI BugFix: 100% CPU when UPnP operation (startup and exit)
    GUI BugFix: Fix IE shell open file not found bug if have sharezaa installed previously
    GUI BugFix: "donot ask again" in confirm exit may cause problem, removed temporarily
    Core Improve: optimize for some heavy trackers if they have more than one listening port
    Core Improve: able to disable disk read cache now
    Core Improve: decrease one memory copy in uploading and downloading, less cpu usage theoretically
    Core Improve: do not allocate cache when checking complete
    Core BugFix: Upload and Download rate control more smoothly, still not perfect though (Thanks to Vulpes)
    Core BugFix: try to open normal file (not .bc! file) first when save location changed
    Core BugFix(tiny): in statistics, download from XXX peers not accurate
    Core BugFix(critical): fixed a bug that made .bc!.bc! extension if multi-file download, and also can't resume correctly.
    Core BugFix(critical): unselect small file may broke neighbor file corrupt and may cause runtime exception and exit if it is the first file (Thanks to GDIMk)

v0.42    2004.1.1
    Add unicode build, fix some encoding bug under 2K/XP
    GUI Improved: property diag more pretty
    GUI Improved: avoid torrent list flicking under windows XP
    GUI Improved: prompt exit only if there are running tasks
    GUI Improved: auto version update checker
    Core Improved: add Torrent Health statistics
    Core Improved: Support Unicode torrent format extension
    Core Improved: Option to add .bc! extension for unfinished files
    Core Improved: one session per ip when seeding
    Core Improved: flush file when saving status file
    Core Improved: no longer stop response when doing the hash check
    Core Improved: auto portmapping via UPnP, but local firewall still need to be manually config
    Core Improved: accelerate hash check when resuming other client's downloads
    Core Improved: support Tracker 301, fix cant connection bug for some trackers
    Core Improved: torrent file path security checking
    Core BugFix: Fix "download file length bigger than expected", ask for a choice now
    Core BugFix: fix a bug that send zero port to tracker in no-listening mode
    Core BugFix: fix a bug that can't resume torrent which contents only one file in a folder
    Core BugFix(critical): Fixed: "unselect file A -> download -> stop -> select file A -> download" may cause runtime exception exit

v0.41    2003.12.07
    Core Improved: better support for download selection changes
    Core Improved: save peer which have a listening port in status file
    GUI Improved: add progress bar indicate complete ratio (looks very ugly I think)
    GUI Improved: add message box when exit BitComet
    GUI Improved: add Right Menu Key support in torrent list
    GUI BugFix: add a torrent, delete, then can't add it again
    Core BugFix(critical): stay at 99% bug maybe fixed this time

v0.40    2003.11.27
    Known bug: when only download selected files, never stop if cache size is set to zero;
               or it is still possible to have some duplicated download in those gap pieces.
               It doesn't matter too much... just waste a little bandwidth.
    GUI Improved: add Ctrl+A, Alt+ENTER short key for torrent list
    Core BugFix: incompletion in gap piece when add new download file which was banned before
    Core BugFix: won't resize cache buffer when it is set to zero
    Core BugFix(critical): Fix 100% but uncompleted bug caused by cache/piece manage

v0.39    2003.11.26
    Core Improved: save connected peer info for a quick restart
    Core Improved: save partial download piece info in statusfile
    GUI Improved: able to associate .torrent at run time, restore it when close client
    GUI Improved: no longer write view size into registry, saved in style.xml instead
    GUI BugFix: select all item when delete the bottom torrent entry
    GUI BugFix: correctly display status(download/resume/seeding) for torrent property dialog
    GUI BugFix: no longer lost icon when taskbar recreated
    Core BugFix: Fix exception occurred when multi-tracker torrent stopping
    Core BugFix(critical): Fix piece pick bug which make it downloaded 120% - 200% sized data
    Core BugFix(critical): Fix piece cache bug which caused a lots of failed piece

v0.38    2003.11.22
    New Name: Change the name to "BitComet"
    NewFeature: multi tracker supported
    NewFeature: able to download selected files
    NewFeature: no scanning seeding
    Improved: global upload/download speed limits
    Improved: optimize the piece picker, much more less CPU usage
    Improved: pieces read/write cache, much better disk performance
    Improved: rudely disconnect slow peers
    Improved: torrent cache now using relative path
    Improved: changed socket frame class, now support sock4, sock5 and http1.1 proxy
    Improved: GUI interface more usable
    BugFix: some problem about the connection with new version Shadow's Exp
    BugFix: can't pause
    BugFix: continue to connect tracker after failed 20 times now
    BugFix: upload & download bytes wrong when reporting to tracker
    BugFix(critical): passed pieces sum error when bitfield is initiating

v0.37    2003.10 - 2003.11
    Great changes, skip it.

v0.361    2003.10.10
    BugFix: "create empty document" error if download files > 2G

v0.36    2003.09.20
    Improved: overall u/d speed in tray icon
    Improved: use utf-8 style file if system supported
    Bugfix: keep choosing different port every time when start program if it is set to zero
    Bugfix: check the file again when restarted downloading
    BufFix(critical): found that the Run Time Error in Win2k(or below) was cause by the exception of:  _variant_t(unsigned __int64 ui8Src) throw();   when saving xml

v0.35    2003.09.19
    Add: traditional Chinese language
    Add: pick a random port button
    Improved: socket write buffer max length
    BugFix: a few bugfix about the multilanguage interface
    BugFix: disconnect if error occurs when reading file, won't send garbage
    BugFix: do not save download queue
    BufFix(critical): fixed the huge memory leak caused by forgetting to release when handing xml file. Now, the memory is quite low, but cpu usage a bit high, though

v0.34    2003.09.16
    Add: multi language support, auto selection
    Add: save upload bytes in status file
    Add: tracker http request add Host: item
    Improve: change MSXML4 to MSXML3
    Improve: 10 times upload speed for one peer for the first 3M upload or if the uploaded bytes of that peer is greater than downloaded bytes + 3M from me
    Improve: isallpassed() cache, may reduce cpu usage a little
    Improve: set upload zero means do not limits
    BugFix: do not prompt when can't find status file during deleting

v0.33    2003.09.10
    Add: remember view window column size
    Add: enable drag and drop
    Add: start/stop/pause/resume selected torrents
    Add: max connected peer limits
    Improved: put torrent popup menu into style.xml
    BugFix: delete torrent cause error

v0.32    2003.09.08
    Add: peer ip exchange protocol extension 09 00, 09 01, 09 02
    Improved: newly added torrent on the top
    Improved: open file as read only when seeding
    BugFix: assume bitfield is already received when peer reconnected
    BugFix: skip tracker announce when retry sometimes

v0.31    2003.09.06
    Add: tracker retry interval time table, from short(30s) to long(5m)
    Add: socks5 proxy now fully supported (auth, tracker)
    Improved: when a piece failed sha1 check, mark the error

v0.30    2003.09.05
    Add: global download speed limit
    Add: simple socks5(no auth) support for peer connection
    Improved: tidy the code of storage
    Improved: longer the tracker retry interval & set the max retry to 20
    BugFix: lost the last character of url when 302 redirecting

v0.29    2003.09.03
    Add: global download speed limit
    Improved: bnbt tracker now supported, found the diff between python tracker,  http 1.0 res header \n & \r\n
    Improved: rewrite piece picker, now pick the piece that is owned by the least peers
    BugFix: support http 302 redirect
    BugFix: spend more than one hour to find a memory leak when loading torrent status file

v0.28    2003.08.31   1st Public Version
    Add: make a msi of MSXML4 &  make a Setup by Innon Setup Compiler
    Add: All Chinese
    Add: Minimize to system tray
    Bugfix: bug in deleting torrent in torrent list
    Bugfix: complete percent now display OK
    Bugfix(serious): always return true no matter SHA check succeed or failed

v0.27    2003.08.30
    Bugfix(critical): goes wrong when doing bitfiled get in HEX

v0.26    2003.08.30
    Add: Torrent list & status display column item names are now at style.xml
    Add: Pause & Resume action supported
    Bugfix: Large file display the wrong complete ratio
    Bugfix: tracker connection status display
    Bugfix(critical): socket fatal error after handshake failed then reconnecting

v0.25    2003.08.29
    Add: Peer Log Property Diag
    Add: version number added in peer version display
    Improve: download slice picker
    Bugfix: tracker connection failed won't retry
    Bugfix: upload / download should not count the disconnected peers

v0.24    2003.08.26
    Change: HTTP connection shift from WININET to socket,  (consider WINHTTP5 later maybe)
    Bugfix: one peer multi sockets

v0.23    2003.08.25
    Change: Timer block was removed
    Bugfix: file length check error in rawread()

v0.22    2003.08.24
    Add:    peer communication log, double click the peer
    Bugfix(Critical): upload piece char* -> string

v0.21    2003.08.23
    Bugfix(Critical): crush when delete socket

v0.20    2003.08.18
    Bugfix(Critical): Timer event is called anytime, cause odd error. (e.g. delete element when iterating)  global timer blocking is added.

v0.19    2003.08.16
    Add:    Max announce intervals
    Add:    global upload speed control & peer up/down ratio
    Add:    passive mode
    Add:    peer software version recognize
    Bugfix(Critical): doesn't send INTEREST before download
    Bugfix: null msg dead loop

v0.18   2003.08.15
    Add: torrent cache option
    Add: seeds/peers display
    Add: random port
    BugFix: Should not delete element when iterating a map (PeerMap)
    BugFix(Critical): send the wrong protocol header for incoming connections
    BugFix(Critical): when comparing, CString treat both strings as null-terminate strings, substitute with std:string

v0.17   2003.08.14
    Add:     Peer speed estimate, choke & interest info
    BugFix: stop download do not delete socket
    BugFix: keep announce when stopped
    BugFix: Socket error when exist, caused by calling shutdown at a invalid socket handle
    BugFix: Exist download won't do checking

v0.16   2003.08.12(first beta release)
    Remaining time info is added
    Single instance running....try many examples, found a working solution at microsoft at last.. ft
    Lots of bugfix...

v0.15   2003.08.11
    New icon designed by FallenAngel
    Register itself for .torrent & mime
    Properties dialog is added, though ugly
    Lots of bugfix and improvement, all forget

v0.14   2003.08.10
    BugFix: when delete torrent it won't completely delete data

v0.13   2003.08.08
    Show complete radio of every file
    Multi torrent management
    BugFix: hex2bin & bin2hex error
    BugFix: peer disconnect will not change the status of peer

v0.12   2003.08.07
    ability to choose download location
    bitfield cache bug fixed

v0.11   2003.08.06
    first published version
